===============================================================================
Name: gutenprint-5_2_14

2018-04-07  <Robert Krawitz>	57526a718f174f9d2b451cc133fd2806d547e1dc

	Lines: +35, -21
	Files:	NEWS (+31, -16)
		README (+3, -4)
		configure.ac (+1, -1)
		po/ca.po (+4493, -4466)
		po/cs.po (+4487, -4465)
		po/da.po (+4493, -4466)
		po/de.po (+4493, -4466)
		po/el.po (+4487, -4465)
		po/en_GB.po (+4493, -4466)
		po/es.po (+4487, -4465)
		po/fi.po (+4493, -4466)
		po/fr.po (+4493, -4466)
		po/gl.po (+4493, -4466)
		po/hu.po (+4493, -4466)
		po/it.po (+4493, -4466)
		po/ja.po (+4490, -4466)
		po/nb.po (+4487, -4465)
		po/nl.po (+4493, -4466)
		po/pl.po (+4487, -4465)
		po/pt.po (+4487, -4465)
		po/ru.po (+4493, -4466)
		po/sk.po (+4493, -4466)
		po/sl.po (+4493, -4466)
		po/sv.po (+4493, -4466)
		po/tr.po (+4493, -4466)
		po/uk.po (+4493, -4466)
		po/vi.po (+4493, -4466)
		po/zh_CN.po (+4493, -4466)
		po/zh_TW.po (+4487, -4465)
		src/testpattern/Checksums/sums.5.2.14.lrz (added +0)

	Gutenprint 5.2.14 Release

2018-04-07  <Robert Krawitz>	1e0ed2701e2f3c226aed02f3124ffb74c932b3bc

	Lines: +1, -1
	Files:	src/cups/Makefile.am (+1, -1)

	test-ppds is not generated in 5.2.

2018-04-06  <Robert Krawitz>	4139e0166cf38dc306f74914bf26f4c4c358e9c3

	Lines: +3, -0
	Files:	src/xml/printers.xml (+3, -0)

	Add more Ricoh color laser printers

2018-04-04  <Solomon Peachy>	c7e915467495cc56a34d6eadca61d92589582acd

	Lines: +1, -1
	Files:	src/cups/rastertoprinter.c (+1, -1)

	Revert "rastertoprinter:  Properly initialize printer defaults."

	This reverts commit 7db5948b57de48450b82cfe27f57aebcf31a9a4f.

2018-04-04  <Solomon Peachy>	bfe1cdda9201a70375f5b6baed490d4fbb68f662

	Lines: +172, -166
	Files:	src/cups/genppd.c (+4, -2)
		src/main/print-olympus.c (+68, -61)
		src/xml/printers.xml (+100, -103)

	dyesub: Pull the 'NativeCopies' parameter from XML into C

2018-03-29  <Solomon Peachy>	ec29560d2d399caa3e7fb8901820ff9bce8bbbf1

	Lines: +5, -2
	Files:	NEWS (+1, -0)
		src/xml/printers.xml (+4, -2)

	dyesub: Add missing printers.xml entries for Citizen CX-02 and CY-02.

	(Also mark CW-02 and OP900II as no longer experimental)

2018-03-27  <Robert Krawitz>	a28ef6373c73d2c03109796389c9862323f6b369

	Lines: +1, -0
	Files:	src/xml/escp2/model/Makefile.am (+1, -0)

	Add model 130 (Epson SC-P800) back in.

2018-03-22  <Robert Krawitz>	cf3d4c39bcd7eb8b14b1df241d7824166651b710

	Lines: +27, -24
	Files:	src/main/print-pcl.c (+27, -24)

	Don't apply HSL curves to color laser printers.

2018-03-19  <Robert Krawitz>	8d85e7ef60009e20aeb601ab26461c4d23172c65

	Lines: +5, -3
	Files:	NEWS (+3, -1)
		README (+1, -1)
		configure.ac (+1, -1)
		po/ca.po (+1314, -1309)
		po/cs.po (+1313, -1309)
		po/da.po (+1314, -1309)
		po/de.po (+1314, -1309)
		po/el.po (+1313, -1309)
		po/en_GB.po (+1314, -1309)
		po/es.po (+1313, -1309)
		po/fi.po (+1314, -1309)
		po/fr.po (+1314, -1309)
		po/gl.po (+1314, -1309)
		po/hu.po (+1314, -1309)
		po/it.po (+1314, -1309)
		po/ja.po (+1314, -1309)
		po/nb.po (+1313, -1309)
		po/nl.po (+1314, -1309)
		po/pl.po (+1313, -1309)
		po/pt.po (+1313, -1309)
		po/ru.po (+1314, -1309)
		po/sk.po (+1314, -1309)
		po/sl.po (+1314, -1309)
		po/sv.po (+1314, -1309)
		po/tr.po (+1314, -1309)
		po/uk.po (+1314, -1309)
		po/vi.po (+1314, -1309)
		po/zh_CN.po (+1314, -1309)
		po/zh_TW.po (+1314, -1309)

	Gutenprint 5.2.14-pre3

2018-03-19  <Robert Krawitz>	6c94fb6b8aaccdee181532542c0eb9675c8adb16

	Lines: +1, -1
	Files:	scripts/mkgitlog.in (+1, -1)

	Correctly extract tag from message.

2018-03-19  <Robert Krawitz>	3790e98ee5f6308d5011c6fd16d667c0d89562ba

	Lines: +1, -0
	Files:	src/cups/genppd.c (+1, -0)

	Ensure that the default page size is always translated in the

	PPD file.

2018-03-17  <Robert Krawitz>	2b75048450e6a4d06096205b0de39224d12caf5e

	Lines: +8, -2
	Files:	src/main/print-color.c (+4, -1)
		src/main/print-pcl.c (+4, -1)

	Do not use an app gamma correction when printing to color laser

2018-03-07  <Solomon Peachy>	acd5af62b9d098fad7f08174a2bbe049285556d7

	Lines: +62, -3
	Files:	src/cups/backend_common.h (+2, -1)
		src/cups/backend_dnpds40.c (+60, -2)

	dyesub: backend: Split out Citizen CW-02/OP900II from the CY.

2018-03-06  <Robert Krawitz>	abe5cefbc77210799266ccd02e0a9cae538e624f

	Lines: +6, -203
	Files:	NEWS (+5, -203)
		src/xml/printers.xml (+1, -0)

	Add HP LaserJet 5N

2018-03-02  <Solomon Peachy>	e48ad874c66ec69aec5c129637687b9c55b62538

	Lines: +4, -0
	Files:	src/main/print-olympus.c (+4, -0)

	dyesub:  Fix RX1 square size generation.

2018-02-22  <Solomon Peachy>	dc18ce8e97de1943ab5eb574bc089abc00e71b3f

	Lines: +23, -6
	Files:	NEWS (+2, -0)
		src/cups/backend_dnpds40.c (+11, -5)
		src/cups/blacklist (+4, -1)
		src/main/print-olympus.c (+6, -0)

	dyesub:  DNP DS-RX1 and Citizen CY-02 gain support for square prints.

	(Requires Firmware 2.06 or newer)

2018-01-23  <Robert Krawitz>	fc9b18277328b96fc8374629ae5397cef8b14f82

	Lines: +164, -1
	Files:	NEWS (+3, -0)
		src/xml/escp2/model/model_130.xml (added +160)
		src/xml/printers.xml (+1, -1)

	Improve tuning of Epson SureColor P800

2018-01-10  <Solomon Peachy>	a8295532f35eb789fc27b99059099cfe3fb403d0

	Lines: +3, -3
	Files:	src/cups/backend_shinkos1245.c (+3, -3)

	dyesub: backend:  Fix buffer overflow with S1245 and matte operation.

2018-01-09  <Solomon Peachy>	ce3012a9013af43da037b699f9b4cb09c86ff906

	Lines: +20, -18
	Files:	NEWS (+1, -0)
		src/cups/backend_shinkos1245.c (+17, -16)
		src/xml/printers.xml (+2, -2)

	dyesub:  backend:  Bugfixes for the s1245 backend

	Mark S1245 as no longer experimental!

2018-01-09  <Solomon Peachy>	0ad64bf7278dc0f35276187c8a0e7af47c605181

	Lines: +5, -5
	Files:	src/main/print-olympus.c (+5, -5)

	dyesub:  Shinko S1245 lamination data was incorrectly specified.

2018-01-09  <Solomon Peachy>	6d11748e214372a63e9f185c9f78f9a74b334e68

	Lines: +11, -7
	Files:	src/cups/backend_common.c (+11, -7)

	backend:  Don't issue a USB alt_setting if it's not needed.

	Caused a regression on the Shinko S2145

===============================================================================
Name: gutenprint-5_2_14-pre2

2018-01-03  <Robert Krawitz>	adf59e8dc31d8f0551fd9d8458c3265b723117af

	Lines: +0, -0
	Files:	po/ca.po (+4640, -2297)
		po/cs.po (+3257, -1368)
		po/da.po (+4640, -2297)
		po/de.po (+4640, -2297)
		po/el.po (+3257, -1368)
		po/en_GB.po (+4681, -2380)
		po/es.po (+3257, -1368)
		po/fi.po (+4671, -2328)
		po/fr.po (+4652, -2301)
		po/gl.po (+4640, -2297)
		po/hu.po (+4640, -2297)
		po/it.po (+4640, -2297)
		po/ja.po (+4014, -2091)
		po/nb.po (+3257, -1368)
		po/nl.po (+4640, -2297)
		po/pl.po (+3257, -1368)
		po/pt.po (+3257, -1368)
		po/ru.po (+4671, -2328)
		po/sk.po (+4640, -2297)
		po/sl.po (+4640, -2297)
		po/sv.po (+4694, -2426)
		po/tr.po (+4640, -2297)
		po/uk.po (+4640, -2297)
		po/vi.po (+4640, -2297)
		po/zh_CN.po (+4643, -2300)
		po/zh_TW.po (+4144, -2050)

	Update translations for 5.2.14-pre2

2018-01-03  <Robert Krawitz>	fb6904b32c4d180b553954787b10f3748de899c0

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.2.14-pre2.lrz (added +0)

	Prep for 5.2.14-pre2

2018-01-03  <Robert Krawitz>	b7266c429e7e0e24a93fb8dc0b34c76f83f73b08

	Lines: +95, -95
	Files:	src/xml/printers.xml (+95, -95)

	Use ricoh-afc rather than ricoh-aficio for compatibility

2018-01-03  <Robert Krawitz>	43d2e8e0caf03288415e703d42d0f820c851ad07

	Lines: +0, -1
	Files:	src/testpattern/run-testpattern-2.in (+0, -1)

	Resolution=MIN does not work in 5.2 tree

2018-01-03  <Robert Krawitz>	9c30feda8a5251ea13d92d9083362383072ec1d9

	Lines: +1, -1
	Files:	src/cups/test-rastertogutenprint.in (+1, -1)

	Correct callgrind option in run-testpattern-2.

	Add note to printers.c that we ned to look at printer list registration
	duplicate checking.

2018-01-03  <Robert Krawitz>	7c71167bc76ef0a7dd1a6cb48f70492f1a3340f1

	Lines: +2, -0
	Files:	src/testpattern/run-testpattern-2.in (+2, -0)

	Use very fast dithering and minimum resolution in fast test mode
	in run-testpattern-2.

2018-01-03  <Robert Krawitz>	4288f44a1dee47a1590751b4fd0f105ad50ee986

	Lines: +2, -1
	Files:	src/cups/test-rastertogutenprint.in (+2, -1)

	Use very fast dithering in fast test.

2018-01-03  <Robert Krawitz>	7eac12b7c8227022c803f7c81517be7be15b1383

	Lines: +89, -12
	Files:	Makefile.am (+6, -0)
		configure.ac (+2, -0)
		scripts/Makefile.am (+2, -1)
		scripts/count-cpus.in (added +27)
		src/cups/cups-genppd.c (+25, -1)
		src/cups/genppd.c (+1, -1)
		src/cups/test-ppds (+5, -5)
		src/cups/test-rastertogutenprint.in (+8, -3)
		src/testpattern/run-testpattern-1 (+4, -0)
		test/Makefile.am (+2, -1)
		test/run-weavetest (+4, -0)
		test/testdither.c (+3, -0)

	More testing improvements.

	make fast-check at top level runs the fast test with parallelism
	make full-check at top level similarly runs the full test.

	scripts/count-cpus attempts to count the CPUs in the system for
	auto-parallelization.  Currently likely only supports Linux.

	Mark testdither and run-weavetest as skipped when run under make check
	rather than taking them out (so we know that they are deliberately
	skipped).  Same for run-testpattern-1.in in fast mode, which isn't
	particularly useful.

2018-01-03  <Robert Krawitz>	bd2ccc1800c53493f3a9079030c37486a390b1c6

	Lines: +1102, -300
	Files:	configure.ac (+1, -0)
		src/cups/Makefile.am (+49, -14)
		src/cups/cups-genppd.c (added +583)
		src/cups/genppd.c (+25, -1)
		src/cups/test-ppds (+31, -10)
		src/cups/test-rastertogutenprint.in (+306, -203)
		src/testpattern/run-testpattern-2.in (+4, -0)
		test/Makefile.am (+3, -1)
		test/testdither.c (+100, -71)

	Speed up testing.

	STP_FAST_TEST tests only one printer per model in test-rastertogutenprint
	and run-testpattern-2.

	Remove testdither from the tests; it doesn't actually do any checking
	of any kind.  Also, speed it up in auto mode if anyone really wants it.

	Test both normal and simplified PPD files; omit simplified PPD files
	if STP_FAST_TEST is used.

	Set smaller batch size for test-ppds; we were getting unbalanced
	behavior resulting in about 1 minute tailoff.

	Print progress in test-ppds.

	Add explicit targets for simplified-only PPD files in makefile.

	Change progress reporting to every 100 printers in cups-genppd.c due to
	greater number of printers.

2018-01-03  <Robert Krawitz>	abfb332b2d59149d5ad1312fcff23fedb2f395d1

	Lines: +6, -5
	Files:	NEWS (+1, -1)
		README (+4, -3)
		configure.ac (+1, -1)

	Bump version

2018-01-03  <Robert Krawitz>	ffafa4183694b3ed8255ddcd3823e230f4c0e76b

	Lines: +537, -63
	Files:	NEWS (+4, -1)
		src/xml/printers.xml (+533, -62)

	Add automatically generated/unverified printers to the list

2018-01-03  <Solomon Peachy>	efbc72f3660ffcae817ad1f3dd1fe8b727abf097

	Lines: +15, -13
	Files:	src/main/print-olympus.c (+15, -13)

	dyesub:  backport the 4x6*2 margin fixes for the Mitsu D70/D707/D80 and ASK300.

2018-01-03  <Solomon Peachy>	b7d529d7dda7bfc675eeb0aef82e82d2b4104a2c

	Lines: +443, -253
	Files:	NEWS (+7, -0)
		src/cups/backend_canonselphy.c (+33, -31)
		src/cups/backend_canonselphyneo.c (+18, -8)
		src/cups/backend_citizencw01.c (+5, -3)
		src/cups/backend_common.c (+110, -63)
		src/cups/backend_common.h (+3, -1)
		src/cups/backend_dnpds40.c (+13, -11)
		src/cups/backend_kodak1400.c (+8, -1)
		src/cups/backend_kodak605.c (+3, -1)
		src/cups/backend_kodak6800.c (+3, -1)
		src/cups/backend_mitsu70x.c (+180, -92)
		src/cups/backend_mitsu9550.c (+26, -21)
		src/cups/backend_mitsup95d.c (+5, -3)
		src/cups/backend_shinkos1245.c (+4, -2)
		src/cups/backend_shinkos2145.c (+5, -3)
		src/cups/backend_shinkos6145.c (+5, -3)
		src/cups/backend_shinkos6245.c (+9, -4)
		src/cups/backend_sonyupdr150.c (+6, -4)
		src/cups/blacklist (+0, -1)

	dyesub: backend:  Synchronize with master

	Pulls in a small pile of bugfixes.

===============================================================================
Name: gutenprint-5_2_14-pre1

2018-01-02  <Robert Krawitz>	47a4c38f009e8226cc89d0d64083d1e24f098100

	Lines: +213, -208
	Files:	NEWS (+195, -190)
		README (+4, -4)
		configure.ac (+4, -4)
		po/ca.po (+5655, -4797)
		po/cs.po (+5495, -4808)
		po/da.po (+5655, -4797)
		po/de.po (+5655, -4797)
		po/el.po (+5498, -4806)
		po/en_GB.po (+5595, -4737)
		po/es.po (+5495, -4808)
		po/fi.po (+5596, -4738)
		po/fr.po (+5655, -4797)
		po/gl.po (+5617, -4759)
		po/hu.po (+5655, -4797)
		po/it.po (+5655, -4797)
		po/ja.po (+5561, -4735)
		po/nb.po (+5478, -4787)
		po/nl.po (+5654, -4796)
		po/pl.po (+5491, -4809)
		po/pt.po (+5495, -4808)
		po/ru.po (+5597, -4739)
		po/sk.po (+5654, -4796)
		po/sl.po (+5617, -4759)
		po/sv.po (+5602, -4744)
		po/tr.po (+5655, -4797)
		po/uk.po (+5655, -4797)
		po/vi.po (+5655, -4797)
		po/zh_CN.po (+5659, -4798)
		po/zh_TW.po (+5524, -4749)
		src/testpattern/Checksums/sums.5.2.14-pre1.lrz (added +0)
		src/xml/printers.xml (+10, -10)

	Prep for Gutenprint 5.2.14-pre1

2018-01-02  <Robert Krawitz>	dd94874f5491c967463687c6c9377b455b648ff2

	Lines: +15, -8
	Files:	scripts/autogen.sh (+15, -8)

	Fix doc tool requirements for developer build

2018-01-02  <Robert Krawitz>	f19cece4ae542cdf8662124590ee28fe8312730a

	Lines: +2, -0
	Files:	NEWS (+1, -0)
		src/xml/printers.xml (+1, -0)

	Add Canon imageRunner C5030 (tested)

2017-12-29  <Robert Krawitz>	ad2d92b131727f27bfe27ab29932f04d09adbcef

	Lines: +17, -2
	Files:	src/main/print-pcl.c (+15, -1)
		src/xml/printers.xml (+1, -1)
		test/pcl-unprint.c (+1, -0)

	Correct Color LaserJet 5 (which is a special case, using older commands)

	Fix unprinter output

2017-12-29  <Robert Krawitz>	9c48049c3b8dc4b4d6902e108025a55ce762d0e9

	Lines: +1, -1
	Files:	NEWS (+1, -1)

	Update number of supported printers.

2017-12-29  <Robert Krawitz>	bcb1cbfbe07bb2e3a3723d3b4a1d6acb060571b1

	Lines: +61, -28
	Files:	NEWS (+50, -17)
		README (+1, -1)
		src/main/print-pcl.c (+5, -5)
		src/main/printers.c (+5, -5)

	Add more new printers.

2017-12-29  <Robert Krawitz>	8ffa2cb00271ed16dd49b3f749ed9575aa11fd21

	Lines: +170, -0
	Files:	NEWS (+170, -0)

	Fix some typos in the updated printer list.

2017-12-29  <Robert Krawitz>	e26ab34d71ff749b6f941cdac76a856981cee612

	Lines: +205, -6
	Files:	NEWS (+194, -4)
		src/main/printers.c (+11, -2)

	Printing verified by Solomon Peachy.

	Fix scaling error if input resolution is higher than output.

	Add list of color laser printers extracted from HPIJS and HPLIP.

	Error out if there are duplicate printers found.

2017-12-29  <Robert Krawitz>	0ba3dd3287e78acca4f23069207e4ef80b394d1c

	Lines: +3, -4
	Files:	src/main/print-pcl.c (+3, -4)

	Fix scaling error if input resolution is higher than output.

2017-12-29  <Robert Krawitz>	6cb35771e16ec37ad2d17dcff39b8f727a1ab8ab

	Lines: +643, -168
	Files:	include/gutenprint/channel.h (+1, -0)
		src/main/channel.c (+88, -60)
		src/main/color-conversions.c (+78, -51)
		src/main/print-pcl.c (+260, -22)
		src/xml/printers.xml (+184, -15)
		test/pcl-unprint.c (+32, -20)

	Initial bench-only tested support for color laser printers.

	Add 8-bit output option for channel code.

	Fix reporting bug in compare-checksums.

	Add debug code to color-conversions (print the chosen conversion func)

	Handle multi-band pages in pcl-unprint

2017-12-29  <Robert Krawitz>	03e51635797f2256d2ec4e88e7df268bf1d01d9a

	Lines: +533, -138
	Files:	test/pcl-unprint.c (+533, -138)

	Handle color laser printer output (at least in direct pixel mode)

2017-11-26  <Robert Krawitz>	d08f756a0d84d30313d4dd0b3a5b831d7d8ed62c

	Lines: +625, -898
	Files:	ChangeLog.pre-5.2.11 (+608, -886)
		scripts/mkgitlog.in (+17, -12)

	Reset the baseline to take advantage of new(er) git log feature of
	detecting renames.

	Don't count changes to .po files (as opposed to add/remove file) toward
	the total changed lines; most of those changes are automatic.

2017-11-25  <Robert Krawitz>	7c1d6682e3dbb73591cecc4ffe45e7e6978a84a8

	Lines: +498, -934
	Files:	Makefile.am (+1, -2)
		configure.ac (+2, -4)
		doc/Makefile.am (+1, -2)
		doc/developer/Makefile.am (+1, -2)
		doc/developer/cleanwarnings.pl (+1, -2)
		doc/developer/gpl-appendix.xml (+2, -2)
		doc/developer/gutenprint.xml (+2, -3)
		doc/users_guide/Makefile.am (+1, -2)
		doc/users_guide/gfdl.sgml (+1, -2)
		include/Makefile.am (+1, -2)
		include/gutenprint/Makefile.am (+1, -2)
		include/gutenprint/array.h (+1, -2)
		include/gutenprint/bit-ops.h (+1, -2)
		include/gutenprint/channel.h (+1, -2)
		include/gutenprint/color.h (+1, -2)
		include/gutenprint/curve-cache.h (+1, -2)
		include/gutenprint/curve.h (+1, -2)
		include/gutenprint/dither.h (+1, -2)
		include/gutenprint/gutenprint-intl-internal.h (+1, -2)
		include/gutenprint/gutenprint-intl.h (+1, -2)
		include/gutenprint/gutenprint-module.h (+1, -2)
		include/gutenprint/gutenprint-version.h.in (+1, -2)
		include/gutenprint/gutenprint.h (+1, -2)
		include/gutenprint/image.h (+1, -2)
		include/gutenprint/list.h (+1, -2)
		include/gutenprint/module.h (+1, -2)
		include/gutenprint/paper.h (+1, -2)
		include/gutenprint/path.h (+1, -2)
		include/gutenprint/printers.h (+1, -2)
		include/gutenprint/sequence.h (+1, -2)
		include/gutenprint/string-list.h (+1, -2)
		include/gutenprint/util.h (+1, -2)
		include/gutenprint/vars.h (+1, -2)
		include/gutenprint/weave.h (+1, -2)
		include/gutenprint/xml.h (+1, -2)
		include/gutenprintui2/Makefile.am (+1, -2)
		include/gutenprintui2/curve.h (+1, -3)
		include/gutenprintui2/gammacurve.h (+1, -3)
		include/gutenprintui2/gutenprintui.h (+1, -2)
		m4/stp.m4 (+1, -2)
		m4/stp_cups.m4 (+1, -2)
		m4/stp_gimp.m4 (+1, -2)
		m4/stp_option.m4 (+1, -2)
		m4extra/pkg.m4 (+1, -2)
		m4extra/stp_release.m4.in (+1, -2)
		macosx/scripts/uninstall-gutenprint.command (+1, -2)
		macosx/src/gutenprint.pkg.src/Resources/preflight (+1, -2)
		man/Makefile.am (+1, -2)
		man/cups-calibrate.8.in (+1, -2)
		man/cups-genppd.8.in (+1, -2)
		man/cups-genppdupdate.8.in (+1, -2)
		man/escputil.1.in (+1, -2)
		po/ca.po (+1, -2)
		po/cs.po (+2, -4)
		po/da.po (+1, -2)
		po/de.po (+1, -2)
		po/el.po (+1, -2)
		po/en_GB.po (+2, -4)
		po/es.po (+1, -2)
		po/fi.po (+1, -2)
		po/fr.po (+1, -2)
		po/gl.po (+1, -2)
		po/hu.po (+1, -2)
		po/it.po (+1, -2)
		po/ja.po (+3, -6)
		po/nb.po (+1, -2)
		po/nl.po (+1, -2)
		po/pl.po (+1, -2)
		po/pt.po (+3, -6)
		po/ru.po (+1, -2)
		po/sk.po (+1, -2)
		po/sl.po (+1, -2)
		po/sv.po (+1, -2)
		po/tr.po (+1, -2)
		po/uk.po (+1, -2)
		po/vi.po (+1, -2)
		po/zh_CN.po (+1, -2)
		po/zh_TW.po (+1, -2)
		samples/Makefile.am (+1, -2)
		scripts/Makefile.am (+1, -2)
		scripts/gversion.in (+1, -2)
		scripts/mkgitlog.in (+1, -2)
		scripts/test-gversion (+1, -2)
		src/Makefile.am (+1, -2)
		src/cups/COPYING (+1, -2)
		src/cups/Makefile.am (+1, -2)
		src/cups/backend_canonselphy.c (+1, -2)
		src/cups/backend_canonselphyneo.c (+1, -2)
		src/cups/backend_citizencw01.c (+1, -2)
		src/cups/backend_common.c (+2, -4)
		src/cups/backend_common.h (+1, -2)
		src/cups/backend_dnpds40.c (+1, -2)
		src/cups/backend_kodak1400.c (+1, -2)
		src/cups/backend_kodak605.c (+1, -2)
		src/cups/backend_kodak6800.c (+1, -2)
		src/cups/backend_mitsu70x.c (+1, -2)
		src/cups/backend_mitsu9550.c (+1, -2)
		src/cups/backend_mitsup95d.c (+1, -2)
		src/cups/backend_shinkos1245.c (+1, -2)
		src/cups/backend_shinkos2145.c (+1, -2)
		src/cups/backend_shinkos6145.c (+1, -2)
		src/cups/backend_shinkos6245.c (+1, -2)
		src/cups/backend_sonyupdr150.c (+1, -2)
		src/cups/command.types (+1, -2)
		src/cups/commandtoepson.c (+1, -2)
		src/cups/cups-calibrate.c (+1, -2)
		src/cups/cups-genppdupdate.in (+1, -2)
		src/cups/genppd.c (+2, -4)
		src/cups/i18n.c (+1, -2)
		src/cups/i18n.h (+1, -2)
		src/cups/rastertoprinter.c (+1, -2)
		src/cups/test-ppds (+1, -2)
		src/cups/test-rastertogutenprint.in (+1, -2)
		src/escputil/Makefile.am (+1, -2)
		src/escputil/d4lib.c (+1, -2)
		src/escputil/d4lib.h (+1, -2)
		src/escputil/escputil.c (+34, -5)
		src/gimp2/Makefile.am (+1, -2)
		src/gimp2/print-gutenprint.c (+1, -2)
		src/gimp2/print-image-gimp.c (+1, -2)
		src/gimp2/print-intl.h (+1, -2)
		src/gimp2/print-print.c (+1, -2)
		src/gimp2/print.c (+1, -2)
		src/gimp2/print_gimp.h (+1, -2)
		src/gutenprintui2/Makefile.am (+1, -2)
		src/gutenprintui2/curve.c (+1, -3)
		src/gutenprintui2/gammacurve.c (+1, -3)
		src/gutenprintui2/gutenprintui-internal.h (+1, -2)
		src/gutenprintui2/panel.c (+2, -4)
		src/gutenprintui2/plist.c (+1, -2)
		src/gutenprintui2/print-image-thumbnail.c (+1, -2)
		src/gutenprintui2/printrc.h (+1, -2)
		src/gutenprintui2/printrcl.l (+1, -2)
		src/gutenprintui2/printrcy.y (+1, -2)
		src/gutenprintui2/ui-utils.c (+1, -2)
		src/main/Makefile.am (+1, -2)
		src/main/array.c (+1, -2)
		src/main/bit-ops.c (+1, -2)
		src/main/buffer-image.c (+1, -2)
		src/main/canon-inks.h (+1, -2)
		src/main/canon-media-mode.h (+1, -2)
		src/main/canon-media.h (+1, -2)
		src/main/canon-modes.h (+1, -2)
		src/main/canon-printers.h (+1, -2)
		src/main/channel.c (+1, -2)
		src/main/color-conversion.h (+1, -2)
		src/main/color-conversions.c (+1, -2)
		src/main/color.c (+1, -2)
		src/main/curve-cache.c (+1, -2)
		src/main/curve.c (+1, -2)
		src/main/dither-ed.c (+1, -2)
		src/main/dither-eventone.c (+1, -2)
		src/main/dither-impl.h (+1, -2)
		src/main/dither-inks.c (+1, -2)
		src/main/dither-inlined-functions.h (+1, -2)
		src/main/dither-main.c (+1, -2)
		src/main/dither-ordered.c (+1, -2)
		src/main/dither-predithered.c (+1, -2)
		src/main/dither-very-fast.c (+1, -2)
		src/main/escp2-channels.c (+1, -2)
		src/main/escp2-driver.c (+1, -2)
		src/main/escp2-papers.c (+1, -2)
		src/main/escp2-resolutions.c (+1, -2)
		src/main/generic-options.c (+1, -2)
		src/main/generic-options.h (+1, -2)
		src/main/gutenprint-internal.h (+1, -2)
		src/main/gutenprint.dtd (+1, -2)
		src/main/image.c (+1, -2)
		src/main/module.c (+1, -2)
		src/main/path.c (+1, -2)
		src/main/print-canon.c (+1, -2)
		src/main/print-canon.h (+1, -2)
		src/main/print-color.c (+1, -2)
		src/main/print-dither-matrices.c (+1, -2)
		src/main/print-dpl.c (+1, -2)
		src/main/print-escp2-data.c (+1, -2)
		src/main/print-escp2.c (+1, -2)
		src/main/print-escp2.h (+1, -2)
		src/main/print-lexmark.c (+1, -2)
		src/main/print-list.c (+1, -2)
		src/main/print-olympus.c (+1, -2)
		src/main/print-papers.c (+1, -2)
		src/main/print-pcl.c (+1, -2)
		src/main/print-ps.c (+1, -2)
		src/main/print-raw.c (+1, -2)
		src/main/print-util.c (+1, -2)
		src/main/print-vars.c (+1, -2)
		src/main/print-version.c (+1, -2)
		src/main/print-weave.c (+1, -2)
		src/main/printers.c (+1, -2)
		src/main/sequence.c (+1, -2)
		src/main/string-list.c (+1, -2)
		src/main/xml.c (+1, -2)
		src/main/xmlppd.h (+1, -2)
		src/testpattern/Makefile.am (+1, -2)
		src/testpattern/compare-checksums.in (+1, -2)
		src/testpattern/compare-image-files (+1, -2)
		src/testpattern/compress-checksums.in (+1, -2)
		src/testpattern/extended.sample (+1, -2)
		src/testpattern/printer_options.c (+1, -2)
		src/testpattern/printers.c (+1, -2)
		src/testpattern/run-testpattern (+1, -2)
		src/testpattern/run-testpattern-1 (+1, -2)
		src/testpattern/run-testpattern-2.in (+1, -2)
		src/testpattern/testpattern.c (+1, -2)
		src/testpattern/testpattern.h (+1, -2)
		src/testpattern/testpattern.sample (+1, -2)
		src/testpattern/testpatternl.l (+1, -2)
		src/testpattern/testpatterny.y (+1, -2)
		src/xml/Makefile.am (+1, -2)
		src/xml/escp2/Makefile.am (+1, -2)
		src/xml/escp2/inks/Makefile.am (+1, -2)
		src/xml/escp2/inks/artisan.xml (+1, -2)
		src/xml/escp2/inks/b500.xml (+1, -2)
		src/xml/escp2/inks/c120.xml (+1, -2)
		src/xml/escp2/inks/c64.xml (+1, -2)
		src/xml/escp2/inks/c80.xml (+1, -2)
		src/xml/escp2/inks/c82.xml (+1, -2)
		src/xml/escp2/inks/claria.xml (+1, -2)
		src/xml/escp2/inks/cmy.xml (+1, -2)
		src/xml/escp2/inks/cmykrb.xml (+1, -2)
		src/xml/escp2/inks/cmykro.xml (+1, -2)
		src/xml/escp2/inks/cx3650.xml (+1, -2)
		src/xml/escp2/inks/defaultblack.xml (+1, -2)
		src/xml/escp2/inks/f360.xml (+1, -2)
		src/xml/escp2/inks/f360_photo.xml (+1, -2)
		src/xml/escp2/inks/f360_photo7_japan.xml (+1, -2)
		src/xml/escp2/inks/f360_ultrachrome.xml (+1, -2)
		src/xml/escp2/inks/f360_ultrachrome_k3.xml (+1, -2)
		src/xml/escp2/inks/f360_ultrachrome_k3v.xml (+1, -2)
		src/xml/escp2/inks/f360_ultrachrome_k3v_2.xml (+1, -2)
		src/xml/escp2/inks/nx100.xml (+1, -2)
		src/xml/escp2/inks/photo_gen0.xml (+1, -2)
		src/xml/escp2/inks/photo_gen1.xml (+1, -2)
		src/xml/escp2/inks/photo_gen2.xml (+1, -2)
		src/xml/escp2/inks/photo_gen3.xml (+1, -2)
		src/xml/escp2/inks/photo_gen3_4.xml (+1, -2)
		src/xml/escp2/inks/photo_gen4.xml (+1, -2)
		src/xml/escp2/inks/photo_pigment.xml (+1, -2)
		src/xml/escp2/inks/picturemate_4.xml (+1, -2)
		src/xml/escp2/inks/picturemate_6.xml (+1, -2)
		src/xml/escp2/inks/pro_gen1.xml (+1, -2)
		src/xml/escp2/inks/pro_gen2.xml (+1, -2)
		src/xml/escp2/inks/pro_pigment.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome_k3.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome_k34.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome_k3v.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome_k3v10.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome_k3v10a.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome_k3v10b.xml (+1, -2)
		src/xml/escp2/inks/pro_ultrachrome_k3v4.xml (+1, -2)
		src/xml/escp2/inks/standard.xml (+1, -2)
		src/xml/escp2/inks/standard_gen0.xml (+1, -2)
		src/xml/escp2/inks/sx445.xml (+1, -2)
		src/xml/escp2/inks/ultrachrome.xml (+1, -2)
		src/xml/escp2/inks/wf40.xml (+1, -2)
		src/xml/escp2/inks/wf500.xml (+1, -2)
		src/xml/escp2/inks/x80.xml (+1, -2)
		src/xml/escp2/inks/xp100.xml (+1, -2)
		src/xml/escp2/inputslots/Makefile.am (+1, -2)
		src/xml/escp2/inputslots/artisan.xml (+1, -2)
		src/xml/escp2/inputslots/b500.xml (+1, -2)
		src/xml/escp2/inputslots/cd.xml (+1, -2)
		src/xml/escp2/inputslots/cd_cutter_roll_feed.xml (+1, -2)
		src/xml/escp2/inputslots/cd_roll_feed.xml (+1, -2)
		src/xml/escp2/inputslots/cutter_roll_feed.xml (+1, -2)
		src/xml/escp2/inputslots/default-duplex.xml (+1, -2)
		src/xml/escp2/inputslots/default.xml (+1, -2)
		src/xml/escp2/inputslots/pro3880.xml (+1, -2)
		src/xml/escp2/inputslots/pro_cutter_roll_feed.xml (+1, -2)
		src/xml/escp2/inputslots/pro_roll_feed.xml (+1, -2)
		src/xml/escp2/inputslots/r1800.xml (+1, -2)
		src/xml/escp2/inputslots/r2400.xml (+1, -2)
		src/xml/escp2/inputslots/r2880.xml (+1, -2)
		src/xml/escp2/inputslots/rx680.xml (+1, -2)
		src/xml/escp2/inputslots/rx700.xml (+1, -2)
		src/xml/escp2/inputslots/spro5000.xml (+1, -2)
		src/xml/escp2/inputslots/standard_roll_feed.xml (+1, -2)
		src/xml/escp2/inputslots/wf7000.xml (+1, -2)
		src/xml/escp2/media/Makefile.am (+1, -2)
		src/xml/escp2/media/artisan.xml (+1, -2)
		src/xml/escp2/media/b500.xml (+1, -2)
		src/xml/escp2/media/c120.xml (+1, -2)
		src/xml/escp2/media/c64.xml (+1, -2)
		src/xml/escp2/media/c80.xml (+1, -2)
		src/xml/escp2/media/c82.xml (+1, -2)
		src/xml/escp2/media/claria.xml (+1, -2)
		src/xml/escp2/media/claria1400.xml (+1, -2)
		src/xml/escp2/media/cmy.xml (+1, -2)
		src/xml/escp2/media/cmykrb.xml (+1, -2)
		src/xml/escp2/media/cmykro.xml (+1, -2)
		src/xml/escp2/media/cx3650.xml (+1, -2)
		src/xml/escp2/media/f360.xml (+1, -2)
		src/xml/escp2/media/f360_photo.xml (+1, -2)
		src/xml/escp2/media/f360_photo7_japan.xml (+1, -2)
		src/xml/escp2/media/f360_ultrachrome.xml (+1, -2)
		src/xml/escp2/media/f360_ultrachrome_k3.xml (+1, -2)
		src/xml/escp2/media/f360_ultrachrome_k3v.xml (+1, -2)
		src/xml/escp2/media/nx100.xml (+1, -2)
		src/xml/escp2/media/photo_gen0.xml (+1, -2)
		src/xml/escp2/media/photo_gen1.xml (+1, -2)
		src/xml/escp2/media/photo_gen2.xml (+1, -2)
		src/xml/escp2/media/photo_gen3.xml (+1, -2)
		src/xml/escp2/media/photo_gen3_4.xml (+1, -2)
		src/xml/escp2/media/photo_gen4.xml (+1, -2)
		src/xml/escp2/media/photo_pigment.xml (+1, -2)
		src/xml/escp2/media/picturemate_4.xml (+1, -2)
		src/xml/escp2/media/picturemate_6.xml (+1, -2)
		src/xml/escp2/media/pro3880_ultrachrome_k3v.xml (+1, -2)
		src/xml/escp2/media/pro_gen1.xml (+1, -2)
		src/xml/escp2/media/pro_gen2.xml (+1, -2)
		src/xml/escp2/media/pro_pigment.xml (+1, -2)
		src/xml/escp2/media/pro_ultrachrome.xml (+1, -2)
		src/xml/escp2/media/pro_ultrachrome_k3.xml (+1, -2)
		src/xml/escp2/media/pro_ultrachrome_k3v.xml (+1, -2)
		src/xml/escp2/media/pro_ultrachrome_k3v10.xml (+1, -2)
		src/xml/escp2/media/pro_ultrachrome_k3v10a.xml (+1, -2)
		src/xml/escp2/media/pro_ultrachrome_k3v10b.xml (+1, -2)
		src/xml/escp2/media/r800.xml (+1, -2)
		src/xml/escp2/media/standard.xml (+1, -2)
		src/xml/escp2/media/standard_gen0.xml (+1, -2)
		src/xml/escp2/media/ultrachrome.xml (+1, -2)
		src/xml/escp2/media/wf500.xml (+1, -2)
		src/xml/escp2/media/x80.xml (+1, -2)
		src/xml/escp2/mediasizes/Makefile.am (+1, -2)
		src/xml/escp2/mediasizes/standard.xml (+1, -2)
		src/xml/escp2/model/Makefile.am (+1, -2)
		src/xml/escp2/model/model_0.xml (+1, -2)
		src/xml/escp2/model/model_1.xml (+1, -2)
		src/xml/escp2/model/model_10.xml (+1, -2)
		src/xml/escp2/model/model_100.xml (+1, -2)
		src/xml/escp2/model/model_101.xml (+1, -2)
		src/xml/escp2/model/model_102.xml (+1, -2)
		src/xml/escp2/model/model_103.xml (+1, -2)
		src/xml/escp2/model/model_104.xml (+1, -2)
		src/xml/escp2/model/model_105.xml (+1, -2)
		src/xml/escp2/model/model_106.xml (+1, -2)
		src/xml/escp2/model/model_107.xml (+1, -2)
		src/xml/escp2/model/model_108.xml (+1, -2)
		src/xml/escp2/model/model_109.xml (+1, -2)
		src/xml/escp2/model/model_11.xml (+1, -2)
		src/xml/escp2/model/model_110.xml (+1, -2)
		src/xml/escp2/model/model_111.xml (+1, -2)
		src/xml/escp2/model/model_112.xml (+1, -2)
		src/xml/escp2/model/model_113.xml (+1, -2)
		src/xml/escp2/model/model_114.xml (+1, -2)
		src/xml/escp2/model/model_115.xml (+1, -2)
		src/xml/escp2/model/model_116.xml (+1, -2)
		src/xml/escp2/model/model_117.xml (+1, -2)
		src/xml/escp2/model/model_118.xml (+1, -2)
		src/xml/escp2/model/model_119.xml (+1, -2)
		src/xml/escp2/model/model_12.xml (+1, -2)
		src/xml/escp2/model/model_120.xml (+1, -2)
		src/xml/escp2/model/model_121.xml (+1, -2)
		src/xml/escp2/model/model_122.xml (+1, -2)
		src/xml/escp2/model/model_123.xml (+1, -2)
		src/xml/escp2/model/model_124.xml (+1, -2)
		src/xml/escp2/model/model_125.xml (+1, -2)
		src/xml/escp2/model/model_126.xml (+1, -2)
		src/xml/escp2/model/model_127.xml (+1, -2)
		src/xml/escp2/model/model_128.xml (+1, -2)
		src/xml/escp2/model/model_129.xml (+1, -2)
		src/xml/escp2/model/model_13.xml (+1, -2)
		src/xml/escp2/model/model_131.xml (+1, -2)
		src/xml/escp2/model/model_14.xml (+1, -2)
		src/xml/escp2/model/model_15.xml (+1, -2)
		src/xml/escp2/model/model_16.xml (+1, -2)
		src/xml/escp2/model/model_17.xml (+1, -2)
		src/xml/escp2/model/model_18.xml (+1, -2)
		src/xml/escp2/model/model_19.xml (+1, -2)
		src/xml/escp2/model/model_2.xml (+1, -2)
		src/xml/escp2/model/model_20.xml (+1, -2)
		src/xml/escp2/model/model_21.xml (+1, -2)
		src/xml/escp2/model/model_22.xml (+1, -2)
		src/xml/escp2/model/model_23.xml (+1, -2)
		src/xml/escp2/model/model_24.xml (+1, -2)
		src/xml/escp2/model/model_25.xml (+1, -2)
		src/xml/escp2/model/model_26.xml (+1, -2)
		src/xml/escp2/model/model_27.xml (+1, -2)
		src/xml/escp2/model/model_28.xml (+1, -2)
		src/xml/escp2/model/model_29.xml (+1, -2)
		src/xml/escp2/model/model_3.xml (+1, -2)
		src/xml/escp2/model/model_30.xml (+1, -2)
		src/xml/escp2/model/model_31.xml (+1, -2)
		src/xml/escp2/model/model_32.xml (+1, -2)
		src/xml/escp2/model/model_33.xml (+1, -2)
		src/xml/escp2/model/model_34.xml (+1, -2)
		src/xml/escp2/model/model_35.xml (+1, -2)
		src/xml/escp2/model/model_36.xml (+1, -2)
		src/xml/escp2/model/model_37.xml (+1, -2)
		src/xml/escp2/model/model_38.xml (+1, -2)
		src/xml/escp2/model/model_39.xml (+1, -2)
		src/xml/escp2/model/model_4.xml (+1, -2)
		src/xml/escp2/model/model_40.xml (+1, -2)
		src/xml/escp2/model/model_41.xml (+1, -2)
		src/xml/escp2/model/model_42.xml (+1, -2)
		src/xml/escp2/model/model_43.xml (+1, -2)
		src/xml/escp2/model/model_44.xml (+1, -2)
		src/xml/escp2/model/model_45.xml (+1, -2)
		src/xml/escp2/model/model_46.xml (+1, -2)
		src/xml/escp2/model/model_47.xml (+1, -2)
		src/xml/escp2/model/model_48.xml (+1, -2)
		src/xml/escp2/model/model_49.xml (+1, -2)
		src/xml/escp2/model/model_5.xml (+1, -2)
		src/xml/escp2/model/model_50.xml (+1, -2)
		src/xml/escp2/model/model_51.xml (+1, -2)
		src/xml/escp2/model/model_52.xml (+1, -2)
		src/xml/escp2/model/model_53.xml (+1, -2)
		src/xml/escp2/model/model_54.xml (+1, -2)
		src/xml/escp2/model/model_55.xml (+1, -2)
		src/xml/escp2/model/model_56.xml (+1, -2)
		src/xml/escp2/model/model_57.xml (+1, -2)
		src/xml/escp2/model/model_58.xml (+1, -2)
		src/xml/escp2/model/model_59.xml (+1, -2)
		src/xml/escp2/model/model_6.xml (+1, -2)
		src/xml/escp2/model/model_60.xml (+1, -2)
		src/xml/escp2/model/model_61.xml (+1, -2)
		src/xml/escp2/model/model_62.xml (+1, -2)
		src/xml/escp2/model/model_63.xml (+1, -2)
		src/xml/escp2/model/model_64.xml (+1, -2)
		src/xml/escp2/model/model_65.xml (+1, -2)
		src/xml/escp2/model/model_66.xml (+1, -2)
		src/xml/escp2/model/model_67.xml (+1, -2)
		src/xml/escp2/model/model_68.xml (+1, -2)
		src/xml/escp2/model/model_69.xml (+1, -2)
		src/xml/escp2/model/model_7.xml (+1, -2)
		src/xml/escp2/model/model_70.xml (+1, -2)
		src/xml/escp2/model/model_71.xml (+1, -2)
		src/xml/escp2/model/model_72.xml (+1, -2)
		src/xml/escp2/model/model_73.xml (+1, -2)
		src/xml/escp2/model/model_74.xml (+1, -2)
		src/xml/escp2/model/model_75.xml (+1, -2)
		src/xml/escp2/model/model_76.xml (+1, -2)
		src/xml/escp2/model/model_77.xml (+1, -2)
		src/xml/escp2/model/model_78.xml (+1, -2)
		src/xml/escp2/model/model_79.xml (+1, -2)
		src/xml/escp2/model/model_8.xml (+1, -2)
		src/xml/escp2/model/model_80.xml (+1, -2)
		src/xml/escp2/model/model_81.xml (+1, -2)
		src/xml/escp2/model/model_82.xml (+1, -2)
		src/xml/escp2/model/model_83.xml (+1, -2)
		src/xml/escp2/model/model_84.xml (+1, -2)
		src/xml/escp2/model/model_85.xml (+1, -2)
		src/xml/escp2/model/model_86.xml (+1, -2)
		src/xml/escp2/model/model_87.xml (+1, -2)
		src/xml/escp2/model/model_88.xml (+1, -2)
		src/xml/escp2/model/model_89.xml (+1, -2)
		src/xml/escp2/model/model_9.xml (+1, -2)
		src/xml/escp2/model/model_90.xml (+1, -2)
		src/xml/escp2/model/model_91.xml (+1, -2)
		src/xml/escp2/model/model_92.xml (+1, -2)
		src/xml/escp2/model/model_93.xml (+1, -2)
		src/xml/escp2/model/model_94.xml (+1, -2)
		src/xml/escp2/model/model_95.xml (+1, -2)
		src/xml/escp2/model/model_96.xml (+1, -2)
		src/xml/escp2/model/model_97.xml (+1, -2)
		src/xml/escp2/model/model_98.xml (+1, -2)
		src/xml/escp2/model/model_99.xml (+1, -2)
		src/xml/escp2/qualitypresets/Makefile.am (+1, -2)
		src/xml/escp2/qualitypresets/p1_5.xml (+1, -2)
		src/xml/escp2/qualitypresets/picturemate.xml (+1, -2)
		src/xml/escp2/qualitypresets/prox900.xml (+1, -2)
		src/xml/escp2/qualitypresets/standard.xml (+1, -2)
		src/xml/escp2/qualitypresets/v2880.xml (+1, -2)
		src/xml/escp2/qualitypresets/wf40.xml (+1, -2)
		src/xml/escp2/weaves/Makefile.am (+1, -2)
		src/xml/escp2/weaves/pro7000.xml (+1, -2)
		src/xml/escp2/weaves/pro7500.xml (+1, -2)
		src/xml/escp2/weaves/pro7600.xml (+1, -2)
		src/xml/escp2/weaves/standard.xml (+1, -2)
		src/xml/extract-strings.c (+1, -2)
		src/xml/papers.xml (+1, -2)
		src/xml/printers.xml (+1, -2)
		test/Makefile.am (+1, -2)
		test/bjc-unprint.c (+1, -2)
		test/curve.c (+1, -2)
		test/escp2-weavetest.c (+1, -2)
		test/gen-printer-list.c (+1, -2)
		test/parse-escp2 (+1, -2)
		test/pcl-unprint.c (+1, -2)
		test/run-testdither (+1, -2)
		test/testdither.c (+1, -2)
		test/unprint.c (+1, -2)
		test/xml-curve.c (+1, -2)

	Fix FSF address in copyright messages

2017-10-19  <Solomon Peachy>	9bc3de2395fb1ab47eba42aaafc836cf0ca94a40

	Lines: +6, -5
	Files:	NEWS (+3, -2)
		src/main/print-olympus.c (+3, -3)

	dyesub:  Fix improper margin on Sony UPDR150/UPDR200 for 6x8" sizes

	There was a missing field in the static initialization structure

2017-10-03  <Solomon Peachy>	7dc22e1172ab37fbda1c683951e724bd9fd11fbc

	Lines: +5, -3
	Files:	src/cups/backend_dnpds40.c (+5, -3)

	dyesub: backend:  DNP DS620 needs Firmware 1.52 for stable Fine Matte support.

2017-09-27  <Solomon Peachy>	d0464d3c36d3eace60a03a586278c81e7b0fd2e0

	Lines: +4, -0
	Files:	src/cups/blacklist (+4, -0)

	dyesub: backend:  Blacklist the Fujifilm ASK-300 too

2017-09-23  <Robert Krawitz>	f876a6a7e0e03dccfe414d3f7cc3a64c4d8db8a7

	Lines: +3, -3
	Files:	src/xml/escp2/model/Makefile.am (+1, -1)
		src/xml/escp2/model/{model_130.xml => model_131.xml} (+1, -1)
		src/xml/printers.xml (+1, -1)

	Rename model file for Stylus Pro 4900 to avoid merge conflict

2017-09-23  <Solomon Peachy>	738251b32919480663ad6bdf51012e1faa091cb4

	Lines: +1, -1
	Files:	src/cups/backend_mitsu70x.c (+1, -1)

	cups: backend:  Fix 3.5x5" media detection on ASK-300

2017-09-20  <Robert Krawitz>	b6fdb1a5ae6405048dc56efdb26f2ed280a39d73

	Lines: +147, -1
	Files:	NEWS (+5, -0)
		src/xml/escp2/model/Makefile.am (+2, -1)
		src/xml/escp2/model/model_130.xml (added +139)
		src/xml/printers.xml (+1, -0)

	Support (partial) Epson Stylus Pro 4900

2017-09-19  <Solomon Peachy>	f0957986526ff4c3af2030683d038276c525fec7

	Lines: +12, -6
	Files:	src/cups/backend_mitsu70x.c (+5, -4)
		src/main/print-olympus.c (+7, -2)

	dyesub:  Fix ASK-300 printjob header generation.

2017-09-19  <Solomon Peachy>	47c5a93a359fcd82771809d7b2a77c40c6fa2b20

	Lines: +50, -21
	Files:	src/cups/backend_mitsu70x.c (+50, -21)

	dyesub: backend: Add Fuji ASK-300 support, better marker messages.

2017-09-19  <Solomon Peachy>	535c0a4c256350810977d318ff5ec84a04593e98

	Lines: +4, -1
	Files:	NEWS (+3, -0)
		src/xml/printers.xml (+1, -1)

	dyesub:  Fujifilm ASK-300 has matte support.

2017-09-14  <Robert Krawitz>	12321ca1dbbcb77bc0aae8ad4ae633ab1af0611b

	Lines: +59, -57
	Files:	NEWS (+2, -0)
		src/xml/printers.xml (+57, -57)

	Sort entries in printers.xml

2017-09-14  <Robert Krawitz>	34619f9a1fa46939ca676a82d6a71bc012695b12

	Lines: +45, -1
	Files:	NEWS (+14, -0)
		src/cups/Makefile.am (+29, -0)
		src/cups/genppd.c (+1, -0)
		src/cups/test-rastertogutenprint.in (+1, -1)

	Fix CUPS driver crash with simplified PPD files for certain dyesub printers.
	Test simplified as well as full PPD files with CUPS.

2017-09-11  <Robert Krawitz>	82531932ba06e479727c7da39c8b62166c93ef25

	Lines: +7, -4
	Files:	NEWS (+7, -0)
		src/xml/printers.xml (+0, -4)

	Remove support for Brother GDI printers HL-2030 and HL-2035

2017-09-11  <Robert Krawitz>	5c340d887351d34b9ee2d022537a43c57ed6036a

	Lines: +455, -225
	Files:	test/parse-escp2 (+455, -225)

	Print more verbose messages in parse-escp2.

2017-08-07  <Solomon Peachy>	cb2067bfc75f96601b4d06695368a3812c7cdd35

	Lines: +3, -2
	Files:	src/cups/backend_sonyupdr150.c (+3, -2)

	backend: sonyupdr150:  Multiple copies didn't work.

2017-08-07  <Solomon Peachy>	52f2277504fcc67091e77e39f3cda9253b3ce7f5

	Lines: +2, -2
	Files:	src/cups/backend_canonselphy.c (+2, -2)

	backend:  canonselphy:  Fix nasty regression with ES3/ES30/ES40/CP790

===============================================================================
Name: gutenprint-5_2_13

2017-07-17  <Robert Krawitz>	3cbc59bb4da7677d2d799cd50050e97e897ad2df

	Lines: +8, -7
	Files:	NEWS (+2, -1)
		README (+5, -5)
		configure.ac (+1, -1)
		po/ca.po (+6791, -5177)
		po/cs.po (+6851, -5271)
		po/da.po (+6791, -5177)
		po/de.po (+6805, -5202)
		po/el.po (+6849, -5266)
		po/en_GB.po (+6804, -5212)
		po/es.po (+6850, -5269)
		po/fi.po (+6792, -5199)
		po/fr.po (+6807, -5189)
		po/gl.po (+6809, -5216)
		po/hu.po (+6791, -5177)
		po/it.po (+6825, -5191)
		po/ja.po (+6793, -5200)
		po/nb.po (+6849, -5272)
		po/nl.po (+10148, -6398)
		po/pl.po (+6847, -5267)
		po/pt.po (+6850, -5269)
		po/ru.po (+6800, -5209)
		po/sk.po (+10220, -6456)
		po/sl.po (+6806, -5212)
		po/sv.po (+6806, -5215)
		po/tr.po (+6791, -5177)
		po/uk.po (+6791, -5177)
		po/vi.po (+6789, -5178)
		po/zh_CN.po (+6787, -5174)
		po/zh_TW.po (+6803, -5216)
		src/testpattern/Checksums/sums.5.2.13.lrz (added +0)

	Gutenprint 5.2.13 release

2017-07-17  <Solomon Peachy>	34b4042bc84c4a51c3c14385565c7644bbb58c85

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub: Mitsubishi CP9550D apparently uses 'RGB' ordering.

	(I wish they could be somewhat consistent..)

2017-07-13  <Gernot Hassenpflug>	d3784bd141c31a32c004bea97cb9fca993203e73

	Lines: +365, -13
	Files:	NEWS (+24, -0)
		src/main/canon-inks.h (+145, -3)
		src/main/canon-media-mode.h (+74, -1)
		src/main/canon-media.h (+32, -0)
		src/main/canon-modes.h (+30, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+19, -9)
		src/xml/printers.xml (+24, -0)

	Added experimental support for Canon PIXMA TS8000/TS9000 series.

2017-07-10  <Solomon Peachy>	cbd39a8705cb14510f12fd8622eb5d2af073b085

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	Mitsubishi CP9550DW uses RGB ink ordering.

2017-07-09  <Gernot Hassenpflug>	265bcd9d42f23861e1ccec2a1581de2c6d75bdda

	Lines: +141, -3
	Files:	NEWS (+12, -0)
		src/main/canon-media-mode.h (+67, -0)
		src/main/canon-media.h (+7, -0)
		src/main/canon-modes.h (+24, -1)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+2, -2)
		src/xml/printers.xml (+12, -0)

	Added experimental support for Canon PIXMA TS6000 series.

2017-07-09  <Gernot Hassenpflug>	6c3afc64696343e4590fa722a2293830f95ac493

	Lines: +152, -2
	Files:	NEWS (+14, -0)
		src/main/canon-media-mode.h (+65, -0)
		src/main/canon-media.h (+21, -0)
		src/main/canon-modes.h (+19, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+2, -2)
		src/xml/printers.xml (+14, -0)

	Added experimental support for Canon PIXMA TS5000.

2017-07-07  <stephen letter>	7f9eff22aa9fd37b1f21e261c1d1a4380d23bb64

	Lines: +2, -2
	Files:	src/xml/printers.xml (+2, -2)

	Honeywell developer confirmed SAV in PNP string is a bug.  Corrected
	to RP.

2017-07-06  <stephen letter>	a2125e165cdfb2584255e701c39dfb14579099e3

	Lines: +26, -2
	Files:	NEWS (+2, -0)
		src/main/print-dpl.c (+22, -2)
		src/xml/printers.xml (+2, -0)

	Added Honeywell printers RP2 (SAV2) and RP4 (SAV4), removed "none" from resolutions.

2017-07-06  <Gernot Hassenpflug>	e6218d1ac1ffd11b83f4902d15fd73ee3b74ad9f

	Lines: +154, -3
	Files:	NEWS (+6, -0)
		src/main/canon-media-mode.h (+74, -0)
		src/main/canon-media.h (+22, -1)
		src/main/canon-modes.h (+27, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+2, -2)
		src/xml/printers.xml (+6, -0)

	Added experimental support for Canon PIXMA E3100 and TS3100 (same specs) support. Note: dual cart, but Windows driver has no option to select black-only or color-only.

2017-07-05  <Gernot Hassenpflug>	cd786c348fd846bb1dadf9d686816066dbbf5873

	Lines: +50, -50
	Files:	NEWS (+50, -50)

	Edited NEWS file layout of new Canon printers in upcoming release

2017-07-04  <Robert Krawitz>	6a79141b9c54110a24af25b4e8efa1052bb04f65

	Lines: +2197, -2249
	Files:	ChangeLog.pre-5.2.11 (+0, -1)
		Makefile.am (+0, -1)
		NEWS (+2, -2)
		README (+4, -4)
		configure.ac (+7, -7)
		doc/5.0-release-plan.txt (+3, -3)
		doc/Makefile.am (+1, -1)
		doc/developer/gpl-appendix.xml (+6, -7)
		doc/developer/new-printer.xml (+2, -2)
		doc/developer/problems.xml (+1, -1)
		doc/gutenprint.dox.in (+518, -518)
		doc/gutenprintui2.dox.in (+518, -518)
		doc/users_guide/README (+0, -4)
		doc/users_guide/cups-edition.sgml (+1, -4)
		doc/users_guide/cups.sgml (+5, -5)
		doc/users_guide/figures/README (+0, -2)
		doc/users_guide/gimp-edition.sgml (+1, -4)
		doc/users_guide/gimp.sgml (+1, -1)
		doc/users_guide/users-guide.sgml (+1, -4)
		doc/users_guide/util-edition.sgml (+0, -3)
		doc/users_guide/utils.sgml (+51, -51)
		include/gutenprint/bit-ops.h (+1, -1)
		include/gutenprint/vars.h (+1, -1)
		include/gutenprintui2/curve.h (+1, -1)
		include/gutenprintui2/gammacurve.h (+1, -1)
		include/gutenprintui2/gutenprintui.h (+1, -1)
		m4/stp_cups.m4 (+1, -1)
		m4extra/glib.m4 (+8, -8)
		m4extra/gtk.m4 (+6, -6)
		m4extra/libtool.m4 (+3, -3)
		m4extra/pkg.m4 (+3, -3)
		macosx/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (+10, -10)
		macosx/Gutenprint Utility for EPSON Inkjet Printers/Utility Read Me.rtf (+2, -2)
		macosx/README.vm-environment (+1, -1)
		macosx/compare-gutenprint-5 (+1, -1)
		macosx/gutenprint-version (+1, -1)
		macosx/make-build (+1, -1)
		macosx/make-dmg (+1, -1)
		macosx/make-doc (+1, -1)
		macosx/make-installer (+1, -1)
		macosx/scripts/Gutenprint Utility for EPSON Inkjet Printers.command (+10, -10)
		macosx/scripts/uninstall-gutenprint.command (+13, -14)
		macosx/setup-env.sample (+1, -1)
		macosx/src/gutenprint.dmg.src/Contents/Documentation/GPL License.rtf (+1, -1)
		macosx/src/gutenprint.dmg.src/Contents/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (+8, -8)
		macosx/src/gutenprint.dmg.src/Contents/Gutenprint Utility for EPSON Inkjet Printers/Utility Read Me.rtf (+8, -8)
		macosx/src/gutenprint.dmg.src/Contents/Uninstaller Read Me.rtfd/TXT.rtf (+1, -1)
		macosx/src/gutenprint.dmg.src/name (+1, -1)
		macosx/src/gutenprint.pkg.src/Resources/English.lproj/Gutenprint 5.info (+2, -2)
		macosx/src/gutenprint.pkg.src/Resources/License.txt (+1, -1)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (+1, -1)
		macosx/src/gutenprint.pkg.src/Resources/preflight (+1, -1)
		macosx/src/gutenprint.pkg.src/name (+1, -1)
		macosx/src/install-gutenprint.mpkg.src/make-contents (+1, -1)
		macosx/src/install-gutenprint.mpkg.src/name (+1, -1)
		macosx/subversion (+1, -0)
		man/Makefile.am (+0, -1)
		man/escputil.1.in (+1, -1)
		scripts/autogen.sh (+5, -5)
		scripts/epsf.tex (+1, -1)
		scripts/gversion.in (+3, -3)
		scripts/test-gversion (+3, -3)
		src/cups/backend_canonselphy.c (+38, -38)
		src/cups/backend_canonselphyneo.c (+13, -13)
		src/cups/backend_citizencw01.c (+8, -8)
		src/cups/backend_common.c (+7, -7)
		src/cups/backend_dnpds40.c (+12, -12)
		src/cups/backend_kodak1400.c (+24, -24)
		src/cups/backend_kodak605.c (+2, -2)
		src/cups/backend_kodak6800.c (+4, -4)
		src/cups/backend_mitsu70x.c (+11, -11)
		src/cups/backend_mitsu9550.c (+25, -25)
		src/cups/backend_mitsup95d.c (+2, -4)
		src/cups/backend_shinkos1245.c (+7, -7)
		src/cups/backend_shinkos2145.c (+16, -16)
		src/cups/backend_shinkos6145.c (+45, -45)
		src/cups/backend_shinkos6245.c (+26, -26)
		src/cups/backend_sonyupdr150.c (+11, -11)
		src/cups/blacklist (+1, -1)
		src/cups/calibrate.ppm (+19, -19)
		src/cups/commands/SetAlignment.cmd (+0, -1)
		src/cups/cups-genppdupdate.in (+1, -1)
		src/cups/genppd.c (+5, -5)
		src/cups/i18n.c (+1, -1)
		src/cups/test-rastertogutenprint.in (+3, -3)
		src/escputil/d4lib.c (+21, -22)
		src/escputil/d4lib.h (+0, -1)
		src/gimp2/print-gutenprint.c (+0, -1)
		src/gimp2/print-image-gimp.c (+1, -1)
		src/gimp2/print-print.c (+0, -1)
		src/gimp2/print.c (+21, -21)
		src/gutenprintui2/gammacurve.c (+0, -1)
		src/gutenprintui2/panel.c (+4, -4)
		src/gutenprintui2/plist.c (+10, -10)
		src/gutenprintui2/printrcy.y (+2, -2)
		src/main/buffer-image.c (+0, -2)
		src/main/canon-inks.h (+37, -38)
		src/main/canon-media-mode.h (+48, -48)
		src/main/canon-media.h (+4, -4)
		src/main/canon-modes.h (+13, -14)
		src/main/canon-printers.h (+9, -10)
		src/main/channel.c (+6, -6)
		src/main/color.c (+0, -1)
		src/main/curve-cache.c (+0, -1)
		src/main/curve.c (+2, -2)
		src/main/dither-eventone.c (+4, -4)
		src/main/dither-inks.c (+2, -2)
		src/main/dither-main.c (+2, -2)
		src/main/dither-ordered.c (+1, -1)
		src/main/escp2-driver.c (+1, -1)
		src/main/escp2-resolutions.c (+5, -5)
		src/main/generic-options.c (+0, -1)
		src/main/mxml-attr.c (+1, -1)
		src/main/mxml-file.c (+3, -3)
		src/main/mxml-node.c (+1, -1)
		src/main/path.c (+1, -1)
		src/main/print-canon.c (+166, -167)
		src/main/print-color.c (+3, -3)
		src/main/print-dither-matrices.c (+2, -2)
		src/main/print-dpl.c (+2, -2)
		src/main/print-escp2-data.c (+2, -2)
		src/main/print-escp2.c (+5, -6)
		src/main/print-escp2.h (+1, -1)
		src/main/print-lexmark.c (+2, -2)
		src/main/print-olympus.c (+216, -217)
		src/main/print-papers.c (+1, -1)
		src/main/print-pcl.c (+5, -5)
		src/main/print-ps.c (+2, -3)
		src/main/print-raw.c (+1, -1)
		src/main/xml.c (+2, -5)
		src/main/xmlppd.c (+1, -1)
		src/testpattern/printer_options.c (+2, -2)
		src/testpattern/run-testpattern-2.in (+3, -3)
		src/testpattern/testpattern.c (+1, -1)
		src/testpattern/testpattern.h (+0, -2)
		src/xml/escp2/model/model_71.xml (+1, -1)
		src/xml/papers.xml (+15, -15)
		src/xml/printers.xml (+11, -11)
		test/bjc-unprint.c (+3, -4)
		test/curve.c (+1, -1)
		test/escp2-weavetest.c (+1, -1)
		test/gen-printer-list.c (+0, -1)
		test/parse-escp2 (+0, -1)
		test/pixma_parse.c (+34, -34)
		test/pixma_parse.h (+2, -4)

	Clean up whitespace.

2017-07-04  <Robert Krawitz>	9424a8e0d5abc9603d8a672303076522b7913644

	Lines: +42, -56
	Files:	src/testpattern/compare-checksums.in (+42, -56)

	Improve decompression performance.

2017-07-05  <Gernot Hassenpflug>	b36a61b1ba715906d00b642eeeaec17324b5dfc4

	Lines: +25, -45
	Files:	NEWS (+3, -0)
		src/main/canon-media-mode.h (+3, -15)
		src/main/canon-modes.h (+15, -26)
		src/xml/printers.xml (+4, -4)

	Corrected Canon MP230 support for color-only and black-only ink carts.

2017-07-04  <Gernot Hassenpflug>	37bc64d53befaf18dc092e914d05445bb158e741

	Lines: +68, -6
	Files:	NEWS (+33, -2)
		src/xml/printers.xml (+35, -4)

	Added individual instances of Canon G1000, G2000, G3000, G4000 series

2017-07-04  <Gernot Hassenpflug>	b379741334b24f956f639edc7edd7ab3cd8a2052

	Lines: +47, -1
	Files:	NEWS (+23, -1)
		src/main/canon-printers.h (+2, -0)
		src/xml/printers.xml (+22, -0)

	Added experimental support for Canon MAXIFY MB5100 and MB5400 series.

2017-07-03  <Gernot Hassenpflug>	3952d80cf651046ed9285918ad0033599705613f

	Lines: +39, -4
	Files:	NEWS (+9, -0)
		src/main/canon-printers.h (+19, -2)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+10, -1)

	Added experimental support for Canon MAXIFY MB2700 series.

2017-07-03  <Gernot Hassenpflug>	2dd9d827da3de1146bfc02ff834a91899c1e5bd4

	Lines: +34, -3
	Files:	NEWS (+8, -0)
		src/main/canon-printers.h (+18, -3)
		src/xml/printers.xml (+8, -0)

	Added experimental support for Canon MAXIFY MB2100 series.

2017-07-03  <Gernot Hassenpflug>	a63358d1337b9d13e5c95a1ffc6174643089e8c7

	Lines: +94, -94
	Files:	src/main/canon-media-mode.h (+86, -86)
		src/main/canon-media.h (+8, -8)

	Corrected keys for Canon InkjetHagakiaddr and InkjetPhotoHagakiKaddr

2017-07-02  <Robert Krawitz>	01d501b1f0f6822824499024ee6c1340bac5c446

	Lines: +6612, -13212
	Files:	ChangeLog.pre-5.2.11 (+6605, -13210)
		scripts/mkgitlog.in (+7, -2)

	Remove unnecessary newline in after Files: in log messages.

2017-07-03  <Gernot Hassenpflug>	e9ac1a7e185769ca2d25abd1e32610c258855de0

	Lines: +1, -1
	Files:	src/xml/papers.xml (+1, -1)

	Type in comment fixed

2017-07-03  <Gernot Hassenpflug>	deeff2391b2a9338030f14c70a349ed976a9dd3b

	Lines: +220, -23
	Files:	NEWS (+15, -1)
		src/main/canon-inks.h (+15, -0)
		src/main/canon-media-mode.h (+50, -6)
		src/main/canon-media.h (+33, -10)
		src/main/canon-modes.h (+15, -0)
		src/main/canon-printers.h (+19, -0)
		src/main/print-canon.c (+34, -6)
		src/xml/papers.xml (+28, -0)
		src/xml/printers.xml (+11, -0)

	Added experimental support for Canon MAXIFY iB4100 series. Additional papersizes added to gutenprint: Oficio, Brazil Oficio, Mexico Oficio, Legal (Indai). Additionally, added iB40190 instance to iB4000 series.

2017-07-02  <Gernot Hassenpflug>	98d61cecf5cef470bcf341042a8cf4868cc3bd57

	Lines: +32, -0
	Files:	NEWS (+16, -0)
		src/xml/printers.xml (+16, -0)

	Added experimental support for Canon MG3000 series (same as E470 series).

2017-07-02  <Gernot Hassenpflug>	ff1e8b0d168181e5cd421ce4085dba26ef08c00f

	Lines: +9, -1
	Files:	NEWS (+5, -1)
		src/xml/printers.xml (+4, -0)

	Added Canon MG2540S,MG2545S,MG2550S,MG2555S as instances to existing MG2500 series

2017-07-01  <Gernot Hassenpflug>	2cf50bec5706d86b6bed76923257f68eaaa0f080

	Lines: +8, -0
	Files:	NEWS (+6, -0)
		src/xml/printers.xml (+2, -0)

	Added Canon MG2522, MG2525 as instances to existing MG2500 series

2017-07-01  <Gernot Hassenpflug>	81ce1ba5d44684d4ceff249054cd56587fc693c4

	Lines: +27, -7
	Files:	test/pixma_parse.c (+27, -7)

	Added -s and -e parameters to define length of prolog and epilog XML if necessary (defaults as previously had-coded) 680 and 263 respectively.

2017-06-30  <Gernot Hassenpflug>	0de2ba1b3ef5eb408b7f0c5c72dd1cb6de11013a

	Lines: +59, -28
	Files:	NEWS (+2, -0)
		src/main/canon-media.h (+17, -17)
		src/main/canon-printers.h (+19, -1)
		src/main/print-canon.c (+19, -10)
		src/xml/printers.xml (+2, -0)

	Added experimental support for Canon PIXMA G4000.

2017-06-30  <Gernot Hassenpflug>	f8c0fe006c62909a246cd713c67ad2e3211af4e3

	Lines: +7, -4
	Files:	test/pixma_parse.c (+7, -4)

	Added variables to hold start and end XML lenths, since at least the start XML document can vary.

2017-06-30  <Gernot Hassenpflug>	21436fd594f56ed29d9bbc6437ecce8d20caf9e1

	Lines: +12, -1
	Files:	NEWS (+7, -1)
		src/xml/printers.xml (+5, -0)

	Added experimental support for Canon PIXMA E410 series (same specs as E400).

2017-06-30  <Gernot Hassenpflug>	e93a64581f959feff37b2c41af6b831f090a4e9c

	Lines: +4, -0
	Files:	NEWS (+2, -0)
		src/xml/printers.xml (+2, -0)

	Added experimental support for Canon PIXMA G3000 (same specs as G1000).

2017-06-30  <Gernot Hassenpflug>	6069c29f01bc5167cc08de06096e22e8de63601a

	Lines: +6, -0
	Files:	NEWS (+3, -0)
		src/xml/printers.xml (+3, -0)

	Added experimental support for Canon PIXMA G2000/G2002 (same specs as G1000).

2017-06-29  <Gernot Hassenpflug>	e86f3339abc0543907bf9bbe0962475e2d5e4b10

	Lines: +117, -3
	Files:	NEWS (+2, -0)
		src/main/canon-media-mode.h (+58, -0)
		src/main/canon-media.h (+20, -0)
		src/main/canon-modes.h (+15, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+3, -2)
		src/xml/papers.xml (+0, -1)
		src/xml/printers.xml (+2, -0)

	Added experimental support for Canon PIXMA G1000

2017-06-28  <Gernot Hassenpflug>	006eb08b6585392f34c0d9f584db4c35bc134b47

	Lines: +2, -0
	Files:	src/main/print-canon.c (+2, -0)

	Added capability for Canon G and TS series printer definitions

2017-06-28  <Gernot Hassenpflug>	5bf2a1a0b26671c2379d59df8c5b3389d21759a6

	Lines: +1, -1
	Files:	src/main/print-canon.c (+1, -1)

	Square 5x5 inch papersize comment removal, Canon E470 comment change

2017-06-28  <Gernot Hassenpflug>	8dccf495fe0514c16a222c95ab842664915d4082

	Lines: +63, -7
	Files:	NEWS (+15, -0)
		src/main/canon-printers.h (+24, -0)
		src/main/print-canon.c (+17, -7)
		src/xml/printers.xml (+7, -0)

	Added experimental support for Canon PIXMA E470 series

2017-05-28  <Robert Krawitz>	6d2da8cdc0719749d6e6fda63ec9882e20ae99e2

	Lines: +8, -1
	Files:	src/testpattern/Makefile.am (+8, -1)

	Add checksums-release target

2017-05-27  <Robert Krawitz>	c0d801ff4a8c00116cef6beba8ef7338c94ab613

	Lines: +298, -308
	Files:	src/cups/genppd.c (+2, -18)
		src/gimp2/print.c (+5, -2)
		src/main/print-escp2.c (+12, -10)
		src/main/print-escp2.h (+2, -2)
		src/main/print-olympus.c (+277, -276)

	Minimize differences from 5.3 WIP

===============================================================================
Name: gutenprint-5_2_13-pre1

2017-05-23  <Robert Krawitz>	e94efd823fdb80d3c2bdd2619913b5fa7509fe2d

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.2.13-pre1.lrz (added +0)

	5.2.13-pre1 checksums

2017-05-21  <Robert Krawitz>	7ea84ee0a63b646fca9937ae127988abfe85bff8

	Lines: +2, -1
	Files:	src/gimp2/print.c (+2, -1)

	Fix error with gcc4

2017-05-09  <Solomon Peachy>	c4a70fdb1f6a1c4e7947b5a545d42e419d513cd8

	Lines: +1, -0
	Files:	src/cups/genppd.c (+1, -0)

	cups:  Fix a small memory leak in genppd

2017-05-05  <Ville Skyttä>	44cec847856fa4fa3b63f183ba7c964cbf45597b

	Lines: +87, -87
	Files:	README.package (+1, -1)
		doc/README.maintaining (+1, -1)
		doc/users_guide/gimp.sgml (+1, -1)
		doc/users_guide/utils.sgml (+1, -1)
		include/gutenprint/curve.h (+3, -3)
		include/gutenprint/image.h (+1, -1)
		include/gutenprint/vars.h (+15, -15)
		macosx/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (+1, -1)
		macosx/scripts/Gutenprint Utility for EPSON Inkjet Printers.command (+1, -1)
		macosx/src/gutenprint.dmg.src/Contents/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (+1, -1)
		macosx/src/gutenprint.pkg.src/Resources/postinstall (+1, -1)
		macosx/src/gutenprint.pkg.src/Resources/postupgrade (+1, -1)
		macosx/src/gutenprint.pkg.src/Resources/preinstall (+2, -2)
		macosx/src/gutenprint.pkg.src/Resources/preupgrade (+2, -2)
		src/cups/backend_canonselphy.c (+2, -2)
		src/cups/backend_canonselphyneo.c (+1, -1)
		src/cups/backend_citizencw01.c (+2, -2)
		src/cups/backend_common.c (+1, -1)
		src/cups/backend_common.h (+1, -1)
		src/cups/backend_dnpds40.c (+2, -2)
		src/cups/backend_kodak1400.c (+2, -2)
		src/cups/backend_kodak605.c (+2, -2)
		src/cups/backend_kodak6800.c (+1, -1)
		src/cups/backend_mitsu70x.c (+1, -1)
		src/cups/backend_mitsu9550.c (+1, -1)
		src/cups/backend_mitsup95d.c (+1, -1)
		src/cups/backend_shinkos1245.c (+2, -2)
		src/cups/backend_shinkos2145.c (+3, -3)
		src/cups/backend_shinkos6145.c (+4, -4)
		src/cups/backend_shinkos6245.c (+4, -4)
		src/cups/backend_sonyupdr150.c (+1, -1)
		src/cups/cups-calibrate.c (+1, -1)
		src/escputil/d4lib.c (+5, -5)
		src/main/canon-inks.h (+2, -2)
		src/main/canon-modes.h (+3, -3)
		src/main/print-canon.c (+4, -4)
		src/main/print-dpl.c (+1, -1)
		src/main/print-olympus.c (+3, -3)
		test/bjc-unprint.c (+1, -1)
		test/pcl-unprint.c (+2, -2)
		test/unprint.c (+2, -2)

	Spelling fixes

2017-04-30  <Solomon Peachy>	c02b87c7249ce79c7d1f3c4718f8d82744e392cd

	Lines: +1, -1
	Files:	src/gimp2/print.c (+1, -1)

	gimp:  Fix memory leak.

	We were freeing the stp_parameter_description at the very end of
	the run() function, but the describe_parameter() is inside a loop.

	Caught when trying to valgrind an independent problem.

2017-04-20  <Solomon Peachy>	5de8e517215015977fcf57c9e0b8dd286c2cd8c0

	Lines: +63, -18
	Files:	src/cups/backend_canonselphyneo.c (+23, -9)
		src/main/print-olympus.c (+40, -9)

	dyesub:  Figured out how to have selphyneo models accept CMY data!

	Currently disabled.  A future commit will enable it, and then down the
	line we can nuke that old code altogether.

2017-04-20  <Solomon Peachy>	8dc80cfaa7b0a006d2c45e6ed0d67ff8225707a3

	Lines: +58, -51
	Files:	src/main/print-olympus.c (+58, -51)

	dyesub:  Continue optimization efforts in the dyesub driver

	 * Fixes a nasty regression when using non-interlaced printers
	 * Updated copyright text to reflect current maintainer

2017-04-20  <Solomon Peachy>	5a13c0435e3ba50854d98aee9f8cef509b1ca8a1

	Lines: +1, -0
	Files:	src/cups/rastertoprinter.c (+1, -0)

	cups:  Add a call to cupsFreeOptions() to avoid a memory leak.

	Found by valgrind:

	==4261== 80 bytes in 1 blocks are definitely lost in loss record 49 of 108
	==4261==    at 0x4C2FC47: realloc (vg_replace_malloc.c:785)
	==4261==    by 0x508C054: cupsAddOption (in /usr/lib64/libcups.so.2)
	==4261==    by 0x508C461: cupsParseOptions (in /usr/lib64/libcups.so.2)
	==4261==    by 0x40B4D2: main (rastertoprinter.c:1226)

2017-04-17  <Gernot Hassenpflug>	bab6a6532ebd7ffea3a564086cbb800ef3345abd

	Lines: +1, -1
	Files:	src/main/canon-modes.h (+1, -1)

	Corrected typo in new modes for Canon Pro9500

2017-04-16  <Robert Krawitz>	0f7bbf9a64c054bca77e3898252ea62a7c8daec5

	Lines: +31, -12
	Files:	configure.ac (+15, -3)
		src/testpattern/Makefile.am (+4, -4)
		src/testpattern/compare-checksums.in (+8, -4)
		src/testpattern/run-testpattern-2.in (+4, -1)

	Looks like lrzip is the winner for compressing checksum files

2017-04-16  <Robert Krawitz>	d7b448e8002504e81cfd534ae47afad4a222c3a6

	Lines: +242, -194
	Files:	configure.ac (+12, -3)
		src/testpattern/Makefile.am (+3, -4)
		src/testpattern/compare-checksums.in (+199, -91)
		src/testpattern/compress-checksums.in (+1, -1)
		src/testpattern/run-testpattern-2.in (+27, -12)
		src/testpattern/uncompress-checksums.in (removed -83)

	Further improvements in checksum compression.

	Merge uncompress into compare to avoid duplicate code.

2017-04-14  <Gernot Hassenpflug>	da4e272f58f07e138b2c2e9f5d11de7285406240

	Lines: +5, -1
	Files:	NEWS (+3, -1)
		src/xml/printers.xml (+2, -0)

	Removed Canon iP100 from supported printers

2017-04-13  <stephen letter>	cfab03c89d13890f4d424558f4bee21f29ea905d

	Lines: +186, -3
	Files:	NEWS (+2, -0)
		src/main/print-dpl.c (+169, -3)
		src/xml/printers.xml (+15, -0)

	Add Datamax-O'Neil H Class series

2017-04-12  <Solomon Peachy>	242205a5bdd460a575d90b853a68ecd2e26c93db

	Lines: +2, -1
	Files:	src/main/print-olympus.c (+2, -1)

	dyesub:  Fix double-swapping of row/cols when using internal "LANDSCAPE" mode.

2017-04-11  <Solomon Peachy>	b7336a1d1966fc1993ef02ebc33e819bb63b9d21

	Lines: +16, -61
	Files:	src/cups/backend_canonselphy.c (+16, -61)

	dyesub: backend: canonselphy:  Handle presence of a battery!

2017-04-09  <Robert Krawitz>	e00b154368453a9993dc1546949ead666d365c8c

	Lines: +70, -6
	Files:	src/testpattern/compress-checksums.in (+37, -3)
		src/testpattern/uncompress-checksums.in (+33, -3)

	Improve compression about 7%

2017-04-09  <Robert Krawitz>	2e47d11fa7c606a5cb734eed9b1e393469244511

	Lines: +47, -11
	Files:	.gitignore (+9, -1)
		Makefile.am (+8, -5)
		configure.ac (+5, -0)
		scripts/Makefile.am (+3, -1)
		scripts/{gversion => gversion.in} (+15, -1)
		src/testpattern/Makefile.am (+7, -3)

	Store the git version in the build tree

2017-04-08  <Solomon Peachy>	909a8bc8a73089a7cf914088f679df1a9c2e16e6

	Lines: +23, -21
	Files:	NEWS (+23, -21)

	Consolidate the dyesub section of the 5.2.12 NEWS a bit.

2017-04-08  <Solomon Peachy>	f94986ded3cdcd3cbea0f7eefe5f14bdb254d29d

	Lines: +2, -2
	Files:	src/cups/rastertoprinter.c (+2, -2)

	cups:  Make the "Purging rows" message a verbose message.

	This lines it up with the other "reading data" messages.

	As an aside, I'd really like to see the polarity of this swapped; that
	is to say the truly verbose stuff shouldn't be output by default. It's
	largely noise.

2017-04-07  <Solomon Peachy>	eb3a4400895c5fbc25896d7b094c18ccaa20da73

	Lines: +43, -41
	Files:	NEWS (+1, -1)
		src/main/print-olympus.c (+42, -40)

	dyesub:  Render a row into a buffer, then send it out in one shot.

	This commit more than *doubles* the rendering performance!

	(Previous commit was ~15% gain.  This one brings the cumulative total to
	nearly 270%!

2017-04-07  <Solomon Peachy>	d8c30868d74491b256487a00292ae3a35bfd788b

	Lines: +12, -6
	Files:	NEWS (+12, -6)

	Update NEWS for the dyesub driver.

2017-04-05  <Solomon Peachy>	e9c8c2911f58ad11a0c3c90ed6a7877d1114965f

	Lines: +15, -3
	Files:	src/main/print-olympus.c (+15, -3)

	dyesub:  Significant performance optimization for interlaced printers

	When rendering a pixel for a given color plane, we were computing all
	planes' data, and throwing all but one away.

2017-04-05  <Solomon Peachy>	dad9f81ab88bb290a221620960f569cf67c6b84b

	Lines: +89, -79
	Files:	src/main/print-olympus.c (+89, -79)

	dyesub:  Simplify dyesub_print_pixel.

	As all current printer and color models map 1:1 from image->inks, get
	rid of the useless (not to mention broken!) code that allowed the dyesub
	driver to handle mismatches.

	This also includes the initial work towards a better interpolation
	algorithm -- Right now the driver just picks the closest single "point"
	in the original image and uses that as-is for a given output pixel.

	Eventually, I want to allow for different scaling algorithms (eg point,
	bilinear, bicubic, and lanczos), and possibly the option of adding
	sharpening too.  This can yield a significant improvement in quality.

2017-04-05  <Solomon Peachy>	afee3b106b1c56fb281108eadc785189c631986a

	Lines: +19, -10
	Files:	src/cups/backend_mitsu70x.c (+19, -10)

	dyesub: backend:  Improvements to the mitsu70x backend.

2017-04-05  <Solomon Peachy>	807513413c5d5d8e36ffa067141a9f9950b132ea

	Lines: +14, -9
	Files:	src/cups/backend_shinkos6145.c (+14, -9)

	dyesub: backend:  Synchronize the Shinko S6145 backend.

2017-04-03  <Solomon Peachy>	3466b35359aa28f5a8f2c04a35e8f8ca543ecae3

	Lines: +2, -2
	Files:	NEWS (+1, -1)
		src/main/print-olympus.c (+1, -1)

	dyesub:  Corrected the 'C' print size for newer Selphy CP models.

2017-03-30  <Solomon Peachy>	5e1d86a8f4761094e354550487722f5c55e1cee3

	Lines: +19, -0
	Files:	src/main/print-olympus.c (+19, -0)

	dyesub:  Optionally make the S6145 generate planar YMC data.

	...Instead of packed RGB.  This way the backend doesn't need to convert it.

	I'll enable it once I'm able to test it out.

2017-03-27  <Solomon Peachy>	598a86e492c4908e55135840a639ee07ecdb7546

	Lines: +28, -25
	Files:	src/main/print-olympus.c (+28, -25)

	dyesub:  Fix up indentation in the YCbCr conversion hack.

2017-03-26  <Solomon Peachy>	d57cde8196fb5e5e3c6cbf4aee4b2922e2c32319

	Lines: +8, -4
	Files:	NEWS (+1, -0)
		src/cups/backend_canonselphyneo.c (+3, -3)
		src/cups/blacklist (+3, -0)
		src/xml/printers.xml (+1, -1)

	dyesub:  Add in the USB PID for the Canon Selphy CP820

	Backend, blacklist, and an IEEE1284 ID too.  :)

2017-03-27  <Gernot Hassenpflug>	f9078b1c6b6f529ba1628baafb591a4b14d94975

	Lines: +1, -15
	Files:	NEWS (+1, -15)

	Updated Canon driver news

2017-03-19  <Robert Krawitz>	2a0a8cf51a68538768897116d16a49846b3596e8

	Lines: +193, -10
	Files:	scripts/mkgitlog.in (+18, -0)
		src/cups/test-ppds (+18, -0)
		src/cups/test-rastertogutenprint.in (+18, -0)
		src/testpattern/compare-image-files (+18, -0)
		src/testpattern/extended.sample (+18, -0)
		src/testpattern/run-testpattern (+18, -0)
		src/testpattern/run-testpattern-1 (+19, -0)
		src/testpattern/run-testpattern-2.in (+19, -0)
		src/testpattern/testpattern.sample (+17, -1)
		src/xml/extract-strings.c (+12, -9)
		test/run-testdither (+18, -0)

	Fix copyright messages

2017-03-19  <Robert Krawitz>	f98dbd133549cc8fa3167a2e734a22245eae0ae1

	Lines: +9, -6
	Files:	scripts/gversion (+8, -5)
		scripts/test-gversion (+1, -1)

	Improve command line arguments for git version parser

2017-03-19  <Solomon Peachy>	50c2185585fc1322862235280a40d47dabfa74e4

	Lines: +173, -46
	Files:	NEWS (+8, -1)
		src/cups/backend_mitsu70x.c (+156, -37)
		src/main/print-olympus.c (+9, -8)

	dyesub:  The CP-D70 family needs the row data reversed!

	With this commit (and the correspinding library) the print quality is on
	par with the Official Windows and OSX drivers.  Huzzah!

2017-03-19  <Robert Krawitz>	0dc01b8b687ccff31b716350b6cff417a00740f2

	Lines: +1, -1
	Files:	src/cups/test-rastertogutenprint.in (+1, -1)

	Get rastertogutenprint version correctly.

2017-03-19  <Robert Krawitz>	1b0ea8a5d69c59aa84983d9bd5d078cf14d4b51c

	Lines: +43, -41
	Files:	NEWS (+42, -41)
		src/xml/printers.xml (+1, -0)

	Add Epson Artisan 1430

2017-03-18  <Robert Krawitz>	ac8b6927ebfd066bad17c11ded75b8b9b6884fae

	Lines: +6, -10
	Files:	src/main/print-color.c (+6, -10)

	Simplify logic of InkLimit.

2017-03-17  <Solomon Peachy>	ceea6992aa9dcc60829eb3dc4ca77aaad3629324

	Lines: +3, -0
	Files:	src/main/print-color.c (+3, -0)

	Mark the InkLimit option as inactive when there's no InkChannels option
	at all, not just one without a non-zero default value.

	The dyesub driver was the only family without an InkChannels parameter,
	and it seemed silly to add it just to make the InkLimit option go
	inactive.

2017-03-17  <Solomon Peachy>	e9ffd6f3808f47527a2e34892bdab29f1e80631f

	Lines: +14, -11
	Files:	src/cups/backend_common.c (+14, -11)

	dyesub: backend:  Suppress the PAGE output when invoked by CUPS.

	(Gutenprint already generates the PAGE output!)

2017-03-17  <Solomon Peachy>	7d7eba5a1766bdc5ceb5a30a91ae060bd231a395

	Lines: +79, -34
	Files:	src/cups/backend_kodak6800.c (+10, -10)
		src/cups/backend_mitsu70x.c (+53, -9)
		src/cups/backend_shinkos1245.c (+16, -15)

	dyesub: backend:  Synchronize with latest upstream.

	Minor stuff, except for the mitsu70x, due to a necessary API change in
	the library.

2017-03-16  <Gernot Hassenpflug>	dc28c8eb599fb1926cced1a32c79dd2519c34f23

	Lines: +94, -87
	Files:	test/pixma_parse.c (+94, -87)

	pixma_parse changed redirection: normal to stdout, DEBUG to stderr

2017-03-14  <Gernot Hassenpflug>	445a50eda5e76af63361a16799e8ef401e387bc0

	Lines: +31, -17
	Files:	NEWS (+2, -0)
		src/main/canon-media-mode.h (+19, -10)
		src/main/canon-modes.h (+10, -7)

	Added user-submitted modes for Canon Pro9500 (additional testing in progress).

2017-03-12  <Gernot Hassenpflug>	ed52a05f7899b277c032b6bb6ebc5c69d9f547b9

	Lines: +7, -5
	Files:	NEWS (+2, -0)
		src/main/canon-modes.h (+5, -5)

	In Canon driver, corrected 300dpi modes for iP100.

2017-03-12  <Gernot Hassenpflug>	04b59b34c91ddfe6bd95136be1120daa4df01627

	Lines: +141, -45
	Files:	NEWS (+26, -7)
		src/main/canon-printers.h (+6, -12)
		src/main/print-canon.c (+109, -26)

	For Canon printers, modified Esc (s and Esc (u behaviour for duplex printing. Added initial support for printing orientation through Esc (v and Esc (P commands.

2017-03-10  <Gernot Hassenpflug>	e70255d849de8c21d6c54beb5ec7a43c22f18c3a

	Lines: +101, -178
	Files:	src/main/print-canon.c (+101, -178)

	Extended fixed paper width/length setting in Esc (p command for Canon driver to borderless. Cleaned up function.

2017-03-09  <Solomon Peachy>	6f4191b29cc80204a6ad687e5a8b38f983012731

	Lines: +8, -5
	Files:	README (+8, -5)

	Update README with some corrections to the dyesub text.

2017-03-09  <Gernot Hassenpflug>	664fd8ebb210e93a06ca7f7f4061748464cea1fc

	Lines: +7, -6
	Files:	src/main/print-canon.c (+7, -6)

	Enabled function for setting paper_width in Canon driver for papersizes known to the driver.

2017-03-08  <Gernot Hassenpflug>	9cc273bf3b1f6a12a197c1ebd839bf1bbe6117ba

	Lines: +92, -3
	Files:	src/main/print-canon.c (+92, -3)

	Partial preparation for function to fix papersize for Canon driver in ESC (p command.

2017-03-06  <Solomon Peachy>	1b8c6ece7d588a9440a92806998038228b61f025

	Lines: +3, -3
	Files:	NEWS (+2, -2)
		README (+1, -1)

	Minor doc updates.  Mainly the version tag.

2017-03-06  <Robert Krawitz>	464c6f6367ce049c0f0a783c1eebd232556181f4

	Lines: +276, -156
	Files:	src/gimp2/print.c (+276, -156)

	Corrected patch for non-interactive plugin mode from Matt Hirsch

2017-03-06  <Robert Krawitz>	3405597052104ce9ec5c3ff437510f4954136a60

	Lines: +11, -44
	Files:	src/gimp2/print.c (+11, -44)

	Revert erroneous b96e759f8b0ebc58862d95afb74d625b7b89c94f

2017-03-06  <Gernot Hassenpflug>	58d217e913649f775953604be83a63e98d8e8403

	Lines: +2, -1
	Files:	src/main/print-canon.c (+2, -1)

	Avoid warning owing to unused variable

2017-03-04  <Robert Krawitz>	1779cb9851fd0b55222e6e528a7144f9a1d30bea

	Lines: +165, -0
	Files:	scripts/gversion (added +114)
		scripts/test-gversion (added +51)

	Git-based version extractor

2017-03-05  <Gernot Hassenpflug>	dc3b52b85107fc5dee3ca8349e9218ff555a8039

	Lines: +9, -3
	Files:	NEWS (+3, -0)
		src/main/canon-printers.h (+2, -1)
		src/main/print-canon.c (+4, -2)

	Activated ESC (s command for Canon MG5700 printer (testing).

2017-03-02  <Gernot Hassenpflug>	11d09637fee76640003147d55cd308ced739c6aa

	Lines: +63, -34
	Files:	NEWS (+11, -0)
		src/main/print-canon.c (+52, -34)

	Temporary workaround: specify exact width for Esc (P parameter in Canon driver for firmware to detect correct papersize.

2017-02-26  <Gernot Hassenpflug>	7de47e662251964df07b8207a6970f27ea04e20b

	Lines: +1, -1
	Files:	src/main/canon-printers.h (+1, -1)

	Added duplex mode support to Canon MP530 (bug #691).

2017-02-26  <Gernot Hassenpflug>	0e75b1cf52fe228d96b0ef8f0ce8b76783323661

	Lines: +24, -24
	Files:	src/main/print-canon.c (+24, -24)

	Temporary fix continued: further additions to fixed width of Canon papersizes for firmware.

2017-02-25  <Gernot Hassenpflug>	de4d7c3f3b8ee6bc84fd0dccf0d20a5925d41c07

	Lines: +54, -50
	Files:	src/main/print-canon.c (+54, -50)

	Temporary workaround: added more papersize constant dimenions for Canon printers. Some left to check.

2017-02-24  <Gernot Hassenpflug>	e51aaee784213ce8659bcb41e2a4375bba886420

	Lines: +87, -13
	Files:	src/main/print-canon.c (+87, -13)

	Temporary code for setting paper_width in Canon printers to exact values

2017-02-23  <Gernot Hassenpflug>	93dbc1a2b8d4ff9942e316db049d77cffb22d5ff

	Lines: +10, -2
	Files:	src/main/print-canon.c (+10, -2)

	Temporary workaround for Canon printer firmware to detect A4 size media and draw from cassette automatically: Set A4 paper_width fixed at 4961 rather than outputting calculated value (which is 4958), in units of 1/600 inch.

2017-02-22  <Solomon Peachy>	269ffb8896ceed54db35847a8e926bcb041a8254

	Lines: +3, -0
	Files:	src/cups/blacklist (+3, -0)

	Add the P93 to the blacklist.

2017-02-22  <Gernot Hassenpflug>	2f935791ea8b4b562125c7741b7d2fc1871b7e2c

	Lines: +0, -8
	Files:	src/main/canon-media-mode.h (+0, -6)
		src/main/canon-modes.h (+0, -2)

	Removed experimental modes from Canon MP640 confirmed not to work (thanks to Thomas Tornblom).

2017-02-21  <Gernot Hassenpflug>	cfe6780aacc76f547623ce7bc14f28efee7c5c27

	Lines: +35, -17
	Files:	src/main/canon-media-mode.h (+1, -1)
		src/main/canon-media.h (+7, -13)
		src/main/canon-modes.h (+26, -2)
		src/main/canon-printers.h (+1, -1)

	Separated resolution modes for Canon MP630 from MP640. Removed useless paper allocation in paper sources.

2017-02-20  <Robert Krawitz>	b626f432a7f58c56c2b9fac9667d773cb7f9bf86

	Lines: +0, -1
	Files:	src/gimp2/print.c (+0, -1)

	Remove spurious declarations

2017-02-15  <Robert Krawitz>	40e406ba358115908a2b83d32b0852dde550d287

	Lines: +199, -15
	Files:	NEWS (+14, -7)
		configure.ac (+4, -4)
		src/main/print-canon.c (+3, -3)
		src/xml/escp2/model/Makefile.am (+2, -1)
		src/xml/escp2/model/model_129.xml (added +175)
		src/xml/printers.xml (+1, -0)

	Bump version

	Add preliminary support for Epson L310, based on feedback from Levin Du.

	Fix compression buffer size in Canon driver.

2017-02-15  <Robert Krawitz>	95de66324c6671db47fc25670ad328214e909814

	Lines: +56, -16
	Files:	src/testpattern/run-testpattern-2.in (+56, -16)

	Allow standard options to specify a particular value for an

	option, and special case options for min and max resolution.

	Run all paper sizes at minimum resolution (caught a bug with that).

2017-02-12  <Solomon Peachy>	faca152251d9fdb7d731c2e6d20e5aea92d7dc10

	Lines: +21, -12
	Files:	src/cups/backend_mitsup95d.c (+21, -12)

	dyesub: backend:  mitsu_p95x: Fix handling of 'memory clear'

2017-02-10  <Gernot Hassenpflug>	ff6ba44d7c5a4b6894658781f062fa52c0a55f0d

	Lines: +5, -0
	Files:	src/main/print-canon.c (+5, -0)

	Added debug messages to canon_size_type function

2017-02-09  <Solomon Peachy>	949be949f3d3445efd10d5c5a581c533e8b63fd7

	Lines: +2, -2
	Files:	src/xml/papers.xml (+2, -2)

	papers: Properly fix the mis-definition of the "8x11.7" paper only used
	by the DNP 8" printers.

2017-02-08  <Solomon Peachy>	b3ed3be8bb6c5225f76e900fe3996e62a5cf9a9c

	Lines: +21, -0
	Files:	NEWS (+21, -0)

	Update NEWS

2017-02-08  <Solomon Peachy>	020748cd9268e25ea16db155fe96888302a3ec70

	Lines: +583, -60
	Files:	src/cups/backend_common.h (+2, -1)
		src/cups/backend_mitsup95d.c (+198, -57)
		src/main/print-olympus.c (+381, -1)
		src/xml/printers.xml (+2, -1)

	dyesub:  Add support for the Mitsubishi P93D/DW

2017-02-08  <Solomon Peachy>	7c3f4ffe147322436af76c3e9e962b3dc5b1b651

	Lines: +8, -2
	Files:	src/main/print-olympus.c (+8, -2)

	dyesub:  mitsu_p95d:  Actually hook up brightness and contrast settings

2017-02-08  <Solomon Peachy>	38ce0fe8131026a03adb235159203f0845997d51

	Lines: +1, -1
	Files:	src/xml/papers.xml (+1, -1)

	papers:  Fix bad definition of w595h842 -- It collided with 'A4'

2017-02-05  <Gernot Hassenpflug>	275c84faf896f2e6a64cb933fb29d2ce65ba279a

	Lines: +2, -1
	Files:	src/main/print-canon.c (+2, -1)

	remove gcc6 warning for arg_6d_1 assignment

2017-01-30  <Robert Krawitz>	cb81c82ee3a0aa33c082b01e6dc31df81a7aad27

	Lines: +4, -4
	Files:	configure.ac (+4, -4)

	Fix build of gimp plugin when cups is not selected

	See https://autotools.io/pkgconfig/pkg_check_modules.html under
	"3.4 Optional Modules"

2017-01-30  <Robert Krawitz>	b96e759f8b0ebc58862d95afb74d625b7b89c94f

	Lines: +45, -11
	Files:	src/gimp2/print.c (+45, -11)

	Fix non-interactive plugin mode, from Matt Hirsch
	https://sourceforge.net/p/gimp-print/bugs/696/

===============================================================================
Name: gutenprint-5_2_12a

2017-01-13  <Robert Krawitz>	3ad4ca0d477bb4f6664d3901386fef72881237ea

	Lines: +4, -4
	Files:	NEWS (+2, -1)
		README (+2, -3)

	Fix NEWS and README

2017-01-13  <Solomon Peachy>	83d73e07438623c8d0a4e4585118879ca75e2157

	Lines: +3, -3
	Files:	NEWS (+3, -3)

	Update the lib70x text in the NEWS file.

2017-01-12  <Solomon Peachy>	0c6c06af15cf37a8e3956379340e3fa64c4875fe

	Lines: +2, -2
	Files:	src/cups/backend_shinkos1245.c (+2, -2)

	dyesub: backend:  Fix boneheaded '||' when an '|' was called for.

2017-01-12  <Solomon Peachy>	9444a88a6c451d71285a178a1679c33fb7cbf5f2

	Lines: +1, -1
	Files:	src/cups/rastertoprinter.c (+1, -1)

	cups:  rastertoprinter:  PAGE log should include the number of copies!

===============================================================================
Name: gutenprint-5_2_12

2017-01-11  <Robert Krawitz>	0958b485141308ad4a0fd4f0b195a8ccabf187e2

	Lines: +1, -1
	Files:	configure.ac (+1, -1)
		src/testpattern/Checksums/sums.5.2.12.bz2 (added +0)

	5.2.12 release

2017-01-11  <Solomon Peachy>	f8a80d2d0934e26b07cb01c5467ec4ca6092f170

	Lines: +25, -5
	Files:	src/cups/backend_mitsu70x.c (+25, -5)

	dyesub: backend: Sanity check the Mitsu K60 and Kodak 305 firmware rev.

2017-01-07  <Solomon Peachy>	0f1b5d26fe9b85df82ef56ef38400746330d3f62

	Lines: +28, -3
	Files:	src/cups/genppd.c (+28, -3)

	genppd:  Export RAW parameters in PPDs using a 'CustomFoo' construct.

	Code that includes a token OpenUI/CloseUI construct is present, but

2017-01-05  <Solomon Peachy>	9cde9ef52ba41c828a2f4fd876329d0f756a2e70

	Lines: +8, -1
	Files:	src/xml/papers.xml (+8, -1)

	dyesub:  Another missing paper type for the DS820.  Bad merge.

2017-01-05  <Solomon Peachy>	684afddf951ada04a6c89bb45af97e1d4a74c48a

	Lines: +7, -0
	Files:	src/xml/papers.xml (+7, -0)

	dyesub:  left out a paper type for the DS820

2017-01-05  <Solomon Peachy>	2a7ccda1b4a59c9f38d0e13a0a7e8f26ef2e009e

	Lines: +631, -58
	Files:	NEWS (+2, -1)
		src/cups/backend_common.h (+3, -2)
		src/cups/backend_dnpds40.c (+295, -46)
		src/cups/blacklist (+3, -0)
		src/main/print-olympus.c (+269, -7)
		src/xml/papers.xml (+58, -2)
		src/xml/printers.xml (+1, -0)

	dyesub:  Add support for the DNP DS820/DS820A printers.

2017-01-05  <Solomon Peachy>	52e6b605365ff4479e9f95d79b79da5ded9d7847

	Lines: +3, -9
	Files:	src/main/print-olympus.c (+3, -9)

	dyesub:  fix 'Attempt to retrieve unset boolean parameter UseLUT' on D90

2017-01-02  <Robert Krawitz>	6b7910f558633e06491ef0450a8eb5537c48a37c

	Lines: +68, -16
	Files:	src/cups/genppd.c (+63, -15)
		src/cups/test-ppds (+5, -1)

	Parallelize genppd and test-ppds

2017-01-01  <Robert Krawitz>	b84217b3235d26ff3da84405ecc7a0bae5f8a6b1

	Lines: +83, -40
	Files:	src/cups/test-rastertogutenprint.in (+72, -32)
		src/testpattern/Makefile.am (+4, -8)
		src/testpattern/run-testpattern-2.in (+7, -0)

	Parallelize testpattern.

2017-01-01  <Robert Krawitz>	cccb99cafbe85e7e8a862cd3d1bbf2b55ddddcb4

	Lines: +64, -21
	Files:	src/testpattern/Makefile.am (+6, -1)
		src/testpattern/run-testpattern-2.in (+58, -20)

	Parallelize testpattern.

2016-12-31  <Robert Krawitz>	abe24e6d0dcede2bca913a82a6313fb3781a5f52

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	Typo

2016-12-31  <Robert Krawitz>	56aa0506ab9a569f67d67ef68527f48edbf62ad5

	Lines: +36, -22
	Files:	configure.ac (+1, -1)
		include/gutenprintui2/gutenprintui.h (+1, -1)
		src/escputil/d4lib.c (+1, -1)
		src/gimp2/print_gimp.h (+1, -1)
		src/gutenprintui2/ui-utils.c (+2, -2)
		src/main/curve.c (+0, -3)
		src/main/module.c (+4, -0)
		src/main/print-color.c (+1, -0)
		src/main/print-lexmark.c (+1, -1)
		src/main/print-pcl.c (+22, -10)
		test/curve.c (+2, -2)

	Fix gcc6 warnings, tested with run-testpattern-2 checksum

2016-12-31  <Robert Krawitz>	244560790c7a552a97e1d879ce372145ad59f7ca

	Lines: +7, -2
	Files:	src/main/print-dpl.c (+7, -2)

	Fix stack overwrite.

2016-12-30  <Robert Krawitz>	3969ac57c0b4d63e0cd895ffa5f98bbf48e62057

	Merge branch 'master' of ssh://git.code.sf.net/p/gimp-print/source

2016-12-29  <Solomon Peachy>	207c928e122e352eba71e8abd5ffd4b67dc6d2c3

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	XM: Add IEEE1284 ID for Canon SELPHY CP1000

2016-12-29  <Solomon Peachy>	f93cc2306699c2eb537fda8734a8d0144c4ab218

	Lines: +5, -2
	Files:	NEWS (+2, -2)
		src/cups/blacklist (+3, -0)

	Update NEWS and dyesub blacklist for the SELPHY 1000

2016-12-28  <Solomon Peachy>	1007e121a9701761ccf54064d380fe505d108cf3

	Lines: +4, -4
	Files:	src/cups/backend_canonselphyneo.c (+4, -4)

	dyesub:  backend:  Add USB PID for Canon SELPHY CP1000

2016-12-27  <Solomon Peachy>	c583e346ae0d5ba513d50fbb4fc6ec852433b487

	Lines: +10, -5
	Files:	src/cups/backend_dnpds40.c (+9, -5)
		src/main/print-olympus.c (+1, -0)

	dyesub:  DS620:  Add support for 'Fine Matte' mode.

2016-12-20  <Solomon Peachy>	227cd9d3feda124376aa80df85250c5341de7498

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub:  Fix printer ID for Mitsubishi CP9500D

2016-12-20  <Solomon Peachy>	7eb0533bbc4d04c1b9c08b99bdaeb37c2a02ea16

	Lines: +48, -5
	Files:	src/main/print-olympus.c (+48, -5)

	dyesub:  Expose the Mistubishi CP-D90DW's 'Combo Wait time' option.

2016-12-20  <Solomon Peachy>	b2228ffd6d63a5122c6b32d059da76378ef90043

	Lines: +204, -2
	Files:	NEWS (+3, -2)
		src/main/print-olympus.c (+200, -0)
		src/xml/printers.xml (+1, -0)

	dyesub:  Add support for the Mitsubishi CP-9500DW.

	Subtly different from the newer CP-9550.

2016-12-16  <Robert Krawitz>	5c229fc228a464ebed339f444daf8cfc7f1a243d

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Fix P600 definition.

2016-12-12  <Solomon Peachy>	3945bc7465a37f36838d9253126deb3c26713228

	Lines: +1097, -5
	Files:	NEWS (+3, -0)
		README (+1, -0)
		src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+2, -0)
		src/cups/backend_common.h (+1, -0)
		src/cups/backend_mitsup95d.c (added +539)
		src/cups/blacklist (+3, -0)
		src/main/print-olympus.c (+511, -4)
		src/xml/papers.xml (+35, -0)
		src/xml/printers.xml (+1, -0)

	dyesub:  Add support for Mitsubishi P95D MedSci printer.

2016-12-11  <Solomon Peachy>	ad660c890a80a0201ec46077ef41916fa1ba2064

	Lines: +278, -25
	Files:	NEWS (+3, -0)
		src/main/print-olympus.c (+274, -25)
		src/xml/printers.xml (+1, -0)

	dyesub:  Expose sharpening, matte intensity, and dust removal options
	of the Kodak 8500, Kodak 9810, and Sinfonia S1245.

	Also add the Kodak 8800, which is indentical to the Kodak 9810

2016-12-10  <Solomon Peachy>	be39a40018c3aeb0ae199ff92d0201cf76bcc993

	Lines: +41, -12
	Files:	NEWS (+0, -1)
		src/cups/backend_canonselphyneo.c (+41, -11)

	dyesub: backend:  Add marker support to the selphyneo backend.

2016-12-10  <Solomon Peachy>	0fe84ee54a704e58c554eb01ae34baced92eb7c2

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	dyesub:  Correct some 'Color=XX' categories.

	(Lamination type is independent of color, and one Mitsu70x option was
	explicitly about color)

2016-12-09  <Solomon Peachy>	a3ab4e61b4f1093b6140d6b1045d396a8664832c

	Lines: +52, -5
	Files:	src/cups/backend_canonselphy.c (+25, -2)
		src/cups/backend_canonselphyneo.c (+27, -3)

	dyesub: backend:  Canon SELPHY:  Add ability to send printer reset.

2016-12-09  <Solomon Peachy>	0ee26229bb4d3ac600d7680710969517e458a657

	Lines: +28, -51
	Files:	src/cups/backend_canonselphyneo.c (+23, -26)
		src/main/print-olympus.c (+5, -25)

	dyesub:  Fix incorrect size definition for L media on Newer Selphy CP

2016-12-07  <Robert Krawitz>	f3b48333b6b58d23df712b55a7f61606874ed550

	Lines: +5, -1
	Files:	NEWS (+5, -0)
		src/xml/printers.xml (+0, -1)

	Remove support for Brother HL-1430, which appears to be GDI-only.

2016-12-05  <Solomon Peachy>	d2b3ed913a6416f473fc2f2e52200f0b2830d748

	Lines: +2, -36
	Files:	src/main/print-olympus.c (+2, -36)

	dyesub:  Get rid of all "Custom" pagesize entries.

	None of these were truly custom sizes, as the paper/media size is fixed
	for these printers.  Many of them actually had completely fixed
	dimensions listed for the paper too, rendering the whole thing a pointless exercise.

	Going forward, only printers that truly support arbitrary sizes shall get "Custom" entries.

2016-12-04  <Solomon Peachy>	c36f11796c55f2595027505d27803d8ce5641c81

	Lines: +64, -35
	Files:	src/main/print-olympus.c (+52, -23)
		src/xml/printers.xml (+12, -12)

	dyesub:  Take advantage of the global NumCopies options.

	Whether or not we have a custom backend, we should use the printer's
	native capabilities to generate copies.

2016-12-04  <Solomon Peachy>	a638b3486228398b46b219025d74af816d3bda5c

	Lines: +39, -11
	Files:	src/cups/genppd.c (+1, -4)
		src/cups/rastertoprinter.c (+9, -0)
		src/main/generic-options.c (+23, -1)
		src/main/print-olympus.c (+6, -6)

	rastertoprinter:  Pass 'NumCopies' and 'Collate' options into the core

	This way drivers can generate native, multi-copy (&|collated) spool data.

2016-12-04  <Solomon Peachy>	7db5948b57de48450b82cfe27f57aebcf31a9a4f

	Lines: +1, -1
	Files:	src/cups/rastertoprinter.c (+1, -1)

	rastertoprinter:  Properly initialize printer defaults.

2016-12-03  <Solomon Peachy>	07fbab19d3aa7eddbd5b3db727fae2c212888d83

	Lines: +4, -4
	Files:	src/xml/printers.xml (+4, -4)

	printers.xml: selphyneo family can do nativecopies via the backend.

2016-12-02  <Solomon Peachy>	c77f7ec088b8a432b8378eefd407d7cfc345c540

	Lines: +461, -4
	Files:	NEWS (+7, -1)
		README (+4, -2)
		src/cups/Makefile.am (+1, -1)
		src/cups/backend_canonselphyneo.c (added +440)
		src/cups/backend_common.c (+2, -0)
		src/cups/backend_common.h (+1, -0)
		src/cups/blacklist (+6, -0)

	dyesub:  Add in a backend for the newer canon selphy printers

	This includes the CP820, CP910, CP1000, and CP1200.

	Note that the USB PIDs for the 820 and the 1000 are unknown.

2016-12-01  <Solomon Peachy>	c481e1ee1184256136b5b175317f2c8ae04f7718

	Lines: +2, -477
	Files:	src/main/print-olympus.c (+2, -441)
		src/xml/papers.xml (+0, -35)
		src/xml/printers.xml (+0, -1)

	Revert "dyesub:  Add support for Mitsubishi P95D MedSci printer."

	This reverts commit 2543856c14badf43e2f20621bd75ef25c3606bc5.

2016-12-01  <Solomon Peachy>	d4157743bed73cbf7fdba9223abe04407db3bbee

	Lines: +35, -42
	Files:	src/main/print-olympus.c (+23, -30)
		src/xml/printers.xml (+12, -12)

	Revert "dyesub:  Take advantage of the global NumCopies options."

	This reverts commit e30d3234687b6b3d6325f2daadbacb5639df83ab.

2016-12-01  <Solomon Peachy>	b38522594bb35d6c31ad405750c175b7c29c60d7

	Lines: +12, -43
	Files:	src/cups/genppd.c (+4, -1)
		src/cups/rastertoprinter.c (+1, -19)
		src/main/generic-options.c (+1, -23)
		src/main/print-olympus.c (+6, -0)

	Revert "CUPS:  pass the 'num_copies' filter cmdline argument into the core"

	This reverts commit 05c42d796dc1600a2d7b4d885e70589d0a56c974.

2016-12-01  <Solomon Peachy>	c97fe1f62ef2bc3563c4f28f460bd4cedd2c7d99

	Lines: +1, -1
	Files:	src/cups/rastertoprinter.c (+1, -1)

	Revert "rastertoprinter:  Properly initialize printer defaults."

	This reverts commit a4c3940e720ee865d3a2f9a1d5e8c4570c0655dc.

2016-12-01  <Solomon Peachy>	0a4e7718fe043afdc4c14b38d3142182fcfe2fa9

	Lines: +5, -3
	Files:	src/main/print-olympus.c (+5, -3)

	dyesub:  Fix crash in DS80DX option validation code (yay testpattern!)

2016-12-01  <Solomon Peachy>	2197173516c6057e9ca936203f9ccfd22dd0da72

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	dyesub:  CW01: Fix error in 6x9" print definition

2016-11-30  <Solomon Peachy>	2543856c14badf43e2f20621bd75ef25c3606bc5

	Lines: +477, -2
	Files:	src/main/print-olympus.c (+441, -2)
		src/xml/papers.xml (+35, -0)
		src/xml/printers.xml (+1, -0)

	dyesub:  Add support for Mitsubishi P95D MedSci printer.

2016-11-30  <Solomon Peachy>	e30d3234687b6b3d6325f2daadbacb5639df83ab

	Lines: +42, -35
	Files:	src/main/print-olympus.c (+30, -23)
		src/xml/printers.xml (+12, -12)

	dyesub:  Take advantage of the global NumCopies options.

	Whether or not we have a custom backend, we should use the printer's
	native capabilities to generate copies.

2016-11-30  <Solomon Peachy>	05c42d796dc1600a2d7b4d885e70589d0a56c974

	Lines: +43, -12
	Files:	src/cups/genppd.c (+1, -4)
		src/cups/rastertoprinter.c (+19, -1)
		src/main/generic-options.c (+23, -1)
		src/main/print-olympus.c (+0, -6)

	CUPS:  pass the 'num_copies' filter cmdline argument into the core

	This way drivers can generate native, multi-copy spool data.

2016-11-30  <Solomon Peachy>	a4c3940e720ee865d3a2f9a1d5e8c4570c0655dc

	Lines: +1, -1
	Files:	src/cups/rastertoprinter.c (+1, -1)

	rastertoprinter:  Properly initialize printer defaults.

2016-11-17  <Solomon Peachy>	1bfb2d0f748a8c7a2a6a9534f044e30c86f7ceda

	Lines: +2, -2
	Files:	NEWS (+1, -1)
		src/xml/printers.xml (+1, -1)

	The Mitsubishi CP-D70DW is no longer considered experimental.

2016-11-17  <Solomon Peachy>	613986732909b6227a22a549e868163e92f814fa

	Lines: +2, -2
	Files:	NEWS (+1, -1)
		src/xml/printers.xml (+1, -1)

	Mitsubishi CP-D80DW is no longer experimental.  Plus its IEEE1284 ID.

2016-11-17  <Solomon Peachy>	b2664c90bf53ea4cfe14724ba1feadcff9476a87

	Lines: +41, -29
	Files:	src/cups/backend_common.c (+41, -29)

	dyesub: backend:  Fix IEEE1284 parsing when per-interface classes are used.

2016-11-17  <Solomon Peachy>	7e7f2dfe1411b5ab497ad6fa46d0ee812d47a551

	Lines: +17, -1
	Files:	src/cups/blacklist (+17, -1)

	dyesub: backend:  Add a pile of Mitsubishi models to the blacklist.

2016-11-16  <Solomon Peachy>	62ceecf2389cb58b383a2321ba172578ac81a918

	Lines: +58, -41
	Files:	src/cups/backend_mitsu70x.c (+58, -41)

	dyesub:  backend:  mitsu70x:  Sync with upstream.

	 * Fix a nasty bug that broke printing on the D70/D707.
	 * Add better media decoding on CP-D70/D707/D80
	 * Add USB PID for CP-D80DW

2016-11-16  <Solomon Peachy>	6ecd08415eeb305e26cdbb280e6156fe3b8ff0d2

	Lines: +9, -5
	Files:	src/cups/backend_mitsu9550.c (+9, -5)

	dyesub:  backend:  Add USB IDs for several Mitsubishi 9xxx models.

2016-11-13  <Robert Krawitz>	0ff540d6fcc54c4df9e2219075b7fefd8beb8ae5

	Lines: +1, -0
	Files:	src/escputil/escputil.c (+1, -0)

	Fix another C99 error.

===============================================================================
Name: gutenprint-5_2_12-pre4-resync

2016-11-12  <Robert Krawitz>	95d4089737d318fc42df3d636f67f7dc9ab2b703

	Lines: +9, -14
	Files:	.gitignore (+1, -0)
		NEWS (+1, -0)
		README (+4, -11)
		configure.ac (+3, -3)

	Gutenprint 5.2.12-pre4 sync-up

2016-11-12  <Robert Krawitz>	8209eb2b99a07927ca10805b9fa67be8dc435708

	Lines: +19, -3
	Files:	NEWS (+19, -3)

	Add support for most of the Datamax-O'Neil DPL printers

2016-11-12  <Robert Krawitz>	71c495a85a1cbda872ae1483f275bc007838e228

	Lines: +47, -8
	Files:	NEWS (+18, -0)
		src/xml/escp2/model/model_92.xml (+11, -8)
		src/xml/printers.xml (+18, -0)

	Add various Epson WorkForce 60 type printers.

2016-11-12  <Robert Krawitz>	509c7d821eaa769d274a5a34a91a99e72e7952cb

	Lines: +1, -0
	Files:	src/xml/escp2/media/Makefile.am (+1, -0)

	Fix missing pro_ultrachrome_k3v10b.xml in makefile.

2016-11-12  <Robert Krawitz>	859ceeacaecccd54763de50f58ade414dcce37d5

	Lines: +0, -0
	Files:	po/sk.po (+55, -60)

	Fix Slovak translation

2016-11-12  <Robert Krawitz>	ccd5884baca00d2164cfb22e5f9b635d169802a7

	Lines: +308, -24
	Files:	configure.ac (+6, -0)
		src/testpattern/Checksums/sums.5.2.11.bz2 (added +0)
		src/testpattern/Checksums/sums.5.2.12-pre2.bz2 (added +0)
		src/testpattern/Checksums/sums.5.2.12-pre3.bz2 (added +0)
		src/testpattern/Checksums/sums.5.2.12-pre4.bz2 (added +0)
		src/testpattern/Makefile.am (+18, -3)
		src/testpattern/compare-checksums.in (+77, -21)
		src/testpattern/compress-checksums.in (added +153)
		src/testpattern/run-testpattern-2.in (+1, -0)
		src/testpattern/uncompress-checksums.in (added +53)

	Add target to generate checksum files.

	Compress checksum files.

2016-11-12  <Robert Krawitz>	d74bdf8d2cb8a6ad9260d58842045d3128cc2413

	Lines: +14, -8
	Files:	src/cups/gutenprint-users-manual.pdf (added +0)
		src/cups/test-rastertogutenprint.in (+14, -8)

	Use a known PDF file as input to produce long-term uniform results.

2016-11-12  <Robert Krawitz>	0d306b79b1a5fd4c5638813ee203a88865be870c

	Lines: +90, -75
	Files:	.gitignore (+3, -0)
		configure.ac (+1, -1)
		src/cups/commandtocanon.c (+1, -0)
		src/cups/commandtoepson.c (+1, -0)
		src/cups/genppd.c (+4, -13)
		src/cups/i18n.c (+1, -0)
		src/cups/rastertoprinter.c (+4, -3)
		src/escputil/d4lib.c (+20, -11)
		src/escputil/escputil.c (+3, -1)
		src/gutenprintui2/plist.c (+2, -0)
		src/main/curve.c (+1, -0)
		src/main/escp2-papers.c (+1, -0)
		src/main/print-olympus.c (+43, -44)
		src/main/print-ps.c (+1, -0)
		src/main/xmlppd.c (+1, -0)
		src/testpattern/testpatternl.l (+1, -1)
		src/testpattern/testpatterny.y (+2, -1)

	Change compiler baseline from C90 to C99.

2016-11-12  <Robert Krawitz>	2a6f7ffee585a3d8d6a16ad4849390004f2dfc35

	Lines: +2752, -7581
	Files:	.gitignore (+4, -4)
		Makefile.am (+1, -5)
		NEWS (+28, -33)
		README (+23, -127)
		README.package (+6, -31)
		configure.ac (+0, -76)
		doc/FAQ.html (+2, -11)
		doc/Makefile.am (+2, -1)
		doc/developer/dither.xml (+1, -1)
		doc/developer/introduction.xml (+2, -3)
		doc/developer/new-printer.xml (+3, -3)
		doc/gutenprint-users-manual.odt (+0, -0)
		doc/gutenprint-users-manual.pdf (+0, -0)
		doc/users_guide/title.sgml (+4, -17)
		macosx/make-supported-printers (+2, -5)
		man/Makefile.am (+2, -7)
		man/cups-calibrate.8.in (+4, -9)
		man/cups-genppdupdate.8.in (+1, -2)
		man/ijsgutenprint.1.in (removed -104)
		po/POTFILES.in (+0, -6)
		src/Makefile.am (+0, -2)
		src/cups/cups-calibrate.c (+5, -7)
		src/foomatic/Makefile.am (removed -121)
		src/foomatic/foomatic-generator.in (removed -1837)
		src/foomatic/foomatic-templates-ijs/Color.xml (removed -20)
		src/foomatic/foomatic-templates-ijs/Model.xml (removed -21)
		src/foomatic/foomatic-templates-ijs/NumericalOptions.xml (removed -21)
		src/foomatic/foomatic-templates-ijs/OtherOptions.xml (removed -20)
		src/foomatic/foomatic-templates-ijs/PageSize.xml (removed -20)
		src/foomatic/foomatic-templates-ijs/PrintoutMode.xml (removed -19)
		src/foomatic/foomatic-templates-ijs/RenderResolution.xml (removed -20)
		src/foomatic/foomatic-templates-ijs/Resolution.xml (removed -20)
		src/foomatic/foomatic-templates-ijs/STP_InputSlot.xml (removed -20)
		src/foomatic/foomatic-templates-ijs/STP_MediaType.xml (removed -20)
		src/foomatic/foomatic-templates-ijs/gutenprint.xml (removed -45)
		src/foomatic/gutenprint-version.c (removed -41)
		src/foomatic/mk_printerlist.in (removed -30)
		src/foomatic/paper_sizes.c (removed -44)
		src/foomatic/printer_margins.c (removed -125)
		src/foomatic/printer_options.c (removed -316)
		src/foomatic/printers.c (removed -67)
		src/ghost/Makefile.am (removed -40)
		src/ghost/ijsgutenprint.c (removed -1570)
		src/main/print-escp2.c (+1, -1)
		src/main/printers.c (+3, -28)
		src/testpattern/extended.sample (+1, -2)
		src/testpattern/testpattern.sample (+1, -2)
		src/xml/printers.xml (+2655, -2655)
		test/gen-printer-list.c (+1, -2)

	Remove Ghostscript/IJS driver and Foomatic data generator.
	Currently there are stubs for stp_get_printer_by_foomatic_id and
	stp_printer_get_foomatic_id to not break the API.  Those should be
	removed when appropriate.

===============================================================================
Name: gutenprint-5_2_12-pre4-presync

2016-11-01  <Solomon Peachy>	215fa8982d5d2750f65b3a10a8288b0f8a0f2d0d

	Lines: +62, -21
	Files:	src/cups/backend_mitsu70x.c (+15, -8)
		src/cups/backend_mitsu9550.c (+47, -13)

	dyesub:  backend:  Improve status reporting for mitsu9xxx and 70x families.

2016-11-01  <Solomon Peachy>	e79b4643dcd8388ab1fb21fcd14897622567d8a9

	Lines: +64, -53
	Files:	src/cups/backend_common.c (+63, -51)
		src/cups/backend_common.h (+1, -2)

	dyesub:  Improve robustness when enumerating and probing printers

2016-10-27  <Solomon Peachy>	8f1a69967b5113278d8819853fb357013c082e96

	Lines: +34, -42
	Files:	NEWS (+6, -14)
		README (+27, -27)
		src/xml/printers.xml (+1, -1)

	Mark the Mitsubishi CP-K60DW as no longer experimental.

	And update the NEWS and README while I'm at it.

2016-10-27  <Solomon Peachy>	92e311c5f618306bc1daf2f06826e2b0d101f418

	Lines: +5, -5
	Files:	src/cups/backend_mitsu70x.c (+5, -5)

	dyesub:  backend:  mitsu70x: Fix a major issue printing "raw" spool files.

2016-10-27  <Solomon Peachy>	9ad4c26a96425b652d4d16142766ee1811ee19d4

	Lines: +66, -34
	Files:	src/cups/backend_mitsu70x.c (+33, -8)
		src/cups/backend_mitsu9550.c (+33, -26)

	dyesub:  Fix more bugs in the mitsubishi backends.

	There's another fix coming for the K60 model, waiting on testers.

2016-10-26  <Solomon Peachy>	f89367ea3174dc9def3a72855db3647d975ea645

	Lines: +10, -6
	Files:	NEWS (+1, -1)
		src/cups/backend_mitsu9550.c (+7, -3)
		src/main/print-olympus.c (+1, -1)
		src/xml/printers.xml (+1, -1)

	dyesub:  Mitsubishi CP-9600DW uses RGB (not BGR) plane ordering.

	(Why Mitsubishi can't use the same ordering from one [sub-]model to the
	 next is beyond me..)

	With this change, the printer is no longer considered experimental!

2016-10-26  <Solomon Peachy>	0547be8378e0761a22a9e8506d443aad30eb6a61

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	dyesub:  Fix sub-model type in the Mitsu K60 header.

2016-10-25  <Solomon Peachy>	27738a922b491f96c4531de7261a0dc8264ee151

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub:  Fix a bug affecting 8x6 or 9x6 sizes.

2016-10-23  <Solomon Peachy>	f76ae0d87283b0174a6efd5b751356b9e64fec60

	Lines: +137, -75
	Files:	src/cups/backend_mitsu9550.c (+137, -75)

	dyesub:  backend:  Now appears to function properly with the CP-9600DW.

2016-10-23  <Gernot Hassenpflug>	cff3fd616721b21911c575d096ad9c3ca70cad4e

	Lines: +1, -1
	Files:	src/main/canon-printers.h (+1, -1)

	Esc (c command changed to 3 bytes for Canon BJC-2100

2016-10-19  <Solomon Peachy>	7ea17ce24d93d7785e9aff7f2bef213257652489

	Lines: +30, -14
	Files:	src/cups/backend_mitsu70x.c (+30, -14)

	dyesub:  backend:  mitsu70x: Fix lamination generation with 5" prints.

2016-10-19  <Solomon Peachy>	e4406544400e60d71b898ed932ab4dfcc61c23e2

	Lines: +23, -158
	Files:	src/cups/backend_mitsu70x.c (+23, -158)

	dyesub:  backend:  Updates for the mitsu D70 family.

2016-10-18  <Solomon Peachy>	e07523eaa78fb488bab8de0e5285f0d681e81378

	Lines: +98, -68
	Files:	src/main/print-olympus.c (+98, -68)

	dyesub:  Make gamma correction a function instead of a set of tables used globally.

	This means that individual printers can use different gamma tables
	depending on settings, instead of a global table per printer entry.

	It also will allow for this feature to be more easily disabled, a
	long-standing FIXME in the dyesub driver.

2016-10-18  <Solomon Peachy>	c0a5ff947b7e4bd4f53760b863ab0998db9fdcb1

	Lines: +3, -3
	Files:	NEWS (+1, -1)
		src/main/print-olympus.c (+2, -2)

	dyesub:  mitsubishi cp-9800/9810 are YMC, not BGR.

	(I suspect they need gamma correction from 8bpp BGR->12bpp YMC, similar
	 to how the D70 family operates..)

	Re-marking the 9800 as experimental until the quality is known to be
	sane..

2016-10-19  <Gernot Hassenpflug>	72039763bab5fdda0fae031ca61213e94646ac30

	Lines: +7, -0
	Files:	NEWS (+7, -0)

	Added duplex capability to Canon iB4000, MB2000, MB2300, MB5000, MB5300 models.

2016-10-19  <Gernot Hassenpflug>	1cb76af04f0a78bcc7ac9c42dde64580133576d3

	Lines: +3, -3
	Files:	src/main/canon-printers.h (+3, -3)

	Added duplex capability to Canon iB4000, MB2000, MB2300, MB5000, MB5300 models.

2016-10-18  <Solomon Peachy>	5127a1a6d14b854eb8afb9a9e88f4291b8fcd636

	Lines: +3, -3
	Files:	NEWS (+1, -1)
		src/xml/printers.xml (+2, -2)

	xml:  Mark the MItsubishi CP-9810 family as EXPERIMENTAL

	...We lack a VID/PID in the backend for it, so it likely won't work out
	of the box.

2016-10-18  <Solomon Peachy>	9afc919111cc237bb6942f89a02a6430e8bc3887

	Lines: +499, -147
	Files:	src/cups/backend_common.h (+4, -0)
		src/cups/backend_mitsu9550.c (+489, -147)
		src/cups/blacklist (+6, -0)

	dyesub:  backend:  Add support for Mitsu 98x0 and 9600 families.

	The 9800DW-S is confirmed working.  Still need USB VID/PIDs for:

	 * Mitsu 9600DW-S
	 * Mitsu 9800DW
	 * Mitsu 9810DW
	 * Mitsu 9820DW-S

2016-10-18  <Solomon Peachy>	ade51b6b2514656df63e28eaeb950cbf856b5bea

	Lines: +5, -2
	Files:	NEWS (+2, -1)
		src/main/print-olympus.c (+1, -1)
		src/xml/printers.xml (+2, -0)

	dyesub:  Add the Mitsubishi CP-9800DW-S to the supported list.

2016-10-17  <Solomon Peachy>	352c2a1f4e9616d2adff7e9d6e0644e21f69e96c

	Lines: +106, -313
	Files:	NEWS (+1, -3)
		src/cups/backend_common.h (+1, -4)
		src/cups/backend_mitsu9550.c (+100, -264)
		src/cups/blacklist (+0, -6)
		src/main/print-olympus.c (+0, -30)
		src/xml/printers.xml (+4, -6)

	Revert "dyesub:  backend support for the CP-9600DW and CP-9800DW-S"

	This reverts commit aac786f991f1999abce4102d6c66c09fbb737cb1.

	This was accidentally pushed, and is definitely not ready.

2016-10-17  <Solomon Peachy>	6752729addb0cd6974c7ee9dbf286ac110ccb36b

	Lines: +9, -4
	Files:	src/main/print-olympus.c (+9, -4)

	dyesub:  Fix crash with the mitsu cp9800

2016-10-17  <Solomon Peachy>	b0c457d1dcf410623ac036ad567af2fd33c27678

	Lines: +15, -5
	Files:	src/main/print-olympus.c (+15, -5)

	dyesub:  Fix two crashes and a memory leak.

	 * Didn't free dynamic privdata structure
	 * mitsu9800 and ask300 don't support lamination but shared code with
	   models that did, causing a null pointer deference.

2016-10-17  <Solomon Peachy>	aac786f991f1999abce4102d6c66c09fbb737cb1

	Lines: +313, -106
	Files:	NEWS (+3, -1)
		src/cups/backend_common.h (+4, -1)
		src/cups/backend_mitsu9550.c (+264, -100)
		src/cups/blacklist (+6, -0)
		src/main/print-olympus.c (+30, -0)
		src/xml/printers.xml (+6, -4)

	dyesub:  backend support for the CP-9600DW and CP-9800DW-S

	Also, the 9800-S needs RGB instead of BGR output.

2016-10-17  <Solomon Peachy>	476a5e489a6b0f990aa4ab83b762b39c8eac179b

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	dyesub:  Fix dnp80dx duplex rules when using gimp-print plugin.

	Apparently it uses "Standard" instead of "None"...

2016-10-17  <Solomon Peachy>	415f4d9f96665e8b6be564a18095ef47bdaacde4

	Lines: +35, -3
	Files:	src/main/print-olympus.c (+35, -3)

	dyesub:  mitsu9550dw-s doesn't support 3.5x5" prints.

	Or at least it would if the printer supported 3.5x5" media..

2016-10-17  <Solomon Peachy>	a35c7125fa570cdd79f7c704c8168bb7b82ce1f7

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	dyesub:  mitsu70x:  Deck selection test was inverted.

2016-10-17  <Solomon Peachy>	de36fb22899a3613d96f5220a89e9671930ab2cb

	Lines: +3, -5
	Files:	src/main/print-olympus.c (+3, -5)

	dyesub:  move buffer for dyesub_nputc() onto the stack.

	Also shrink it from 4096 to 512.  There's only one caller that's larger
	than that, and most are under 64 bytes.

2016-10-17  <Solomon Peachy>	fbdda3cd7e2c7d3344526036d93f60e61fd2aa1b

	Lines: +133, -97
	Files:	src/main/print-olympus.c (+133, -97)

	dyesub: Eliminate all per-printer static privdata structures.

	They're now part of the global privdata, under a union.

	Seemed to be the cleanest appropach, for now.

2016-10-17  <Solomon Peachy>	d3a8fef65d81d87d302704bc154cf8369e3a9dc9

	Lines: +656, -514
	Files:	src/main/print-olympus.c (+656, -514)

	dyesub:  Make dyesub_privdata_t dynamic.

2016-10-17  <Solomon Peachy>	448ffed88977b8d198c2e16dc63f3a14c601d5d3

	Lines: +71, -50
	Files:	src/main/print-olympus.c (+71, -50)

	dyesub:  add dyesub_verify_printer_params()

	It calls the global stp_verify_printer_params() first, then, if present,
	the per-printer verification function.

2016-10-17  <Robert Krawitz>	ef24d2f95ab44ac2058e90958154aaef2a772757

	Lines: +32, -31
	Files:	src/main/canon-printers.h (+10, -10)
		src/main/color.c (+1, -2)
		src/main/path.c (+21, -19)

	Clean up some static data.

2016-10-14  <Solomon Peachy>	eb1353dbe53fb231b6586e116f2c893adb3559a8

	Lines: +6, -3
	Files:	src/main/print-olympus.c (+6, -3)

	dyesub:  DS80DX now degrades gracefully when duplexing+roll media is chosen

	 * Gracefully switches to using sheet media (with a warning)
	 * If this results in an illegal print size, fail.

2016-10-13  <Robert Krawitz>	11f42274e54926a3dd2c298d6294ac1bd4940947

	Lines: +6, -1
	Files:	NEWS (+5, -1)
		src/xml/printers.xml (+1, -0)

	Add OKI B430

2016-10-12  <Solomon Peachy>	29de926978e3686ba6503ada8ee68076f981830b

	Lines: +16, -7
	Files:	src/main/print-olympus.c (+16, -7)

	dyesub:  The Mitsu 9550DW-S uses a different job footer from the 9550.

	The backend was correcting this, but now that the -S is unique in
	Gutenprint, generate the correct footer.  Also generate the copy count
	properly in entire mitsu 9xxx family.

2016-10-12  <Solomon Peachy>	68fc624f3b42cc6a40fea51cfcbd0b16bcdbebce

	Lines: +24, -5
	Files:	NEWS (+3, -3)
		src/cups/backend_shinkos1245.c (+21, -2)

	dyesub:  backend:  Sinfonia S1245 now reports marker levels.

	(Figured out a way to infer which media type is loaded!)

2016-10-09  <Solomon Peachy>	d2ef02fcb36b33115858eb490610b498081129a4

	Lines: +47, -8
	Files:	NEWS (+4, -3)
		src/main/print-olympus.c (+41, -5)
		src/xml/printers.xml (+2, -0)

	dyesub:  Initial support for the Mitsubishi CP-9800DW

	Identical to the CP-9810, other than lacking matte support.

2016-10-07  <Solomon Peachy>	d5c7802d8c2d0a4aa21c0a8ea1a804e445a79487

	Lines: +27, -27
	Files:	src/xml/printers.xml (+27, -27)

	Revert "dyesub:  Fix the ordering of the dyesub entries in printers.xml"

	This reverts commit af20b220d42c540bccc73322503586493b6a2b5c.

	Robert asked this to be backed out until after the -pre merge.

2016-10-07  <Solomon Peachy>	af20b220d42c540bccc73322503586493b6a2b5c

	Lines: +27, -27
	Files:	src/xml/printers.xml (+27, -27)

	dyesub:  Fix the ordering of the dyesub entries in printers.xml

	They need to be:

	 1) Grouped contiguously by manufacturer  (what about Canon?)
	 2) Alphabetically ordered

2016-10-06  <Solomon Peachy>	1c93b5f4f5b1e18a1e13e2e6e0e721f82e43b71a

	Lines: +65, -2
	Files:	NEWS (+3, -2)
		src/main/print-olympus.c (+61, -0)
		src/xml/printers.xml (+1, -0)

	dyesub:  Add in support for the Fujifilm ASK-300.

	It appears to be a rebadged Mitsubishi CP-D70DW

2016-10-06  <Solomon Peachy>	0a60ecf2500f2989180c85b9fa14a0d734a83efe

	Lines: +7, -7
	Files:	src/main/print-olympus.c (+7, -7)

	dyesub:  Mitsu D90 supports sharpening.

	Also, update D70 families to default to "normal" sharpening instead of none.

2016-10-06  <Solomon Peachy>	582249d9631513055dde9f17de133ecbc2b91df5

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Mark the Kodak 305 as no longer experimental.

2016-10-06  <Solomon Peachy>	81d2a84cb6e73d59e64dac1b9e0438ac6a8d0a8d

	Lines: +204, -68
	Files:	NEWS (+15, -5)
		src/cups/backend_mitsu70x.c (+189, -63)

	dyesub:  Drop in the new-and-improved mitsu70x backend.

2016-10-06  <Solomon Peachy>	bb2949cb31df1f115075dccc4f2742f2a8efda84

	Lines: +120, -4
	Files:	src/main/print-olympus.c (+120, -4)

	mitsu70x:  Allow use of 8bpp BGR spool output.

	Requires the backend to do the transformation to the native printer
	format. As the backend uses printer-specific data tables, this yields
	vastly improved output quality.

2016-10-03  <Solomon Peachy>	ce0546059047abbf4c23877129d658f6eac73fbf

	Lines: +234, -9
	Files:	NEWS (+1, -0)
		src/main/print-olympus.c (+233, -9)

	dyesub:  Add support for print speed to the Mitsubishi 9550, 9810, and D90

	9550: Fine/Superfine/FineDeep
	9810: Fine/Superfine  (And matte lamination requires Superfine)
	D90:  Fine/Ultrafine/Auto

2016-10-03  <Solomon Peachy>	f804744801d1f0ce055774f8763abbf5e6c4a31c

	Lines: +60, -61
	Files:	src/main/print-olympus.c (+60, -61)

	dyesub:  Get rid of the last vestiges of ppduiconstraints

2016-10-03  <Solomon Peachy>	641f6e700191cfb0d116dcdff631ac93ead2f727

	Lines: +1, -70
	Files:	src/cups/genppd.c (+0, -27)
		src/main/print-olympus.c (+1, -43)

	pdd:  Get rid of PPDUIConstraint generation.

	I'm sad to see this go, but it's apparently not terribly useful in
	practice.

2016-10-03  <Solomon Peachy>	9f9e1dff063c945e569a020baa65397b29621fa8

	Lines: +144, -120
	Files:	src/main/print-olympus.c (+144, -120)

	dyesub:  Allow printer->parse_parameters() function to return errors.

	Replace all PPDUIConstraints with code in parse_parameters()

	Follow-up patch will remove the constraint infrastructure.

2016-10-03  <Solomon Peachy>	19b3fad29398c9cfd8ee5c46ce236befeb227d49

	Lines: +9, -0
	Files:	src/main/print-olympus.c (+9, -0)

	dyesub:  Kodak 305 actually supports 2x6 *2, 4x6 *2, and 6x6 printing.

2016-10-02  <Solomon Peachy>	00ac126f09c89e5a03c24b13c039f51c78b84d72

	Lines: +22, -13
	Files:	src/cups/backend_dnpds40.c (+22, -13)

	backend:  DNP: Don't report negative remaining prints when there's no media loaded.

2016-10-02  <Solomon Peachy>	9653866eb36bc9ebff5cf6f6c9d1ff2b947b669f

	Lines: +11, -5
	Files:	src/cups/backend_mitsu70x.c (+11, -5)

	backend:  mitsu70x: Only override speed and multicut headers if necessary.

2016-10-01  <Gernot Hassenpflug>	4d64936214a1a7b1df69ba0004b5d1e2be176b68

	Lines: +9, -1
	Files:	src/main/print-canon.c (+9, -1)

	Test ESC (P with 12 bytes for Canon MG7700 series

2016-09-28  <Solomon Peachy>	ad160a202f964ae4ab59fe0c7fabffb81bf04054

	Lines: +21, -3
	Files:	NEWS (+1, -0)
		src/main/print-olympus.c (+17, -0)
		src/xml/printers.xml (+3, -3)

	dyesub:  Mitsubishi CP-9550DW and DW-S use bgr and rgb, respecitvely.

	....WTF?

2016-09-28  <Solomon Peachy>	c80e11e8b1e4ae9d0e6cc57f16b606411119809b

	Lines: +3, -4
	Files:	src/main/print-olympus.c (+3, -4)

	dyesub:  use dyesub_exec() on the caps->parse_parameters() call.

2016-09-28  <Solomon Peachy>	e8ba5c965312638902f7705d080686537582ade8

	Lines: +143, -23
	Files:	NEWS (+2, -1)
		src/cups/backend_mitsu9550.c (+23, -19)
		src/main/print-olympus.c (+117, -3)
		src/xml/printers.xml (+1, -0)

	dyesub:  Add preliminary support for the Mitsubishi CP-9600DW

	Also fix a couple of bugs with the mitsu9550

2016-09-27  <Solomon Peachy>	6f7faa7c8f9b295807099a6b1c95b6bb4a469fc3

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub:  UIConstraints were missing 'Stp' prefixes on their arguments.

	...I need to do this in a more self-checking manner.

2016-09-26  <sletter1>	d252d3f803bb469ab34844e9608cb30ae5ea5173

	Lines: +19, -15
	Files:	macosx/makegutenpkg.sh (+6, -2)
		src/xml/printers.xml (+13, -13)
		{scripts => macosx/scripts}/Gutenprint Utility for EPSON Inkjet Printers.command (+0, -0)
		{scripts => macosx/scripts}/uninstall-gutenprint.command (+0, -0)

	Forgot to add files to previous commit.  Fix Datamax O'Neil problem with
	apostrophes.  Move Mac scripts to the macosx directory.  Fix build script
	for Macintosh.

2016-09-26  <sletter1>	72d95bf73eab7925a47506f30de906b2ba2b09d6

	Lines: +220, -0
	Files:	scripts/Gutenprint Utility for EPSON Inkjet Printers.command (added +220)

	Fixes for Macintosh build, remove unwanted apostrophes from Datamax-O'Neil
	thermal printers.

2016-09-27  <Gernot Hassenpflug>	a8e9481905d2ffb0819b8687a7dd38ad4576f60d

	Lines: +21, -11
	Files:	NEWS (+3, -0)
		src/main/canon-media-mode.h (+5, -0)
		src/main/canon-media.h (+1, -1)
		src/main/canon-modes.h (+6, -4)
		src/main/canon-printers.h (+4, -4)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+1, -1)

	Enhanced support for Canon BJC-2000 (and BJC-2010). Added Fabric Sheet to BJC-2100, and carried over enhancement to BJC-2110.

2016-09-26  <Solomon Peachy>	b1a3566b6085483ab1942ae0b4f3b46fcd4083c0

	Lines: +6, -7
	Files:	src/main/print-olympus.c (+6, -7)

	dyesub:  rename "Quality" parameter in the Mitsu70x family to "PrintSpeed"

2016-09-26  <Solomon Peachy>	b4df5cca5c5ab79ec77acfbea054120494bd19ca

	Lines: +2, -2
	Files:	configure.ac (+2, -2)

	build:  We shouldn't enable modules when --with-modules=no or =static

2016-09-26  <Gernot Hassenpflug>	c9c41f2a2fc84ad54327e9db64e16d14e40639c4

	Lines: +4, -0
	Files:	NEWS (+4, -0)

	Added Canon BJC-2100 enhancements to NEWS file

2016-09-26  <Solomon Peachy>	d51380d5fece6d268dc964457e09fbd68b4671e6

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub:  Accidently left out a correction to the d70x lamination code.

2016-09-26  <Solomon Peachy>	5b4c0f77529459cee7a588a57b87b597e7aceee9

	Lines: +22, -42
	Files:	src/main/print-olympus.c (+22, -42)

	dyesub:  Consolidate the d70x/k60 lamination code.

2016-09-26  <Solomon Peachy>	ee3a5634e13da14e382bc001e22d96c777f9ca6e

	Lines: +94, -52
	Files:	src/cups/backend_mitsu70x.c (+94, -52)

	backends:  Further fixes to the mitsu70x backend.

2016-09-25  <Solomon Peachy>	4943158dcbb3da0d70ae261cc792b5665253b626

	Lines: +2, -2
	Files:	configure.ac (+2, -2)

	build:  Fix inverted tests that broke module loads.

2016-09-25  <Gernot Hassenpflug>	4c77b6f7981eaadaea347b9bd7172162a46e5a50

	Lines: +2, -0
	Files:	src/foomatic/foomatic-generator.in (+2, -0)

	Added further Canon dmt-related resolution names

2016-09-25  <Gernot Hassenpflug>	be5b820834d8770fa177f2272eac73f2421d3144

	Lines: +8, -8
	Files:	src/main/canon-media-mode.h (+6, -6)
		src/main/canon-modes.h (+2, -2)

	Canon BJC-2100 set DMT modes

2016-09-20  <Solomon Peachy>	1ebae666aee7cf21d7932ed1f33747cdca7a4856

	Lines: +173, -138
	Files:	src/cups/backend_common.c (+1, -1)
		src/cups/backend_mitsu70x.c (+172, -137)

	backend:  Can now print to Kodak 305 and Mitsu K60 models.

2016-09-21  <Gernot Hassenpflug>	a485959e909778dbef1dd50203d6edc193276578

	Lines: +111, -3
	Files:	src/main/canon-media-mode.h (+48, -0)
		src/main/canon-media.h (+17, -0)
		src/main/canon-modes.h (+16, -1)
		src/main/canon-printers.h (+19, -0)
		src/main/print-canon.c (+10, -1)
		src/xml/printers.xml (+1, -1)

	Added more support for Canon BJC-2100

2016-09-18  <Robert Krawitz>	db22014f1f8de2c573994941a51219a7014a0f7d

	Lines: +4, -0
	Files:	AUTHORS (+4, -0)

	Add Solomon Peachy for

2016-09-18  <Robert Krawitz>	289787c10f8ed2b2acb7a9e21d298efc8d986940

	Lines: +4, -0
	Files:	AUTHORS (+4, -0)

	Add Steve Letter for Datamax-O'Neil driver, Mac support

2016-09-13  <Solomon Peachy>	5d5cb92d589b7a788ae96aeb93c4c45b6779f898

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	dyesub:  Forgot to correct lamination data plane generation on K60/EK305

2016-09-10  <Solomon Peachy>	667245663ba5baba87dc2bab19bf1551f86b76d4

	Lines: +4, -3
	Files:	src/main/print-olympus.c (+4, -3)

	dyesub:  Correct lamination dimensions on EK305 and Mitsu K60

2016-09-10  <Solomon Peachy>	3d172a94ce29bc027ca92d00aea5f30ea80f6648

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub:  Fix a compile warning introduced in the last commit.

2016-09-08  <Solomon Peachy>	bb97acf729eb774b5ab079a3177bf7115efae558

	Lines: +169, -20
	Files:	src/main/print-olympus.c (+169, -20)

	dyesub:  Add custom "Quality" settings to the D70x/D80/K60/EK305

	 * D70x/D80 use one set
	 * K60/EK305 use different set
	 * Add constrint to all to prevent "Fine" quality with Matte operation.

	Other printers can use this feature too:

	 * Mitsu 3020 -- Contrast [+-5]
	 * Mitsu 9550 -- Quality [ie normal/fine/finedeep]
	 * Mitsu 9810 -- Quality [Fine/Superfine]
	 * Mitsu D90  -- Quality [Fine/Ultrafine/Auto] and Color Correction [on/off]
	 * Shinko 1245 -- Matte intensity [+-25] and dust removal [on/off/default]
	 * Shinko 6145 -- Quality [default/std] ???
	 * Kodak 1400 -- Matte intensity [+-5] (replace custom matte types list?)
	 * Kodak 8500 -- Sharpening [on/off] and Matte Intensity [+-5] (rpl custom)
	 * Kodak 9810 -- Sharpening [0-25]

2016-09-08  <Solomon Peachy>	04bb8471cd2fc2a666afe22c429fd95f7ab2d151

	Lines: +82, -3
	Files:	src/main/print-olympus.c (+82, -3)

	dyesub:  Support per-printer parameters

	No in-tree users yet, that will follow.

2016-09-08  <Robert Krawitz>	62a9b3c25dce233e4b63e2daf3fd62eef3e8d79b

	Lines: +14, -13
	Files:	.gitignore (+1, -0)
		src/xml/printers.xml (+13, -13)

	Single quote is illegal in PPD files.

2016-09-06  <Solomon Peachy>	fe3f15e69580511787793b585f41c07730e29271

	Lines: +17, -5
	Files:	src/cups/backend_dnpds40.c (+17, -5)

	backend:  Bugfixes to DNP backend.

	 * Divide-by-zero when encountering unknown media type
	 * Compensate for an off-by-one error in some firmware's remaining qty.

2016-09-06  <Solomon Peachy>	d9134c1121183504179aa9733f86cbcd6ed13a1a

	Lines: +18, -2
	Files:	NEWS (+18, -2)

	Replace the TODOFIXME blurb in the NEWS file with a just-the-facts
	summary of the Sinfonia S6145 processing library requirements.

2016-09-05  <Robert Krawitz>	41569bd108098c73bd40ad835527aef01775d8f3

	Lines: +12, -12
	Files:	src/xml/escp2/inks/xp100.xml (+8, -8)
		src/xml/escp2/model/model_123.xml (+4, -4)

	Initial tuning for Epson XP100, courtesy Jase Smith.

2016-09-03  <Robert Krawitz>	16edd571ade1d86235bd5eb99367917e3794a1d3

	Lines: +11, -6
	Files:	Makefile.am (+9, -4)
		scripts/Makefile.am (+2, -2)

	Don't allow make ChangeLog in a distribution tree.

2016-09-03  <Robert Krawitz>	bd1e315f4b2069888308b06dfb09fc83d714d5c2

	Lines: +71725, -2
	Files:	ChangeLog.pre-5.2.11 (added +71704)
		Makefile.am (+1, -1)
		scripts/mkgitlog.in (+20, -1)

	Greatly speed up change log generation by using static old history.

2016-09-03  <Robert Krawitz>	660cb3aef696c680d2fe4e3cec0d25f2dd1a9834

	Lines: +28, -1
	Files:	scripts/autogen.sh (+28, -1)

	Improve error checking in autogen.

2016-09-03  <Robert Krawitz>	3d6424b2a4014ddcb468c0c845624dadbeb7178d

	Lines: +5, -0
	Files:	scripts/mkgitlog.in (+5, -0)

	Print summary of lines changed in addition to per-file in

	change log.

2016-09-01  <Solomon Peachy>	84c45c07173c4ec313ce5a35266baf7f1666ae70

	Lines: +72, -32
	Files:	src/cups/backend_mitsu70x.c (+72, -32)

	backend:  Bugfixes for the Mitsubishi D70 family backend.

	It now can print with the CP-K60DW-S and the Kodak 305!

2016-09-01  <Solomon Peachy>	90e68946a6668a60b00928bf9ea52df856483f46

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	dyesub:  Fix matte generation on the Kodak 305

2016-09-01  <Solomon Peachy>	dd0b7a986a7f70deae04626d363a3e885280999c

	Lines: +5, -1
	Files:	src/cups/backend_common.c (+5, -1)

	backend:  Fix a quirk with USB enumeration.

	A couple of Mitsubishi printers have an additional bulk out endpoint
	that doesn't work for sending over print data.  This fix ensures we
	attach to the first set of endpoints we find.

	Oddly enough, under Windows that extra endpoint doesn't seem to be
	there!

2016-08-30  <Solomon Peachy>	5f2752fc0f80ebfb51b9dd2622cca5fe00a8466b

	Lines: +10, -3
	Files:	NEWS (+1, -0)
		src/cups/backend_dnpds40.c (+4, -3)
		src/main/print-olympus.c (+5, -0)

	dyesub:  Updates for the DNP RX1HS

2016-08-30  <Solomon Peachy>	adf4a4136e4867024cb0b5479f9965864dafb5b2

	Lines: +971, -391
	Files:	NEWS (+15, -1)
		src/cups/backend_canonselphy.c (+67, -21)
		src/cups/backend_dnpds40.c (+143, -57)
		src/cups/backend_kodak1400.c (+1, -1)
		src/cups/backend_kodak605.c (+69, -13)
		src/cups/backend_kodak6800.c (+119, -37)
		src/cups/backend_mitsu70x.c (+132, -62)
		src/cups/backend_mitsu9550.c (+122, -103)
		src/cups/backend_shinkos1245.c (+55, -30)
		src/cups/backend_shinkos2145.c (+68, -17)
		src/cups/backend_shinkos6145.c (+99, -25)
		src/cups/backend_shinkos6245.c (+81, -24)

	backends:  Add support for CUPS marker reporting.

	 * Reports media type
	 * Reports remaining media percentage (or "unknown but ok" vs "empty")
	 * Reports human string detailing exact remaining media count.

2016-08-27  <Robert Krawitz>	dcc417bdc576941ae084dfc4023d9d883aef6cdb

	Lines: +9, -7
	Files:	doc/developer/escp2.xml (+9, -7)

	Minor doc fix.

2016-08-26  <Robert Krawitz>	c00c5cd26c71390076e3346c9cf2ef8b76fc4d6f

	Lines: +4271, -4
	Files:	NEWS (+21, -0)
		src/foomatic/printers.c (+2, -2)
		src/xml/escp2/inks/Makefile.am (+4, -1)
		src/xml/escp2/inks/pro_ultrachrome_k3v10a.xml (added +724)
		src/xml/escp2/inks/pro_ultrachrome_k3v10b.xml (added +614)
		src/xml/escp2/inks/xp100.xml (added +139)
		src/xml/escp2/media/Makefile.am (+1, -0)
		src/xml/escp2/media/pro_ultrachrome_k3v10a.xml (added +925)
		src/xml/escp2/media/pro_ultrachrome_k3v10b.xml (added +925)
		src/xml/escp2/model/Makefile.am (+7, -1)
		src/xml/escp2/model/model_123.xml (added +191)
		src/xml/escp2/model/model_124.xml (added +139)
		src/xml/escp2/model/model_125.xml (added +139)
		src/xml/escp2/model/model_126.xml (added +139)
		src/xml/escp2/model/model_127.xml (added +139)
		src/xml/escp2/model/model_128.xml (added +150)
		src/xml/printers.xml (+12, -0)

	Preliminary support for Epson XP100

	Double quote long name and manufacturer since they may
	contain single quotes (in particular, Datamax O'Neil).  Hopefully none
	will contain double quotes before foomatic goes away.

	Experimental support for Epson SureColor printers.

2016-08-22  <Solomon Peachy>	b16e15c4efc78e696e894b736a2fe74e8e49629e

	Lines: +3, -3
	Files:	src/xml/printers.xml (+3, -3)

	Mark a few printers as no longer being experimental:

	 * Shinko CHC-S6145 (aka Sinfonia CS2)
	 * Ciaat Brava 21

2016-08-21  <Solomon Peachy>	0f93e79810d37cafca9baf59f6d85dd7585358f8

	Lines: +6, -3
	Files:	src/cups/backend_common.c (+6, -3)

	backend: use standard CUPS 'PAGE:' messages where appropriate.

2016-07-27  <Solomon Peachy>	400c6803d2258f295617c96ffa3682be4ad75013

	Lines: +1, -0
	Files:	src/gutenprintui2/plist.c (+1, -0)

	Actually set PageMode to 'Page' in the gimp plugin.

	PageMode's entire purpose was to differentiate the Gimp plugin from
	normal streamed jobs, but the plugin was never actually setting the
	approriate value.

2016-07-27  <Solomon Peachy>	52dc0da44d9739dc89995b91136de0ea4f03fcc0

	Lines: +6, -7
	Files:	src/cups/backend_dnpds40.c (+6, -7)

	backends: DNP:  Always specify the print count to work around FW bug.

2016-07-21  <Solomon Peachy>	52d73601384f5f9c40a1513c5016b776434c98ed

	Lines: +9, -4
	Files:	src/cups/backend_dnpds40.c (+9, -4)

	backends: DNP: Always report a sane value for "half size prints remaining"

2016-07-19  <Solomon Peachy>	e1ce9a1627469eba3ff58dca1480572dcc862e8c

	Lines: +45, -27
	Files:	src/cups/backend_dnpds40.c (+45, -27)

	DNP:  Improvements in how media counts are reported.

	Other minor bugfixes and cleanups.

2016-07-19  <Solomon Peachy>	ba1e2ccc7dc6e33d5d669c85d26329f4df487f8c

	Lines: +9, -3
	Files:	src/cups/backend_common.c (+9, -3)

	dyesub_backends:  Fix a memory leak in libusb code.

2016-07-17  <Solomon Peachy>	c558ddb4f0138d03c9ac786336e343ceb7f1dfcd

	Lines: +1, -6
	Files:	src/cups/backend_dnpds40.c (+1, -6)

	backend:  In the DNP backend, fix media lot code processing.

2016-07-16  <Solomon Peachy>	cac8062da95df70485bff6397050ef370294569b

	Lines: +62, -40
	Files:	src/cups/backend_dnpds40.c (+62, -40)

	backend:  Sync DNP backend (0.78->0.82)

2016-07-15  <Solomon Peachy>	30df5f9a9256d0adf6a5ca23b810c2d7e07c3057

	Lines: +3, -17
	Files:	src/cups/backend_common.c (+1, -3)
		src/cups/backend_common.h (+2, -14)

	backend: The -V/-P/-S/-T options don't work, so remove them

	Instead, rely on environment variables.

	Basically, the options need to be parsed before we attach, but we don't
	parse the arguments until after we attach.

2016-07-11  <Solomon Peachy>	7e480c9f700c8da919f37f5a2079383ecc93150a

	Lines: +46, -4
	Files:	NEWS (+43, -1)
		README (+1, -1)
		configure.ac (+2, -2)

	...We're heading for for 5.2.12-pre1!

2016-07-05  <Solomon Peachy>	d0fea22ad7af27ae993f842b298b6c629ff909c3

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub:  Mitsubishi 9550 family is 'BGR' not 'RGB'

2016-06-30  <Solomon Peachy>	52b3ebe85ba7041497a43b286054e6f3aba53a67

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	dyesub:  Fix an incorrect definition in the S1245 lamination data.

2016-06-27  <Solomon Peachy>	3bd8fe5fd1d64745a7254bc8b82058641eca3d0e

	Lines: +1, -1
	Files:	Makefile.am (+1, -1)

	build: There's no point in generating ChangeLogStamp in the git era

2016-06-26  <Solomon Peachy>	f5e833f9368e11b85043679d73f73c31bbab159f

	Lines: +13, -1
	Files:	src/cups/backend_dnpds40.c (+13, -1)

	dyesub_backend:  Backend portion of DNP DS620 Luster support.

2016-06-26  <Solomon Peachy>	8c5e06758739a117946fe3939206b6d7acef5cf8

	Lines: +13, -4
	Files:	src/main/print-olympus.c (+13, -4)

	dyesub:  DNP DS620 "Luster" lamination support

	(Requires v1.30+ firmware)

2016-06-25  <Solomon Peachy>	3b8452fd0f28f1ff31950c62e30e0c03d97a75b5

	Lines: +93, -43
	Files:	src/cups/backend_dnpds40.c (+86, -43)
		src/cups/blacklist (+7, -0)

	dyesub_backend:  Synchronize DNP backend. (0.75->0.77)

	 * Add DNP DS80DX and Citizen CW-02 USB IDs (woo!)
	 * Better parsing of several of the stats
	 * Add support for cancelling an active job
	 * Add support for resetting printer
	 * Fix iSerial set command

2016-06-21  <Solomon Peachy>	94d02590810e03ad9254480f3f522df0f10b203a

	Lines: +90, -50
	Files:	src/cups/backend_canonselphy.c (+13, -0)
		src/cups/backend_dnpds40.c (+1, -5)
		src/cups/backend_kodak605.c (+21, -12)
		src/cups/backend_kodak6800.c (+16, -9)
		src/cups/backend_mitsu70x.c (+39, -24)

	Minor dyesub backend updates

	 * Kodak 68x0/605:  Report an additional media type
	 * DNP:  Eliminate non-functional feature with the DS40
	 * Mitsu D70 family:  Accept jobs without "wakeup" header.
	 * Selphy:  Doc update

2016-06-15  <Solomon Peachy>	4f6ced79914d21af9e87a9b0b1799a40d323624f

	Lines: +1, -1
	Files:	README (+1, -1)

	Add a note saying that newer Selphy CP printers don't need the backend.

2016-06-10  <Solomon Peachy>	a0492645e87c593bb75a48126548d241403d8c5d

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Accidentally left out the 'nativecopies' option for the Misu CP-9550DW-S

	The other variants (9550D/DW/DZ) had it specified correctly.

2016-05-26  <sletter1>	768623c05e256cf71f932760c5cad2a3cbdaf7f1

	Lines: +35, -11
	Files:	src/main/print-dpl.c (+22, -0)
		src/xml/printers.xml (+13, -11)

	Add printers RL3e and RL4e, correct ID for the rest of the DPL printers
	so they are properly identified when connected via USB.

2016-05-20  <Robert Krawitz>	8ffffa6b2cd5b8a9f480faa7745ecb7fbd77f80e

	Lines: +6, -4
	Files:	test/parse-escp2 (+6, -4)

	Correct parsing of uncompressed print files.

2016-05-14  <Robert Krawitz>	a3a967a6208fda708707c8eeaaadad6aacff6c3d

	Lines: +0, -0
	Files:	po/nl.po (+4607, -6757)

	Update Dutch translation

2016-05-10  <Robert Krawitz>	1acd382c5103672ecbd62c81b21db42e1871a1e5

	Lines: +1, -0
	Files:	src/xml/printers.xml (+1, -0)

	Add Epson XP-820 as clone of PX 7V.  Checked by vidrep -at-

	telus dot net.

2016-05-02  <Robert Krawitz>	1b34348e23ce6666a81b939891b01e386a3104ee

	Lines: +0, -24
	Files:	doc/gutenprint.dox.in (+0, -12)
		doc/gutenprintui2.dox.in (+0, -12)

	Remove deprecated XML_SCHEMA and XML_DTD declarations.

2016-05-02  <Robert Krawitz>	8ff25c44b511c0801caff02d4640d9ad954a0ef9

	Lines: +0, -323
	Files:	Makefile.am (+0, -1)
		configure.ac (+0, -1)
		doc/Makefile.am (+0, -1)
		doc/README.maintaining (+0, -1)
		doc/developer/Makefile.am (+0, -1)
		doc/developer/cleanwarnings.pl (+0, -1)
		doc/users_guide/Makefile.am (+0, -1)
		include/Makefile.am (+0, -1)
		include/gutenprint/Makefile.am (+0, -1)
		include/gutenprint/array.h (+0, -1)
		include/gutenprint/bit-ops.h (+0, -1)
		include/gutenprint/channel.h (+0, -1)
		include/gutenprint/color.h (+0, -5)
		include/gutenprint/curve-cache.h (+0, -2)
		include/gutenprint/curve.h (+0, -5)
		include/gutenprint/dither.h (+0, -5)
		include/gutenprint/gutenprint-intl-internal.h (+0, -1)
		include/gutenprint/gutenprint-intl.h (+0, -1)
		include/gutenprint/gutenprint-module.h (+0, -4)
		include/gutenprint/gutenprint-version.h.in (+0, -1)
		include/gutenprint/gutenprint.h (+0, -4)
		include/gutenprint/image.h (+0, -5)
		include/gutenprint/list.h (+0, -1)
		include/gutenprint/module.h (+0, -1)
		include/gutenprint/mxml.h (+0, -7)
		include/gutenprint/paper.h (+0, -5)
		include/gutenprint/path.h (+0, -5)
		include/gutenprint/printers.h (+0, -5)
		include/gutenprint/sequence.h (+0, -1)
		include/gutenprint/string-list.h (+0, -5)
		include/gutenprint/util.h (+0, -5)
		include/gutenprint/vars.h (+0, -5)
		include/gutenprint/weave.h (+0, -5)
		include/gutenprint/xml.h (+0, -5)
		include/gutenprintui2/Makefile.am (+0, -1)
		include/gutenprintui2/gutenprintui.h (+0, -1)
		man/Makefile.am (+0, -1)
		man/cups-calibrate.8.in (+0, -1)
		man/cups-genppd.8.in (+0, -1)
		man/cups-genppdupdate.8.in (+0, -1)
		man/escputil.1.in (+0, -1)
		man/ijsgutenprint.1.in (+0, -1)
		po/sv.po (+0, -1)
		samples/Makefile.am (+0, -1)
		scripts/Makefile.am (+0, -1)
		src/Makefile.am (+0, -1)
		src/cups/Makefile.am (+0, -1)
		src/cups/command.types (+0, -7)
		src/cups/commandtoepson.c (+0, -7)
		src/cups/cups-calibrate.c (+0, -1)
		src/cups/cups-genppdupdate.in (+0, -1)
		src/cups/genppd.c (+0, -7)
		src/cups/i18n.c (+0, -7)
		src/cups/i18n.h (+0, -7)
		src/cups/rastertoprinter.c (+0, -7)
		src/escputil/Makefile.am (+0, -1)
		src/escputil/escputil.c (+0, -1)
		src/foomatic/Makefile.am (+0, -1)
		src/foomatic/gutenprint-version.c (+0, -1)
		src/foomatic/paper_sizes.c (+0, -1)
		src/foomatic/printer_margins.c (+0, -1)
		src/foomatic/printer_options.c (+0, -1)
		src/foomatic/printers.c (+0, -1)
		src/ghost/Makefile.am (+0, -1)
		src/ghost/ijsgutenprint.c (+0, -1)
		src/gimp2/Makefile.am (+0, -1)
		src/gimp2/print-gutenprint.c (+0, -1)
		src/gimp2/print-image-gimp.c (+0, -6)
		src/gimp2/print-intl.h (+0, -1)
		src/gimp2/print-print.c (+0, -1)
		src/gimp2/print.c (+0, -1)
		src/gimp2/print_gimp.h (+0, -1)
		src/gutenprintui2/Makefile.am (+0, -1)
		src/gutenprintui2/gutenprintui-internal.h (+0, -1)
		src/gutenprintui2/panel.c (+0, -1)
		src/gutenprintui2/plist.c (+0, -6)
		src/gutenprintui2/print-image-thumbnail.c (+0, -6)
		src/gutenprintui2/printrc.h (+0, -1)
		src/gutenprintui2/printrcl.l (+0, -1)
		src/gutenprintui2/printrcy.y (+0, -1)
		src/gutenprintui2/ui-utils.c (+0, -1)
		src/main/Makefile.am (+0, -1)
		src/main/array.c (+0, -1)
		src/main/bit-ops.c (+0, -1)
		src/main/channel.c (+0, -1)
		src/main/color-conversion.h (+0, -1)
		src/main/color-conversions.c (+0, -1)
		src/main/color.c (+0, -1)
		src/main/curve-cache.c (+0, -1)
		src/main/curve.c (+0, -1)
		src/main/dither-ed.c (+0, -1)
		src/main/dither-eventone.c (+0, -1)
		src/main/dither-impl.h (+0, -5)
		src/main/dither-inks.c (+0, -1)
		src/main/dither-inlined-functions.h (+0, -1)
		src/main/dither-main.c (+0, -1)
		src/main/dither-ordered.c (+0, -1)
		src/main/dither-predithered.c (+0, -1)
		src/main/dither-very-fast.c (+0, -1)
		src/main/escp2-channels.c (+0, -1)
		src/main/escp2-driver.c (+0, -1)
		src/main/escp2-papers.c (+0, -1)
		src/main/escp2-resolutions.c (+0, -1)
		src/main/generic-options.c (+0, -1)
		src/main/generic-options.h (+0, -1)
		src/main/gutenprint-internal.h (+0, -5)
		src/main/gutenprint.dtd (+0, -2)
		src/main/gutenprint.xsd (+0, -1)
		src/main/image.c (+0, -1)
		src/main/module.c (+0, -1)
		src/main/mxml-attr.c (+0, -7)
		src/main/mxml-file.c (+0, -7)
		src/main/mxml-node.c (+0, -7)
		src/main/mxml-search.c (+0, -7)
		src/main/path.c (+0, -1)
		src/main/print-canon.c (+0, -1)
		src/main/print-color.c (+0, -1)
		src/main/print-dither-matrices.c (+0, -1)
		src/main/print-escp2-data.c (+0, -1)
		src/main/print-escp2.c (+0, -1)
		src/main/print-escp2.h (+0, -5)
		src/main/print-lexmark.c (+0, -1)
		src/main/print-list.c (+0, -1)
		src/main/print-olympus.c (+0, -1)
		src/main/print-papers.c (+0, -1)
		src/main/print-pcl.c (+0, -1)
		src/main/print-ps.c (+0, -1)
		src/main/print-raw.c (+0, -1)
		src/main/print-util.c (+0, -1)
		src/main/print-vars.c (+0, -1)
		src/main/print-version.c (+0, -1)
		src/main/print-weave.c (+0, -1)
		src/main/printers.c (+0, -1)
		src/main/sequence.c (+0, -1)
		src/main/string-list.c (+0, -1)
		src/main/xml.c (+0, -1)
		src/main/xmlppd.h (+0, -1)
		src/testpattern/Makefile.am (+0, -1)
		src/testpattern/printer_options.c (+0, -1)
		src/testpattern/printers.c (+0, -1)
		src/testpattern/testpattern.c (+0, -1)
		src/testpattern/testpattern.h (+0, -1)
		src/testpattern/testpatternl.l (+0, -1)
		src/testpattern/testpatterny.y (+0, -1)
		src/xml/Makefile.am (+0, -1)
		src/xml/escp2/Makefile.am (+0, -1)
		src/xml/escp2/inks/Makefile.am (+0, -1)
		src/xml/escp2/inputslots/Makefile.am (+0, -1)
		src/xml/escp2/media/Makefile.am (+0, -1)
		src/xml/escp2/mediasizes/Makefile.am (+0, -1)
		src/xml/escp2/model/Makefile.am (+0, -1)
		src/xml/escp2/qualitypresets/Makefile.am (+0, -1)
		src/xml/escp2/weaves/Makefile.am (+0, -1)
		src/xml/extract-strings.c (+0, -1)
		src/xml/papers.xml (+0, -1)
		src/xml/printers.xml (+0, -1)
		test/Makefile.am (+0, -1)
		test/bjc-unprint.c (+0, -1)
		test/curve.c (+0, -1)
		test/escp2-weavetest.c (+0, -1)
		test/gen-printer-list.c (+0, -1)
		test/pcl-unprint.c (+0, -5)
		test/testdither.c (+0, -7)
		test/unprint.c (+0, -1)
		test/xml-curve.c (+0, -1)

	Remove CVS keywords.

2016-05-02  <sletter1>	a2ffc15c33fccf28e80c2149602af60a6b4f7694

	Lines: +17, -3
	Files:	src/main/print-dpl.c (+17, -3)

	Bugfix, Crash because Speed not required, memory leak due to improper order of short circuit test, mixed units set to 0.01 inches

2016-04-30  <Solomon Peachy>	e03b198315f4598ffe1541fbf2306d3915d1608f

	Lines: +1, -2
	Files:	src/main/print-olympus.c (+1, -2)

	dyesub:  Mitsubishi CP-D90DW uses packed BGR, not planar BGR

2016-04-28  <sletter1>	2e7b39ed36acf355d81351d2370c396887231e99

	Lines: +1278, -3
	Files:	include/gutenprint/util.h (+1, -0)
		src/foomatic/foomatic-generator.in (+4, -2)
		src/main/Makefile.am (+6, -1)
		src/main/module.c (+2, -0)
		src/main/print-dpl.c (added +1248)
		src/xml/printers.xml (+17, -0)

	Add support for Datamax-ONeil I Class and E Class DPL printers

2016-04-28  <Solomon Peachy>	2e822beb863d6891ddb62c1f71411d58ee4bb9ac

	Lines: +138, -0
	Files:	src/main/print-olympus.c (+137, -0)
		src/xml/printers.xml (+1, -0)

	dyesub:  Add initial support for the Mitsubishi CP-D90DW

2016-04-16  <Robert Krawitz>	e8d84c04f8e82dac7a0f0524875bb4facda59a62

	Lines: +795, -468
	Files:	src/testpattern/compare-checksums.in (+20, -8)
		src/testpattern/compare-image-files (added +31)
		src/xml/escp2/model/model_100.xml (+20, -11)
		src/xml/escp2/model/model_101.xml (+20, -11)
		src/xml/escp2/model/model_115.xml (+15, -9)
		src/xml/escp2/model/model_118.xml (+15, -9)
		src/xml/escp2/model/model_119.xml (+15, -9)
		src/xml/escp2/model/model_12.xml (+8, -6)
		src/xml/escp2/model/model_120.xml (+15, -9)
		src/xml/escp2/model/model_121.xml (+20, -11)
		src/xml/escp2/model/model_13.xml (+8, -6)
		src/xml/escp2/model/model_14.xml (+8, -6)
		src/xml/escp2/model/model_15.xml (+8, -6)
		src/xml/escp2/model/model_20.xml (+8, -6)
		src/xml/escp2/model/model_25.xml (+8, -6)
		src/xml/escp2/model/model_32.xml (+8, -4)
		src/xml/escp2/model/model_33.xml (+8, -4)
		src/xml/escp2/model/model_34.xml (+16, -10)
		src/xml/escp2/model/model_35.xml (+8, -4)
		src/xml/escp2/model/model_36.xml (+8, -4)
		src/xml/escp2/model/model_37.xml (+8, -4)
		src/xml/escp2/model/model_38.xml (+8, -6)
		src/xml/escp2/model/model_43.xml (+8, -6)
		src/xml/escp2/model/model_44.xml (+12, -8)
		src/xml/escp2/model/model_46.xml (+4, -3)
		src/xml/escp2/model/model_50.xml (+12, -6)
		src/xml/escp2/model/model_51.xml (+12, -6)
		src/xml/escp2/model/model_52.xml (+12, -6)
		src/xml/escp2/model/model_53.xml (+4, -3)
		src/xml/escp2/model/model_54.xml (+8, -6)
		src/xml/escp2/model/model_55.xml (+12, -8)
		src/xml/escp2/model/model_60.xml (+12, -8)
		src/xml/escp2/model/model_61.xml (+12, -8)
		src/xml/escp2/model/model_62.xml (+8, -4)
		src/xml/escp2/model/model_63.xml (+8, -5)
		src/xml/escp2/model/model_64.xml (+12, -8)
		src/xml/escp2/model/model_65.xml (+12, -7)
		src/xml/escp2/model/model_66.xml (+12, -8)
		src/xml/escp2/model/model_67.xml (+12, -8)
		src/xml/escp2/model/model_68.xml (+12, -8)
		src/xml/escp2/model/model_69.xml (+15, -8)
		src/xml/escp2/model/model_70.xml (+12, -8)
		src/xml/escp2/model/model_71.xml (+15, -9)
		src/xml/escp2/model/model_72.xml (+12, -8)
		src/xml/escp2/model/model_73.xml (+8, -5)
		src/xml/escp2/model/model_74.xml (+11, -6)
		src/xml/escp2/model/model_75.xml (+12, -7)
		src/xml/escp2/model/model_76.xml (+12, -7)
		src/xml/escp2/model/model_77.xml (+12, -7)
		src/xml/escp2/model/model_78.xml (+8, -4)
		src/xml/escp2/model/model_79.xml (+12, -8)
		src/xml/escp2/model/model_80.xml (+12, -8)
		src/xml/escp2/model/model_81.xml (+12, -8)
		src/xml/escp2/model/model_82.xml (+12, -8)
		src/xml/escp2/model/model_83.xml (+12, -7)
		src/xml/escp2/model/model_84.xml (+8, -5)
		src/xml/escp2/model/model_85.xml (+14, -9)
		src/xml/escp2/model/model_86.xml (+8, -5)
		src/xml/escp2/model/model_87.xml (+12, -7)
		src/xml/escp2/model/model_91.xml (+4, -3)
		src/xml/escp2/model/model_92.xml (+10, -7)
		src/xml/escp2/model/model_93.xml (+14, -9)
		src/xml/escp2/model/model_94.xml (+16, -9)
		src/xml/escp2/model/model_95.xml (+12, -7)
		src/xml/escp2/model/model_96.xml (+12, -8)
		src/xml/escp2/model/model_97.xml (+12, -8)
		src/xml/escp2/model/model_98.xml (+15, -9)
		src/xml/escp2/model/model_99.xml (+14, -9)

	Recalibrate ink drop sizes to allow use of higher densities at high
	resolutions by using a larger selection of drop sizes.

	Tested by means of run-testpattern-2 against all resolutions with ordered
	dither, and comparing the output looking at number of changed dot positions.
	Worst case with BW output is 0.0120% of dot positions changed, which
	equates to about 7 levels out of 65536.  Changed positions are greater in
	color because there are more possible dots (each color and subchannel)
	that could change; worse case in color is 0.0229%.  Minimal impact in some
	cases conflicted with consistency in drop sizes and densities with lower
	resolutions; in these cases, I've elected to minimize impact on existing
	resolutions.

	I expect this degree of change to have minimal impact on existing profiles.

	Other dither algorithms show more change.  Feedback-based algorithms, such
	as Floyd-Steinberg and EvenTone, can be expected to show more change because
	dots may move around.  Ordered New may show more change because three-level
	dithers may start using larger drops than they would have otherwise.
	Very Fast uses only the largest drop size available.  Other dither algorithms
	are special purpose.

2016-04-16  <Solomon Peachy>	6a8221bea391b5cf162403e895b8cc092cd2f101

	Lines: +3, -0
	Files:	src/cups/blacklist (+3, -0)

	backends:  Add the Ciaat Brava 21 to the blacklist.

2016-04-16  <Solomon Peachy>	74a2e8efd6691817fd592b9840d331aa8a518548

	Lines: +6, -6
	Files:	configure.ac (+6, -6)

	build:  use AC_PATH_TOOL instead of AC_PATH_PROG for everything that's
	target-dependent.

	(eg invoking the *-config scripts)

2016-04-15  <Solomon Peachy>	fc1713589fed645f2c8002c3f66dfb69af314716

	Lines: +8, -6
	Files:	configure.ac (+8, -6)

	build:  Don't allow USB backends to be built if CUPS is not enabled.

2016-04-15  <Solomon Peachy>	4fae01b437ec44046d990df2fae70624edfcb078

	Lines: +31, -9
	Files:	configure.ac (+30, -8)
		src/cups/Makefile.am (+1, -1)

	build: Allow the backend to use libdl or libltdl if modules are disabled.

2016-04-15  <Solomon Peachy>	c8a7a419dd504a4a0a23b24c3a9138e00d4093b9

	Lines: +7, -7
	Files:	src/main/module.c (+7, -7)

	build:  The module subsystem should be gated on defined(MODULE) rather than defined(USE_DLOPEN) || defined(USE_LTDL)

2016-04-14  <Solomon Peachy>	752f12f26a9566a0e0fb863dc8ea914e21e59442

	Lines: +549, -182
	Files:	src/cups/backend_dnpds40.c (+549, -182)

	backend:  Resync DNP backend with upstream.

	 * Support for the DS80DX.   [completely untested]
	 * Minor bugfixes
	 * More finer-grained capability testing.

2016-04-14  <Solomon Peachy>	0bff3ab52e1c2b00d8f8b1a56a83037c67d25ba2

	Lines: +188, -132
	Files:	src/cups/backend_shinkos6145.c (+188, -132)

	backends:  Non-trivial s6145 work, mainly to enable dynamic loading of
	the image processing library, which is distributed separately.

	Note that this is still disabled by default in the gutenprint build.

2016-04-14  <Solomon Peachy>	f00acd94b4bed6e893437da27b2ccab6e1bdaae1

	Lines: +870, -187
	Files:	src/cups/backend_mitsu70x.c (+870, -187)

	backends:  Substantial work on the Mitsu70x backend, vastly improving
	its operational stability.  No meaningful work done on the color
	scaling.

2016-04-14  <Solomon Peachy>	bc2885044d1a4a9b1c4b0b51cfb7dce9f99eea00

	Lines: +92, -64
	Files:	src/cups/backend_citizencw01.c (+1, -4)
		src/cups/backend_common.c (+20, -22)
		src/cups/backend_common.h (+8, -5)
		src/cups/backend_kodak1400.c (+1, -4)
		src/cups/backend_mitsu9550.c (+2, -5)
		src/cups/backend_shinkos1245.c (+17, -4)
		src/cups/backend_shinkos2145.c (+25, -15)
		src/cups/backend_shinkos6245.c (+17, -4)
		src/cups/backend_sonyupdr150.c (+1, -1)

	backends:  Sync with upstream.  Mostly updating copyright text and
	fixing internal jobid generation/assignment.

2016-04-14  <Solomon Peachy>	eb42e2ffe230e84bc3426674576304a59e8481cc

	Lines: +11, -13
	Files:	src/main/print-olympus.c (+11, -13)

	dyesub:  When converting RGB->YCbCr, only convert the necessary pixel

	Also, use a little more precision for the coefficients.

2016-04-14  <Solomon Peachy>	219d24acba9bdb7ed8bad7638c773b4c68214850

	Lines: +11, -11
	Files:	src/main/print-olympus.c (+11, -11)

	dyesub:  correct UP-DR150/UP-DR200 print sizes to not include the media type.

	This is cosmetic only, but will remove confusion, as one can print
	multiple sizes on a given media type.

2016-04-07  <Solomon Peachy>	b0eab0c4e9990ef4d3cd4b26065620a4cf3deaf8

	Lines: +17, -11
	Files:	src/cups/backend_kodak6800.c (+17, -11)

	kodak6800: Don't abort on unknown media types, as we check the supported
	print size list anyway.

	Also better handle jobid collisions.

2016-04-07  <Solomon Peachy>	36a659f62cc594139086f2d990256869962cd3e0

	Lines: +19, -10
	Files:	src/cups/backend_kodak605.c (+19, -10)

	kodsk605:  Better handling of jobids.

2016-04-06  <Solomon Peachy>	556498e76bac24bf15f743fb5b544af210eba9c1

	Lines: +1, -1
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/{citizencw01_print.c => backend_citizencw01.c} (+0, -0)
		src/cups/{dnpds40_print.c => backend_dnpds40.c} (+0, -0)
		src/cups/{kodak1400_print.c => backend_kodak1400.c} (+0, -0)
		src/cups/{kodak605_print.c => backend_kodak605.c} (+0, -0)
		src/cups/{kodak6800_print.c => backend_kodak6800.c} (+0, -0)
		src/cups/{mitsu70x_print.c => backend_mitsu70x.c} (+0, -0)
		src/cups/{mitsu9550_print.c => backend_mitsu9550.c} (+0, -0)
		src/cups/{selphy_print.c => backend_canonselphy.c} (+0, -0)
		src/cups/{shinko_s1245_print.c => backend_shinkos1245.c} (+0, -0)
		src/cups/{shinko_s2145_print.c => backend_shinkos2145.c} (+0, -0)
		src/cups/{shinko_s6145_print.c => backend_shinkos6145.c} (+0, -0)
		src/cups/{shinko_s6245_print.c => backend_shinkos6245.c} (+0, -0)
		src/cups/{sony_updr150_print.c => backend_sonyupdr150.c} (+0, -0)

	backends:  Finally rename the source files to match upstream.

	(This has been a long time coming.  Thank you, git)

2016-04-06  <Solomon Peachy>	eda76815d9ba342693b201fcea38536d43f4562c

	Lines: +45, -39
	Files:	src/cups/selphy_print.c (+45, -39)

	canonselphy:  Rework parsing code to better handle CP900's quirks.

2016-04-04  <Robert Krawitz>	5f665e33c9dd69fab155eefe00e6ed61cc4a0dcc

	Lines: +1, -0
	Files:	src/main/print-escp2.c (+1, -0)

	Check ink drop sizes against number of bits.

2016-04-04  <Robert Krawitz>	8007fdf0475902c2ff6af7990ef94d9a87026fbe

	Lines: +4, -2
	Files:	src/testpattern/run-testpattern-2.in (+4, -2)

	Correctly detect errors when testpattern crashes.

2016-04-03  <Robert Krawitz>	5dca33877239318d7f7db0d5b9d5538862b265ed

	Lines: +12, -3
	Files:	src/testpattern/run-testpattern-2.in (+12, -3)

	Don't attempt to run resolutions, or specify dither algorithm

	(or other base settings) if the option in question is covered in -o.

2016-03-21  <Solomon Peachy>	42acfc8712e948aa77e69bdbf11122e5fee27e1a

	Lines: +61, -74
	Files:	.gitignore (+61, -70)
		doc/developer/.gitignore (removed -3)
		scripts/.gitignore (removed -1)

	Keep all gitignore stuff in the top-level, and try to start cleaning up
	gitignore a bit

2016-03-19  <Robert Krawitz>	92051eb29d2b3a9ba1d6685b8de2e41e52d8604b

	Merge branch 'master' of ssh://git.code.sf.net/p/gimp-print/source

2016-03-19  <Robert Krawitz>	9a053767de92e60da092d63dc4a8de86484dd214

	Lines: +110, -419
	Files:	Makefile.am (+5, -37)
		configure.ac (+2, -0)
		doc/developer/.gitignore (added +3)
		scripts/.gitignore (added +1)
		scripts/Makefile.am (+1, -1)
		scripts/autogen.sh (+1, -1)
		scripts/mkchlog (removed -380)
		scripts/mkgitlog.in (added +97)

	Create change log with git.

	Create change log with git.

	Fix up tag code.

2016-03-19  <Robert Krawitz>	7bb3d6f25ac7c45859d82a7c4d15e4e76cb29228

	Lines: +110, -419
	Files:	Makefile.am (+5, -37)
		configure.ac (+2, -0)
		doc/developer/.gitignore (added +3)
		scripts/.gitignore (added +1)
		scripts/Makefile.am (+1, -1)
		scripts/autogen.sh (+1, -1)
		scripts/mkchlog (removed -380)
		scripts/mkgitlog.in (added +97)

	Create change log with git.

2016-03-13  <Solomon Peachy>	a771d2dc4961180b29503f04c69d72a2e4c17431

	Lines: +151, -256
	Files:	.gitignore (+151, -18)
		doc/.gitignore (removed -9)
		doc/developer/.gitignore (removed -22)
		doc/users_guide/.gitignore (removed -12)
		doc/users_guide/figures/.gitignore (removed -1)
		include/.gitignore (removed -7)
		include/gutenprint/.gitignore (removed -3)
		include/gutenprintui2/.gitignore (removed -3)
		m4/.gitignore (removed -1)
		man/.gitignore (removed -18)
		po/.gitignore (removed -16)
		samples/.gitignore (removed -1)
		scripts/.gitignore (removed -16)
		src/.gitignore (removed -2)
		src/cups/.gitignore (removed -18)
		src/escputil/.gitignore (removed -5)
		src/foomatic/.gitignore (removed -13)
		src/ghost/.gitignore (removed -5)
		src/gimp2/.gitignore (removed -6)
		src/gutenprintui2/.gitignore (removed -12)
		src/main/.gitignore (removed -7)
		src/testpattern/.gitignore (removed -14)
		src/xml/.gitignore (removed -7)
		src/xml/escp2/.gitignore (removed -3)
		src/xml/escp2/inks/.gitignore (removed -3)
		src/xml/escp2/inputslots/.gitignore (removed -3)
		src/xml/escp2/media/.gitignore (removed -3)
		src/xml/escp2/mediasizes/.gitignore (removed -3)
		src/xml/escp2/model/.gitignore (removed -3)
		src/xml/escp2/qualitypresets/.gitignore (removed -3)
		src/xml/escp2/weaves/.gitignore (removed -3)
		test/.gitignore (removed -16)

	Phase 2 of cleaning up cvs detritus

2016-03-13  <Solomon Peachy>	a79002abfb4be8248288a2879dfeebaf34f077b8

	Lines: +5, -5
	Files:	.cvsignore => .gitignore (+4, -0)
		doc/developer/{.cvsignore => .gitignore} (+0, -0)
		doc/users_guide/figures/{.cvsignore => .gitignore} (+0, -0)
		doc/users_guide/{.cvsignore => .gitignore} (+0, -0)
		doc/{.cvsignore => .gitignore} (+0, -0)
		include/gutenprint/{.cvsignore => .gitignore} (+0, -0)
		include/gutenprintui2/{.cvsignore => .gitignore} (+0, -0)
		include/{.cvsignore => .gitignore} (+0, -0)
		m4/{.cvsignore => .gitignore} (+0, -0)
		man/{.cvsignore => .gitignore} (+0, -0)
		po/{.cvsignore => .gitignore} (+0, -0)
		samples/{.cvsignore => .gitignore} (+0, -0)
		scripts/{.cvsignore => .gitignore} (+0, -0)
		src/cups/{.cvsignore => .gitignore} (+0, -0)
		src/escputil/{.cvsignore => .gitignore} (+0, -0)
		src/foomatic/{.cvsignore => .gitignore} (+0, -0)
		src/ghost/{.cvsignore => .gitignore} (+0, -0)
		src/gimp/.cvsignore (removed -5)
		src/gimp2/{.cvsignore => .gitignore} (+0, -0)
		src/gutenprintui2/{.cvsignore => .gitignore} (+0, -0)
		src/main/{.cvsignore => .gitignore} (+0, -0)
		src/testpattern/{.cvsignore => .gitignore} (+1, -0)
		src/xml/escp2/inks/{.cvsignore => .gitignore} (+0, -0)
		src/xml/escp2/inputslots/{.cvsignore => .gitignore} (+0, -0)
		src/xml/escp2/media/{.cvsignore => .gitignore} (+0, -0)
		src/xml/escp2/mediasizes/{.cvsignore => .gitignore} (+0, -0)
		src/xml/escp2/model/{.cvsignore => .gitignore} (+0, -0)
		src/xml/escp2/qualitypresets/{.cvsignore => .gitignore} (+0, -0)
		src/xml/escp2/weaves/{.cvsignore => .gitignore} (+0, -0)
		src/xml/escp2/{.cvsignore => .gitignore} (+0, -0)
		src/xml/{.cvsignore => .gitignore} (+0, -0)
		src/{.cvsignore => .gitignore} (+0, -0)
		test/{.cvsignore => .gitignore} (+0, -0)

	First step towards cleaning up CVS detritus.

2016-03-06  <rlk>	5161d6a26bd35eb8282c8b65f0d7a518eb8edee5

	Lines: +0, -0
	Files:	po/sk.po (+4767, -6942)

	Update Slovak translation

2016-02-22  <rlk>	7ffe99c7f46f13638da5bb34b3a711b0fb183c08

	Lines: +10, -10
	Files:	src/xml/printers.xml (+10, -10)

	Summary: Minolta PagePro and HP LaserJet 4 printers need the wide A4 margin.

2016-02-15  <rlk>	57e80325a5f914640d53f3e3c9f938a17313d1bd

	Lines: +15, -9
	Files:	scripts/autogen.sh (+15, -9)

	Summary: Improve wording to clarify what's needed to build a
	Gutenprint distribution vs. compile.

2016-02-01  <rlk>	42442d766d180dd7cbf007885f751f7126a4fb47

	Lines: +4, -6
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/rastertoprinter.c (+3, -5)

	Improve the error message when rastertogutenprint rejects a PPD file

2016-01-29  <speachy>	233a909a77dd4c18d359bf32cd8ef99ed1b7b459

	Lines: +6, -8
	Files:	configure.ac (+4, -6)
		src/ghost/ijsgutenprint.c (+2, -2)

	Apply patch from Brian Norris to switch from 'ijs-config' to
	'pkg-config' for IJS support, as the former does not work for
	cross-compilation.

2016-01-29  <speachy>	0f7311bb6ac05ce19b61ab8afa088c89cb5e1352

	Lines: +3, -3
	Files:	src/main/print-olympus.c (+3, -3)

	Apply patch from Oliver Schonken that corrects endianness detection

2016-01-29  <speachy>	7bc9335278f0577ec579628e7bcb6ca7641a84d9

	Lines: +2, -0
	Files:	src/xml/printers.xml (+2, -0)

	Add in the Canon SELPHY CP1000 and CP1200, the latter including an
	IEEE1284 ID and a confirmation that it works.

===============================================================================
Name: gutenprint-5_2_11

2016-01-18  <rlk>	e6017f82a02a0ba9c49f76eafbe9baf414a90a76

	Lines: +4, -4
	Files:	scripts/uninstall-gutenprint.command (+4, -4)

	Correcting the script

2016-01-16  <rlk>	e56d42c344ec99e10ed941279f3815fc893cbcad

	Lines: +0, -0
	Files:	makegutenpkg.sh => macosx/makegutenpkg.sh (+0, -0)
		scripts/Gutenprint Utility for EPSON Inkjet Printers/.DS_Store (removed -0)
		{scripts => macosx}/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (+0, -0)
		{scripts => macosx}/Gutenprint Utility for EPSON Inkjet Printers/Utility Read Me.rtf (+0, -0)

	New Macintosh build scripts and uninstaller from Steve Letter

2016-01-15  <sletter1>	917ee3482f0acb8a505ec2b45cc91a9f3f514ff4

	Lines: +670, -0
	Files:	makegutenpkg.sh (added +256)
		scripts/Gutenprint Utility for EPSON Inkjet Printers/.DS_Store (added +0)
		scripts/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (added +220)
		scripts/Gutenprint Utility for EPSON Inkjet Printers/Utility Read Me.rtf (added +23)
		scripts/uninstall-gutenprint.command (added +171)

	Check in of the new Macintosh build scripts and uninstaller for Michael Sweet

2016-01-15  <rlk>	b1d6fbe2ff52fac4957bbd12a56d63fac15e5e2f

	Lines: +0, -0
	Files:	po/ca.po (+43, -46)
		po/cs.po (+43, -46)
		po/da.po (+43, -46)
		po/de.po (+43, -46)
		po/el.po (+43, -46)
		po/en_GB.po (+43, -46)
		po/es.po (+43, -46)
		po/fi.po (+43, -46)
		po/fr.po (+43, -46)
		po/gl.po (+43, -46)
		po/hu.po (+43, -46)
		po/it.po (+43, -46)
		po/ja.po (+43, -46)
		po/nb.po (+43, -46)
		po/nl.po (+43, -46)
		po/pl.po (+43, -46)
		po/pt.po (+43, -46)
		po/ru.po (+43, -46)
		po/sk.po (+43, -46)
		po/sl.po (+43, -46)
		po/sv.po (+43, -46)
		po/tr.po (+43, -46)
		po/uk.po (+43, -46)
		po/vi.po (+43, -46)
		po/zh_CN.po (+43, -46)
		po/zh_TW.po (+43, -46)

	Gutenprint 5.2.11 release

2016-01-14  <speachy>	f785c08dfd96f9d8c97f5a88466788f145801bc6

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	Fix a missing footer in the Brava21 code.

2016-01-14  <speachy>	6371ec697820281361c163776d4d28a6e4e07696

	Lines: +64, -22
	Files:	src/cups/shinko_s6145_print.c (+64, -22)

	Sync the CHC-S6145 backend code, fixes a few bugs.

2016-01-14  <rlk>	32eb4f9e2c44ba018ed25c417fb8becfc459cfd7

	Lines: +0, -0
	Files:	po/ca.po (+3577, -3526)
		po/cs.po (+3574, -3526)
		po/da.po (+3577, -3526)
		po/de.po (+3577, -3526)
		po/el.po (+3576, -3526)
		po/en_GB.po (+3577, -3526)
		po/es.po (+3575, -3526)
		po/fi.po (+3576, -3526)
		po/fr.po (+3577, -3526)
		po/gl.po (+3577, -3526)
		po/hu.po (+3577, -3526)
		po/it.po (+3577, -3526)
		po/ja.po (+3577, -3526)
		po/nb.po (+3575, -3526)
		po/nl.po (+3577, -3526)
		po/pl.po (+3575, -3526)
		po/pt.po (+3575, -3526)
		po/ru.po (+3575, -3526)
		po/sk.po (+6793, -4669)
		po/sl.po (+3577, -3526)
		po/sv.po (+3576, -3526)
		po/tr.po (+6760, -4698)
		po/uk.po (+3577, -3526)
		po/vi.po (+3576, -3526)
		po/zh_CN.po (+6637, -4561)
		po/zh_TW.po (+3575, -3526)

	Gutenprint 5.2.11 release

2016-01-14  <speachy>	c4d926d5e4edc6717687d5330beec1a7c042e70a

	Lines: +3, -58
	Files:	src/main/print-olympus.c (+3, -58)

	The Brava 21 is a variation of the Sinfonia S6145 with a smaller set of
	print sizes, so use the S6145's spool format for both and let the
	backend handle the few remaining differences.

2016-01-14  <rlk>	6d926a0c74942ac4bdeed74bdcf071f005af3575

	Lines: +25, -17
	Files:	NEWS (+13, -5)
		README (+11, -11)
		configure.ac (+1, -1)

	Bump version

2016-01-14  <rlk>	cf92951404ff920ad469c0b32e2a2f5458abb024

	Lines: +1, -0
	Files:	include/gutenprintui2/gutenprintui.h (+1, -0)

	Summary: Shut up some compiler warnings we have no control over.

2016-01-14  <rlk>	25ec3df171b879eaea8230e3a41a1574d87ceee6

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	Summary: Fix comment syntax.

2016-01-14  <speachy>	2c3af7bbbe9826f0607b785dd53802ea8b97bc72

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Add IEEE1284 ID for Brava 21

2016-01-12  <speachy>	8e79df453820c74b19add0870f29ba2739c2814c

	Lines: +3, -3
	Files:	src/xml/printers.xml (+3, -3)

	The Sinfonia S6145 and Brava 21 handle copies natively in their backend.

	Also correct an IEEE1284 definition.

2016-01-12  <speachy>	708eb8e44520612d565f377fed738ae110f19497

	Lines: +26, -37
	Files:	src/main/print-olympus.c (+26, -37)

	Clean up the printer init code for the Mitsubishi D70 family.  Should be no functional difference.

2016-01-08  <speachy>	300961afe969da7555bb2c2ffa2e21802d35d917

	Lines: +40, -34
	Files:	src/cups/shinko_s6145_print.c (+40, -34)

	Upstream sync with s6145 backend -- primarily endianness corrections.

	The code that sanity-checks the correction parameters still needs work.

2015-12-29  <speachy>	55112bc3d35447a486bf4be62ede1cdd1dcae3de

	Lines: +1, -1
	Files:	src/cups/mitsu70x_print.c (+1, -1)


	Mark the Mitsu 70x backend as WIP, because it truly is.

2015-12-26  <speachy>	58fb25c734aa06fa0fdca8daf8886cf5be0bc7e8

	Lines: +4, -4
	Files:	src/cups/shinko_s6145_print.c (+4, -4)

	Sinfonia 6145:  Properly detect errors when waiting for print complete.

2015-12-21  <speachy>	d75e3f147818b6f7f9a94219424e8030b88ce2d9

	Lines: +42, -12
	Files:	NEWS (+42, -12)

	Rearrange the new/improved dyesub section a little bit.

2015-12-21  <speachy>	5cfd080b7c2f75d3774166183c42af15244b5cf3

	Lines: +213, -60
	Files:	src/cups/backend_common.h (+1, -0)
		src/cups/shinko_s6145_print.c (+212, -60)

	Sync the S6145 backend with upstream; add initial Brava 21 support.

2015-12-21  <rlk>	2e0e56371fe5d40d6a7bd1ce1db6bcefab3e0848

	Lines: +28, -21
	Files:	NEWS (+1, -1)
		README (+27, -20)

	Minor cleanup

2015-12-21  <rlk>	2ea5472d9f90f160490575586e4599837d31af80

	Lines: +7, -2
	Files:	NEWS (+6, -2)
		src/xml/printers.xml (+1, -0)

	Add support for Kyocera FS-1118MFP

2015-12-21  <speachy>	3f2c374c7427f9d353b0e2429ddcf67a3550cae0

	Lines: +36, -51
	Files:	src/main/print-olympus.c (+36, -51)

	Add multicut support to the Sony UP-DR200.  2x6*2, 4x6*2, 3.5x5*2

2015-12-18  <speachy>	d2a1ed64cfb07c80b8a8f27717cf4a03c093207d

	Lines: +2, -0
	Files:	src/main/print-olympus.c (+2, -0)

	Missed a chunk in the last commit (S6145 6x9 support)

2015-12-18  <speachy>	dbceb10938c9656bc2bdfcae9e0ed8ee05ce58bc

	Lines: +11, -1
	Files:	src/main/print-olympus.c (+11, -1)

	Add in a couple of missing print sizes for the CHC-S6145 (6x9 and 6x4*2)

2015-12-17  <speachy>	c1a345a826d81ba34428b80a9ea522e34188e07f

	Lines: +96, -6
	Files:	src/main/print-olympus.c (+96, -6)

	add start/endjob hooks into the dyesub driver.  No committed users yet.

2015-11-23  <speachy>	9b7be3c4af765e31048a75892e3695af52f9516a

	Lines: +7, -6
	Files:	src/cups/dnpds40_print.c (+7, -6)

	Fix three bugs in the DNP backend -- missing break causing malfunctions
	with 8x10 prints on the DS80; Sensor decode bugs in DS620, and a typo in
	an error message.

2015-11-18  <speachy>	f356b55a9c97be86c051789d89c41f376b25057d

	Lines: +2194, -2
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+1, -1)
		src/cups/shinko_s6145_print.c (added +2192)

	Add in the first version of the Shinko/Sinfonia CHC-S6145/CS2 backend.

	 *NOTE:  This includes a crude re-implementation of the proprietary
	         image processing library, sufficient to generate prints of
	         poor quality.

2015-11-18  <speachy>	bbfd49cb72c1949752197f8fa38a3fa1559de5c3

	Lines: +3, -2
	Files:	src/main/print-olympus.c (+3, -2)

	Correct a couple of bugs with the Shinko S6145.

2015-11-18  <speachy>	082c247ad2db4495f0995fb4e441fbdcee212c82

	Lines: +3, -4
	Files:	src/cups/backend_common.c (+3, -4)

	Fix a memory leak.

2015-10-30  <rlk>	5778f298855cd835a626fda08211f414d971abf4

	Lines: +0, -0
	Files:	po/zh_CN.po (+5064, -7047)

	Update zh_CN

2015-10-26  <sletter1>	77d111b38845bddbc2a6745e578a3c7f3154719a

	Lines: +85, -3
	Files:	src/main/print-pcl.c (+85, -3)

	Add Darkness, horizontal offset, vertical offset to Datamax-ONeil printers

2015-10-19  <rlk>	f3ac3e295073ff52ee2c8e49ab5811a1c97f9ccc

	Lines: +192, -1
	Files:	NEWS (+1, -0)
		src/xml/escp2/model/Makefile.am (+2, -1)
		src/xml/escp2/model/model_122.xml (added +188)
		src/xml/printers.xml (+1, -0)

	Preliminary support for Epson L1800

2015-10-17  <rlk>	8ceda52e923d604d334db6c561fd8a0c88c54b7c

	Lines: +6, -11
	Files:	src/cups/genppd.c (+6, -11)

	Summary: Don't offer a Custom option for integer types.

2015-10-14  <speachy>	3067c8e8e363f5a2effc81ad5b9bf2be28d6dfe4

	Lines: +3, -2
	Files:	src/cups/dnpds40_print.c (+3, -2)

	On DNP models, don't check to see if the media is empty; instead go
	ahead and submit the job and let the printer display an error on its
	panel so the user can immediately tell something's wrong.

2015-10-10  <rlk>	3272d17a8cb1787fe4f391b5fc64f9ef4d678745

	Lines: +0, -0
	Files:	po/sk.po (+4811, -7001)

	Update Slovak translation

2015-10-08  <rlk>	045b106cfb5ac2ba3f53efe1d77233f3de8538d6

	Lines: +0, -0
	Files:	po/tr.po (+5464, -8207)

	Update Turkish translation

===============================================================================
Name: gutenprint-5_2_11-pre2

2015-10-06  <rlk>	3daa3b9db49c8f973af9c94965e2140d0264bec7

	Lines: +2, -2
	Files:	configure.ac (+2, -2)

	Summary: Fix syntax issue.

2015-10-06  <rlk>	5fe80339174a0786374012b4d53b8af32937b19f

	Lines: +0, -0
	Files:	po/sk.po (+6726, -4685)

	Gutenprint 5.2.11-pre2 release

2015-10-05  <speachy>	cf7b4de8775dc3f8d391a173623c903b0eaaa285

	Lines: +3, -0
	Files:	src/cups/blacklist (+3, -0)

	Add Sony UP-CR10L to the blacklist.

2015-10-05  <speachy>	d873bf4f7becc81a8313636510a81a04a3c55ac8

	Lines: +3487, -3
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+2, -2)
		src/cups/shinko_s1245_print.c (added +1621)
		src/cups/shinko_s6245_print.c (added +1863)

	Add WIP backends for the Shinko S1245 and S6245 printers.

	These are *UNTESTED* and may eat your cat.

2015-10-05  <speachy>	655fd3e94b4e3f9d32c420814e7e4af9488a3991

	Lines: +3, -6
	Files:	src/cups/sony_updr150_print.c (+3, -6)

	Add the USB PID for the Sony UP-CR10L

2015-10-05  <rlk>	8f049bd2d354c92e8e7800c3ab35c2667450c684

	Lines: +0, -0
	Files:	po/sk.po (+8027, -11460)

	Update Slovenian translation

2015-10-05  <gernot2270>	72d335982f6e305c5df29b14d3e4eb31dab194c8

	Lines: +2, -0
	Files:	NEWS (+2, -0)

	Added comment regarding new Esc (u command for Canon printer non-tumble duplex support

2015-10-04  <rlk>	8acf74dc9540ba5b14e527be86bf79eded205766

	Lines: +0, -0
	Files:	po/ca.po (+3550, -3121)
		po/cs.po (+3557, -3134)
		po/da.po (+3550, -3121)
		po/de.po (+3550, -3121)
		po/el.po (+3564, -3136)
		po/en_GB.po (+3562, -3135)
		po/es.po (+3557, -3134)
		po/fi.po (+3565, -3136)
		po/fr.po (+3552, -3121)
		po/gl.po (+3565, -3136)
		po/hu.po (+3550, -3121)
		po/it.po (+3550, -3121)
		po/ja.po (+3558, -3136)
		po/nb.po (+3562, -3140)
		po/nl.po (+3550, -3121)
		po/pl.po (+3557, -3140)
		po/pt.po (+3557, -3134)
		po/ru.po (+3566, -3138)
		po/sk.po (+3557, -3134)
		po/sl.po (+3565, -3136)
		po/sv.po (+3562, -3135)
		po/tr.po (+3550, -3121)
		po/uk.po (+3550, -3121)
		po/vi.po (+3549, -3121)
		po/zh_CN.po (+6564, -4549)
		po/zh_TW.po (+3558, -3136)

	Update for 5.2.11

2015-10-04  <rlk>	9f54089d793e29ab2e9ae51082083b133903726b

	Lines: +34, -11
	Files:	configure.ac (+8, -0)
		src/cups/test-rastertogutenprint.in (+20, -11)
		src/testpattern/run-testpattern-2.in (+6, -0)

	Block valgrind if --enable-shared is used (the in-tree "binaries"
	are shell scripts).

2015-10-04  <rlk>	22a9e497f02affdc79b77e06868afb3f2e676dde

	Lines: +13, -13
	Files:	NEWS (+1, -1)
		README (+11, -11)
		configure.ac (+1, -1)

	Bump to 5.2.11-pre2

2015-10-04  <rlk>	a3004021b58a033ca91fbb8ddea835b6d02e4f28

	Lines: +0, -1
	Files:	src/xml/papers.xml (+0, -1)

	Summary: Remove duplicate comment from w612h864 (causes small memory leak).

2015-10-04  <rlk>	4fc1273022219ac369a590c080b338d7de06b93e

	Lines: +2, -1
	Files:	src/testpattern/printer_options.c (+2, -1)

	Summary: Don't ask for the default options for a printer we're not
	going to use.

2015-10-03  <rlk>	3aa44bfed7637e32b4623d1f5364ec23f5d66618

	Lines: +0, -1
	Files:	src/xml/printers.xml (+0, -1)

	Summary: Remove duplicate Epson L210 entry.

2015-10-01  <gernot2270>	cc91b8e7e80c5c18751258b4ce161d1b6fe99733

	Lines: +27, -1
	Files:	src/main/print-canon.c (+27, -1)

	In Canon driver, added Esc (u command for even pages in non-tumble duplex

2015-09-29  <rlk>	9810b6de8129d44aa0fdaf4a33dc5e9c7ffe8b53

	Lines: +9, -2
	Files:	NEWS (+7, -2)
		src/xml/printers.xml (+2, -0)

	Add support for Epson L120 and L210

2015-09-26  <gernot2270>	b710a7894bdebb2348efc737cc4ade7b884e72d4

	Lines: +427, -33
	Files:	NEWS (+17, -0)
		src/main/canon-inks.h (+249, -1)
		src/main/canon-media-mode.h (+68, -0)
		src/main/canon-media.h (+12, -11)
		src/main/canon-modes.h (+27, -1)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+6, -6)
		src/xml/printers.xml (+31, -14)

	Added experimental support for Canon MG6900 and MG7700 series printers.

2015-09-25  <rlk>	b7c240be9e99651dbc96787c699f7bae70ff4cbb

	Lines: +7, -6
	Files:	NEWS (+7, -6)

	Summary: Fix wording.

2015-09-25  <rlk>	e445233d495ebb58be6a1dfeb43fcee59497e4b0

	Lines: +0, -0
	Files:	po/zh_CN.po (+7021, -8300)

	Update translation

2015-09-25  <rlk>	f4a6dcff8ffea845af4dee1208be5b408268fdfe

	Lines: +5, -5
	Files:	src/xml/printers.xml (+5, -5)

	Summary: Fix a couple of PPD errors.

2015-09-23  <gernot2270>	3eae3c1b5bc7123a41232f3387c864ca68b9cba1

	Lines: +9, -9
	Files:	src/main/canon-modes.h (+9, -9)

	Set default resolution modes to same as in 5.2.10 for all Canon printers after reinstating modes with fixed ink compression. For devices where legacy modes were added back (as in 5.2.7), default mode also set to same as in 5.2.10.

2015-09-22  <gernot2270>	1367d09886f78e19097e952de0a63a82d6db45e8

	Lines: +7, -14
	Files:	NEWS (+0, -4)
		src/main/canon-printers.h (+7, -2)
		src/xml/printers.xml (+0, -8)

	Removed Canon PIXUS MP5, MP10, SmartBase MPC190, SmartBase MPC200 from supported printers, as they require a special backend.

2015-09-21  <gernot2270>	304dc89420234e6e86c882363847f42fd35d0fe1

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Added IEEE1284 DeviceID for Canon iP8500

2015-09-21  <gernot2270>	19423ed9e06a5294e1bad39ea9645d1275d615b3

	Lines: +992, -1225
	Files:	NEWS (+18, -23)
		src/foomatic/foomatic-generator.in (+1, -0)
		src/main/canon-media-mode.h (+588, -798)
		src/main/canon-media.h (+84, -84)
		src/main/canon-modes.h (+293, -312)
		src/main/print-canon.c (+8, -8)

	For Canon backend, reinstated modes and media depending on previously-broken ink compression. Reinstated legacy modes removed in 5.2.7 for several models (noted in NEWS). Reverted error of InkjetPhotoHagakiK spelling change and changed new media to align with this.

2015-09-15  <rlk>	879ea4cd9e33b3d4edba507764bb5487ef6a2796

	Lines: +1, -1
	Files:	src/testpattern/run-testpattern-2.in (+1, -1)

	Summary: Correct doc for -N

2015-09-14  <rlk>	310c04c50f70f8ddbe3d44de4bcf255bf842829f

	Lines: +5, -2
	Files:	src/testpattern/run-testpattern-2.in (+5, -2)

	Summary: -N controls whether unused options are set.

2015-09-13  <rlk>	2a84e61cceccd425bc66f0b8c3f3db37f650985d

	Lines: +2, -2
	Files:	src/testpattern/run-testpattern-2.in (+2, -2)

	Summary: Don't set base options for printers that don't use them.

2015-09-13  <speachy>	9e8be3708d6d68e70ee6e33cb2e826063d38f4d7

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Revert the mitsu k60dw driver name to its former (technically incorrect) glory.

2015-09-13  <speachy>	193e315a8a9246318d367ec16bbdea54b97a4467

	Lines: +4, -0
	Files:	src/xml/papers.xml (+4, -0)

	Document that a handful of additional sizes are only used by dyesub printers.

2015-09-13  <rlk>	4584961c3e307d2fb097f7aaa36ae6ef34852c0e

	Lines: +113, -2
	Files:	configure.ac (+2, -0)
		src/testpattern/Makefile.am (+2, -2)
		src/testpattern/compare-checksums.in (added +109)

	Add tool to compare run-testpattern2 output.

2015-09-13  <rlk>	045b7041ae01b0805c89b0fbd094f706960f67bf

	Lines: +1, -1
	Files:	src/cups/test-ppds (+1, -1)

	Summary: Ignore missing filters in PPD validation.

2015-09-13  <speachy>	9bcb530978d5c312a948fb2b3eb398c936519ce5

	Lines: +45, -27
	Files:	src/cups/backend_common.c (+1, -5)
		src/cups/genppd.c (+0, -2)
		src/cups/kodak6800_print.c (+44, -20)

	Fix a couple of bugs in backend code.

2015-09-13  <speachy>	031f8078dbc74c1f42962f131d3167f9f0cd7c2c

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	Fix a potential null pointer dereference.

2015-09-12  <speachy>	2153045c0c718d832de5c01cf567303c9c3f7cb2

	Lines: +3, -1
	Files:	src/main/print-olympus.c (+1, -1)
		src/xml/papers.xml (+2, -0)

	Fix a typo in the 3.5x4.7 @600dpi definition for the CW-01.

	Also update the paper definitions to show that these 4.7" sizes are
	unique to this printer, and really shouldn't be in the global list.

2015-09-12  <speachy>	27130f8ae37e05ad3f68849f82cf285b0d0d351b

	Lines: +4, -1
	Files:	src/main/print-olympus.c (+4, -1)

	Fix a compilation warning in strict ISO C mode.

2015-09-11  <rlk>	85f3cc65ad048ad2fd5d85f90c4b519e23aa1949

	Lines: +2, -3
	Files:	macosx/src/gutenprint.pkg.src/Resources/License.txt (+2, -3)

	Summary: Update

2015-09-11  <gernot2270>	1cc810f4d07ea1c1738fde697a63f52394763541

	Lines: +12, -0
	Files:	NEWS (+6, -0)
		src/xml/printers.xml (+6, -0)

	Added several Canon MG5700 and MG6800 models: *50 black, *51 white, *52 black/silver, *53 white/silver.

2015-09-11  <gernot2270>	f5af6b34f38024b2450114e7055e1c45a31dc664

	Lines: +16, -16
	Files:	src/main/canon-media-mode.h (+7, -7)
		src/main/canon-modes.h (+9, -9)

	In Canon backend, activated resolution modes using 4-bit 5- and 6-level ink compression for Canon Pro9000 (confirmed by test user). Other printers to follow.

2015-09-10  <gernot2270>	534642eedce2c51ee23cc1c9d7f6075468f9186d

	Lines: +10, -10
	Files:	src/main/print-canon.c (+10, -10)

	Canon driver 4-bit 5-level and 6-level compression code fix.

2015-09-10  <speachy>	3262c8ba36a5ed034f9144e4a812558991a6cb8e

	Lines: +4, -4
	Files:	src/main/print-olympus.c (+4, -4)

	Correct a couple more paper descroptions to line up with everything
	else.

	("4 x 6" => "4x6" and so on -- the latter is what should be used)

2015-09-09  <speachy>	9234c229b733e8d3310dda50c851d774cb72097e

	Lines: +34, -9
	Files:	src/gutenprintui2/panel.c (+0, -1)
		src/main/print-canon.c (+8, -0)
		src/main/print-escp2.c (+8, -0)
		src/main/print-lexmark.c (+8, -0)
		src/main/print-olympus.c (+0, -1)
		src/main/print-pcl.c (+8, -0)
		src/main/print-raw.c (+0, -1)
		src/main/print-util.c (+2, -6)

	Don't show 'Density' and 'DitherAlgorithm' parameters if they aren't
	used by the current family driver.

	Accomplish this by moving their definitions out from global parameter
	init code into the family drivers that use/need dithering.

	Also, get rid of three spurious sets of the 'Density' parameter that
	have no effect.

2015-09-09  <speachy>	3dcb00b7f02eda32a6f8b0f159cdb6bbd199272e

	Lines: +8, -0
	Files:	src/xml/papers.xml (+8, -0)

	Added in a special 8x10.5-on-8x10.75" size for the DS80DX

	I'll be quite glad when we can get rid of this global namespace
	pollution!

2015-09-09  <speachy>	5303ff01daf87959fa531bde367ef1ff2a02ab00

	Lines: +13, -9
	Files:	src/main/print-raw.c (+13, -9)

	Update comments to explain how the raw driver should be used.

2015-09-09  <speachy>	b1806938e8555907b92aa1ada4c0a2442a3cadc2

	Lines: +1, -0
	Files:	src/gutenprintui2/panel.c (+1, -0)

	When rendering the thumbnail, force the raw driver to use the "Custom"
	PageSize as the dimensions are explicitly set.

2015-09-08  <speachy>	1199f5f39f2a3778d495d51c20b2cff3361f8dcb

	Lines: +2, -4
	Files:	src/main/print-raw.c (+2, -4)

	The raw "family" needs to load all papers without any filtering.

	The gimp plugin validates the paper via this list, for some reason.

2015-09-08  <speachy>	a1f502e57afe95dbeff9faf2cbb1ead697dfa7d9

	Lines: +4, -1
	Files:	src/foomatic/printer_options.c (+4, -1)

	Fix a memory leak.

2015-09-08  <speachy>	94b7dcb591fe06c99f5dba195bc802bdc9acb715

	Lines: +4, -0
	Files:	src/xml/papers.xml (+4, -0)

	Left out special tags for four of the dyesub sizes.  Bad Solomon.

2015-09-08  <speachy>	2a5405535bd50225bba1daa4c40a3d4ae43a7ab9

	Lines: +13, -11
	Files:	src/main/print-olympus.c (+10, -10)
		src/xml/papers.xml (+3, -1)

	Correct some media definitions for interface correctness.  And add some
	comments to indicate unique paper types only used by one or two
	printers.

2015-09-07  <speachy>	519b402f5fba003367426681b058417116efc529

	Lines: +7, -0
	Files:	src/xml/papers.xml (+7, -0)

	Accidentally left out a multicut paper type (6x4.5 *2)

2015-09-07  <speachy>	187f574bbeb20a915cf935f21d77f1a54128f393

	Lines: +220, -220
	Files:	src/main/print-olympus.c (+206, -206)
		src/xml/papers.xml (+14, -14)

	rename new "multicut" paper types.  new convention is w576h864-div3 or w576h864-w576h576_w576h288

2015-09-07  <speachy>	9f4cae16e8c91e4ced0b14a0adadf5617ccdf1db

	Lines: +3, -0
	Files:	NEWS (+3, -0)

	Updated list of supported/improved dyesub printers

2015-09-07  <speachy>	74de355737b857307370a812ed371341a2711b9c

	Lines: +370, -371
	Files:	src/main/print-olympus.c (+262, -354)
		src/xml/papers.xml (+102, -12)
		src/xml/printers.xml (+6, -5)

	 * Add new special multicut paper sizes
	 * Enable all multicut sizes in dyesub driver
	 * Fix several errors and omissions in dyesub print sizes
	 * Eliminate most of the "Custom" paper sizes (from printers I'm responsible for.  IMO they should all be removed entirely)
	 * Finish up initial support for DNP DS80DX
	 * Rename "DNP" to "Dai Nippon Printing" in printers.xml (to match naming convention used by other makes/models)

2015-09-07  <speachy>	a7b07ce2b6c4f00fbb599979896cd81dd6413990

	Lines: +10, -2
	Files:	include/gutenprint/paper.h (+3, -1)
		src/foomatic/paper_sizes.c (+5, -1)
		src/main/print-papers.c (+2, -0)

	Create a new papersize_type, PAPERSIZE_TYPE_SPECIAL, for use of the
	dyesub driver.  Any size marked as special must be ignored by any
	user that doesn't specifically care about them.

2015-09-06  <speachy>	76b6bb218379b1a972645455108e1ffbe48bddbe

	Lines: +24, -15
	Files:	src/main/print-canon.c (+3, -15)
		src/main/print-escp2.c (+5, -0)
		src/main/print-lexmark.c (+5, -0)
		src/main/print-pcl.c (+7, -0)
		src/main/print-raw.c (+4, -0)

	All drivers chould reject invalid PAPER_TYPEs -- only ENVELOPE and
	NORMAL are allowed.  Dyesub is a special case and is not included here.

2015-09-06  <gernot2270>	8c0af4c5981638a2727373cc8095e666bd03be3f

	Lines: +8, -0
	Files:	test/parse-bjc (+8, -0)

	Added several known commands to parse-bjc, including ESC (F for graphics.

2015-09-05  <gernot2270>	6ca085805c535ab13459b1a3a06b362482e4f2f0

	Lines: +3, -4
	Files:	src/main/canon-media.h (+3, -4)

	Adjusted media types intended for Canon MG6900/MG7700.

2015-09-05  <gernot2270>	0bcbcdab5d989d27a95f9b1cd0572d9e2dbd439f

	Lines: +2, -2
	Files:	src/main/print-canon.c (+2, -2)

	In Canon backend, renamed upper/lower trays for cassette with two trays to cater for names cassette 1/cassette 2 as well.

2015-09-05  <gernot2270>	397b956dcdc2694c0b15b5c6d18359f33e631ba0

	Lines: +206, -33
	Files:	NEWS (+24, -0)
		src/main/canon-inks.h (+16, -0)
		src/main/canon-media-mode.h (+67, -0)
		src/main/canon-media.h (+33, -33)
		src/main/canon-modes.h (+23, -0)
		src/main/canon-printers.h (+19, -0)
		src/xml/printers.xml (+24, -0)

	Added experimental support for Canon MG5700 and MG6800 series.

2015-09-05  <gernot2270>	814acdc19e7092a75f7b04e97c1ed48b407db5ef

	Lines: +1685, -1677
	Files:	src/main/canon-media.h (+1642, -1656)
		src/main/print-canon.c (+43, -21)

	Added support for new ESC (w command to Canon backend. Also modified condition to select between upper and lower trays in cassette, based on published dimensions in Canon MG7700 user manual.

2015-09-05  <speachy>	dbdf47bfed151eaba7d40c8930f94db9bcefa094

	Lines: +18, -0
	Files:	src/xml/papers.xml (+18, -0)

	Add a few more paper sizes needed by the DS80DX printer.

2015-09-05  <gernot2270>	a23583ecc918156154e9ea4a022e6a6752e5b353

	Lines: +146, -31
	Files:	NEWS (+11, -0)
		src/main/canon-media-mode.h (+72, -12)
		src/main/canon-media.h (+15, -15)
		src/main/canon-modes.h (+18, -2)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+2, -2)
		src/xml/printers.xml (+11, -0)

	Added experimental support for Canon MG3600 series. Added MG2570S, MG2580S to printer list. Fixed names of some internal Canon media types.

2015-09-04  <speachy>	4e2d0bec6a470e7f151c94417ad2e1e5c4b4cd2b

	Lines: +2, -4
	Files:	src/main/print-olympus.c (+2, -4)

	Fix two compile warnings accidentally introduced in a prior commit.

2015-09-04  <speachy>	8457213d04872edc7060f401f4bf6a2f70b901df

	Lines: +8, -6
	Files:	src/cups/backend_common.c (+6, -6)
		src/cups/backend_common.h (+2, -0)

	Export the current page number to the backends.

2015-09-04  <gernot2270>	3e2b9cf116e2e1dbdc91df8bd7e43f8e1f49b0bb

	Lines: +126, -77
	Files:	src/main/canon-media.h (+126, -77)

	Added support for new media types for Canon backend (as of September 2015).

2015-09-03  <speachy>	ddf240e60856dcba1aa712d51dbc29f6d6fbdd53

	Lines: +66, -4
	Files:	src/main/print-olympus.c (+66, -4)

	Handle sheet printing on the DS80DX, including duplex mode.  Aside from
	a few missing print sizes, it's done.

2015-09-03  <speachy>	5c5a9201b36b36feb675dda1511bbf3594872758

	Lines: +65, -145
	Files:	src/main/print-olympus.c (+65, -145)

	Use 'MediaType' instead of 'InputSlot' for the DS80DX as it's a better
	fit.  Then eliminate the 'inputslot' option I'd added.

2015-09-03  <speachy>	5c0b63b1bc311b2f1159fbebee3dff75f3ba5c9e

	Lines: +11, -3
	Files:	src/cups/genppd.c (+10, -1)
		src/main/print-olympus.c (+1, -2)

	Tweak PPD code to automatically generate reciprocal constraint definitions.

2015-09-03  <speachy>	51d097379498be8c4b700fd1b198eb84764384ac

	Lines: +234, -18
	Files:	src/cups/genppd.c (+18, -0)
		src/main/print-olympus.c (+216, -18)

	PPD generation:
	 * Added mechanism to allow drivers to specify PPD UIConstraints
	Dyesub driver:
	 * Added duplex support
	 * Parameterized input slot support
	 * Parameterized list of PPD UIConstraints
	 * Added beginnings of DNP DS80DX driver that uses these features
	 * Added A4 size to Kodak 8810

2015-09-02  <speachy>	6703681a404a65e9546c0ea301e5766d8e9d8685

	Lines: +1, -1
	Files:	NEWS (+1, -1)

	Accdidentally bumped the version

2015-09-02  <speachy>	a043a350b241ba089259cdb97909a08901b86ba9

	Lines: +120, -31
	Files:	NEWS (+2, -1)
		src/main/print-olympus.c (+115, -30)
		src/xml/printers.xml (+3, -0)

	Add support for the Kodak 7000/7010/7015 dyesub printers.  Also, a
	couple of minor improvements for the Kodak 68xx and 605 code.

2015-08-29  <gernot2270>	49d773024299d9f9e1a51a62b7aab182eb71d5a8

	Lines: +5, -1
	Files:	NEWS (+4, -0)
		src/main/canon-printers.h (+1, -1)

	Added ESC (a command to capabilitis of Canon BJC 4300, as determined from printjob analysis.

2015-08-29  <rlk>	470c545ce639dff8291dd6ce1a1ec82698d99b95

	Lines: +1, -1
	Files:	src/xml/escp2/model/model_47.xml (+1, -1)

	Summary: Fix borderless for Epson 2100/2200

2015-08-28  <speachy>	c48303db55943b9bdc9b56e25340d7e06affd436

	Lines: +113, -134
	Files:	src/cups/kodak6800_print.c (+113, -134)

	Reworked command/response handling.  Print command generates a response too!

2015-08-26  <speachy>	c3bdae760c82e8b1c3117dcaccff04f65b26ac05

	Lines: +3, -1
	Files:	src/main/print-olympus.c (+3, -1)

	The Kodak 8810 supports disabling lamination.  It also, in theory, can
	handle multicut sizes, but that's not enabled until it can be tested.

2015-08-26  <speachy>	ce00577f2f511d6161f836d51e4cb3086441b0cf

	Lines: +163, -147
	Files:	src/cups/kodak605_print.c (+163, -147)

	Significant updates to kodak605 backend, based on lessons learned.

	Needs testing.

2015-08-26  <speachy>	031d71d4985f3a19678449f552ff23d1d7193c36

	Lines: +434, -471
	Files:	src/cups/backend_common.c (+23, -2)
		src/cups/backend_common.h (+2, -0)
		src/cups/kodak6800_print.c (+409, -469)

	Major improvements in kodak68x0 robustness and job pipelining

2015-08-25  <gernot2270>	9949386d6cd208d89186d778ad5d5907b670a2b4

	Lines: +170, -2
	Files:	NEWS (+3, -2)
		src/main/canon-inks.h (+12, -0)
		src/main/canon-media-mode.h (+89, -0)
		src/main/canon-media.h (+17, -0)
		src/main/canon-modes.h (+28, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -0)
		src/xml/printers.xml (+3, -0)

	Added experimental support for Canon SmartBase MPC400 / MPC600F devices

2015-08-25  <speachy>	3e47c6df3f32cdf7cf17396a33b7663618c063f8

	Lines: +123, -41
	Files:	src/cups/kodak6800_print.c (+123, -41)

	Kodak 6x80 printing more robust -- can now decode current job status,
	and better idle/busy and error detection.

2015-08-24  <speachy>	aee6d3c5b8946a22b4426be2949df655d12c45ea

	Lines: +379, -567
	Files:	src/cups/citizencw01_print.c (+15, -34)
		src/cups/dnpds40_print.c (+57, -76)
		src/cups/kodak1400_print.c (+8, -7)
		src/cups/kodak605_print.c (+180, -198)
		src/cups/kodak6800_print.c (+48, -73)
		src/cups/mitsu70x_print.c (+8, -8)
		src/cups/mitsu9550_print.c (+11, -25)
		src/cups/selphy_print.c (+4, -3)
		src/cups/shinko_s2145_print.c (+44, -140)
		src/cups/sony_updr150_print.c (+4, -3)

	Upstream resync.  Complete last phase of cmdline revamp.  Delete dead
	code.  Stricter job vs media validation.  And kodak 68x0/605 gets
	control flow improvements.

2015-08-23  <gernot2270>	be7272ddd0faa0523b89e77ad6540df135deefee

	Lines: +88, -64
	Files:	NEWS (+5, -1)
		src/main/print-canon.c (+83, -63)

	Completed addition of CassetteTray option for Canon backend, where cassette input slot has upper and lower trays. Supported models: MG5400, MG6300, MG6500, MG7100, MG7500, iP7200, MX720, MX920 series.

2015-08-23  <speachy>	f7250a610990fb7b9cc42eb087a2992defcdf03d

	Lines: +8, -7
	Files:	src/cups/shinko_s2145_print.c (+8, -7)

	A bit more sanity checking from selected print type vs printer-supported
	types

2015-08-23  <gernot2270>	94e481e017f00b4d4987e0a4f4075d2846958815

	Lines: +7, -63
	Files:	src/cups/genppd.c (+0, -56)
		src/main/print-canon.c (+7, -7)

	Fixed PageSize parameter for CD in the Canon backend (regression from previous commit), removed CassetteTray option from genppd.c.

2015-08-23  <gernot2270>	a68d50282204ca30b201a8ab6d2f4beda85b3d4f

	Lines: +10, -13
	Files:	src/main/print-canon.c (+10, -13)

	Exposed several previously hidden CD-related parameters in the Canon backend, plus the new CasseteTray parameter.

2015-08-23  <gernot2270>	f525e08374f9d44ca880f6b9498b909342469c9f

	Lines: +67, -3
	Files:	src/cups/genppd.c (+56, -0)
		src/main/print-canon.c (+11, -3)

	Added CassetteTray PPD parameter for Canon devices with upper / lower tray in a single cassette. Activation conditions for parameter to be fixed.

2015-08-23  <gernot2270>	a464036dd4247b04d048e495cfcfbf02e7414293

	Lines: +26, -3
	Files:	src/main/print-canon.c (+26, -3)

	Added length condition of >7in to switch from upper to lower tray for Canon devices having a cassette containing upper and lower trays.

2015-08-22  <gernot2270>	3d524fcf7976223d34fdd68b3e6a1336be70df40

	Lines: +26, -10
	Files:	src/main/print-canon.c (+26, -10)

	Added default upper/lower trays in cassette selection for selected Canon devices based on media type. Size conditions to be added.

2015-08-22  <gernot2270>	f26cee44a80c153eca4f7afc4c4f8d83b1e72b6e

	Lines: +42, -4
	Files:	src/main/canon-printers.h (+4, -4)
		src/main/print-canon.c (+38, -0)

	Corrected list of Canon devices with a cassette containing two trays. Added description in ESC (P command, code to be added.

2015-08-20  <gernot2270>	ffc9b8c3450ef58bea3cbca71f94dc6d9e3b8744

	Lines: +191, -16
	Files:	NEWS (+8, -1)
		src/main/canon-media-mode.h (+160, -0)
		src/main/canon-media.h (+4, -6)
		src/main/canon-printers.h (+9, -9)
		src/xml/printers.xml (+10, -0)

	Completed addition of Canon MP5, MP10, MP55, MPC190, MPC200 printers

2015-08-20  <gernot2270>	8fa70bcb6024b9c25b9afeec9ec3c84fde9580d8

	Lines: +37, -1
	Files:	src/main/canon-media.h (+36, -0)
		src/main/canon-modes.h (+1, -1)

	Added media definitions for Canon MP5, MP10, MP55, MPC190, MPC200

2015-08-17  <speachy>	9c3f212fe59b3067b16c6d78c53a4e2b8e556176

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Add IEEE1284 info for the Shinko S6145

2015-08-14  <speachy>	ec6546cf1f9131adf07050a3b47d63a4c8eed2f9

	Lines: +407, -326
	Files:	src/cups/backend_common.c (+170, -197)
		src/cups/backend_common.h (+50, -15)
		src/cups/citizencw01_print.c (+13, -1)
		src/cups/dnpds40_print.c (+13, -11)
		src/cups/kodak1400_print.c (+13, -2)
		src/cups/kodak605_print.c (+8, -2)
		src/cups/kodak6800_print.c (+13, -7)
		src/cups/mitsu70x_print.c (+10, -12)
		src/cups/mitsu9550_print.c (+16, -26)
		src/cups/selphy_print.c (+58, -33)
		src/cups/shinko_s2145_print.c (+15, -14)
		src/cups/sony_updr150_print.c (+28, -6)

	dyesub backend: Significant overhaul of early init and command line handling
	code.  Fixes some long-standing bugs.

2015-08-11  <speachy>	a7765b9dd25a2e36776f307e55b55f62005d6238

	Lines: +47, -6
	Files:	src/cups/dnpds40_print.c (+47, -6)

	More fixes for rewind features on the DS620.

2015-08-02  <rlk>	25cddfff0e2e63b0b3e14863b5719f8302a97398

	Lines: +1, -1
	Files:	src/escputil/d4lib.c (+1, -1)

	Summary: Remove isblank, which causes build problems on some systems.

2015-08-02  <rlk>	bfac2248d7ac55b8d11da28fa09c9f7f53256f96

	Lines: +64, -70
	Files:	src/foomatic/foomatic-generator.in (+1, -1)
		src/foomatic/printer_margins.c (+6, -6)
		src/foomatic/printer_options.c (+57, -63)

	Shrink option output a bit; fix problem with saturation

2015-08-01  <speachy>	6d03177b8a6a467e774f197617710be981569f26

	Lines: +3, -3
	Files:	src/main/print-olympus.c (+3, -3)

	dnpds80 had incorrect media size for 8x5*2 and 8x4_8x6.

	And fix CHC-S6145; it used YMC instead of RGB.

2015-08-01  <speachy>	ccde6a3c5950319350756727dcaf475984b192bf

	Lines: +79, -67
	Files:	src/cups/dnpds40_print.c (+79, -67)

	Fix several bugs in the dnp backend.

2015-07-16  <speachy>	39daddca16933c1c5d5cc59e4ec8965386404df8

	Lines: +10, -1
	Files:	src/main/print-olympus.c (+10, -1)

	Fix 3.5x5*2 prints, again, on the DS620, and enable them on the DS40.

2015-07-15  <speachy>	3665ff3188ecab4449159a0efd51257dc5b381a6

	Lines: +10, -9
	Files:	src/main/print-olympus.c (+10, -9)

	Fix 3.5x5*2 prints.

2015-07-13  <speachy>	c61ceee82d5b55c4027568f9e5bfe16c9e70cc76

	Lines: +87, -92
	Files:	include/gutenprint/printers.h (+0, -7)
		src/cups/genppd.c (+13, -9)
		src/main/print-olympus.c (+6, -1)
		src/main/printers.c (+0, -10)
		src/xml/printers.xml (+68, -65)

	Convert the 'nativecopies' printer attribute (and the API/ABI change it
	necessitated) into a read-only parameter of the dyesub driver,
	defaulting to off.  Printers whose backends support native copy
	generation now override that parameter in printers.xml

2015-07-11  <speachy>	5ef03d4d7739112803f358b4e96f40cce2fea02e

	Lines: +58, -82
	Files:	src/cups/dnpds40_print.c (+58, -82)

	Status reporting enhancements

2015-07-08  <speachy>	297c248f99c2bd27f01b09cbe242dc3d821f3ec9

	Lines: +65, -65
	Files:	src/xml/printers.xml (+65, -65)

	The dyesub backend handles copy generation for its supported printers.

2015-07-08  <speachy>	f9edb57bd666a983b98143d2926892303809f6e7

	Lines: +37, -10
	Files:	include/gutenprint/printers.h (+7, -0)
		src/cups/genppd.c (+20, -10)
		src/main/printers.c (+10, -0)

	Add a new attribute to the printer definition, 'nativecopies', that
	indicates if a printer (and its backend) can handle copy generation.

	It controls the '*cupsManualCopies' PPD attribute.

2015-07-07  <speachy>	ae02f3686979f727d3cd4ce4c412ddc1bc1a6b1a

	Lines: +11, -2
	Files:	src/main/print-olympus.c (+11, -2)

	Add 2x6*4 support to the DS40, now that it's confirmed to work.

2015-07-07  <speachy>	f275b927eb2ec48668e5a765b598bf66ee09d410

	Lines: +4, -5
	Files:	src/cups/dnpds40_print.c (+4, -5)

	dnpds40:  Fix bugs related to 4.5x6" prints.

2015-07-07  <speachy>	823227b542fc91d85bb730397c5f3a9e20b5076d

	Lines: +10, -4
	Files:	src/main/print-olympus.c (+10, -4)

	Fix landscape printing with asymmetric resolutions.

2015-07-05  <rlk>	122e22119cf89759cb8c9788508c9474f1073bae

	Lines: +5, -5
	Files:	src/xml/printers.xml (+5, -5)

	Summary: Change "narrow margin" to "wide margin".

2015-07-05  <rlk>	bd226114086f3ca817e34d5ac81bfe4b90210407

	Lines: +5, -0
	Files:	src/xml/printers.xml (+5, -0)

	Summary: Add more generic variants (narrow A4 margin, tabloid).

2015-07-05  <rlk>	d68395a47f5395213d26d2521ca9815212996101

	Lines: +1, -0
	Files:	src/xml/printers.xml (+1, -0)

	Summary: Add Brother-HL2250DN

2015-07-05  <speachy>	6b137b15439ae22b13bf652a1a80334b8b8c2674

	Lines: +58, -58
	Files:	src/main/print-olympus.c (+58, -58)

	Fix up a pile of size errors for DS40, DS620, RX1, CW01:  All sizes
	6x6 or smaller are actually LANDSCAPE, and mistakenly used A5/6x8
	paper sizes where 6x8/6x9 should have been listed instead.

	Shinko9045 and Mitsu9550 also got corrections.

2015-07-04  <speachy>	8f15313cdf4d3c13bc8a2148d078a389ffdc1623

	Lines: +20, -12
	Files:	src/cups/backend_common.c (+7, -3)
		src/cups/citizencw01_print.c (+1, -1)
		src/cups/dnpds40_print.c (+6, -4)
		src/cups/kodak6800_print.c (+1, -1)
		src/cups/mitsu70x_print.c (+1, -1)
		src/cups/shinko_s2145_print.c (+4, -2)

	Fix a small pile of bugs found via clang-analyzer

2015-07-04  <speachy>	ab1a6f3088c5dbd2de699912b580bd93c842f197

	Lines: +42, -93
	Files:	src/cups/backend_common.c (+3, -0)
		src/cups/mitsu70x_print.c (+1, -1)
		src/cups/mitsu9550_print.c (+6, -6)
		src/cups/shinko_s2145_print.c (+32, -86)

	Sync with upstream.  Mostly fixing buffer overflows.

2015-07-03  <speachy>	72062a554fe898364818e6859fd43a531a4397e3

	Lines: +28, -0
	Files:	src/main/print-olympus.c (+28, -0)

	Add multicut modes to the Shinko S6245

2015-07-02  <speachy>	89bb2410416138ac1607739571b3a3c730721df6

	Lines: +27, -8
	Files:	src/cups/backend_common.c (+27, -8)

	Retry attempts to claim the USB interface.

2015-07-01  <speachy>	f4dd78bbcec003b246648ca90340237a6bc24e25

	Lines: +134, -39
	Files:	src/cups/backend_common.c (+9, -2)
		src/cups/citizencw01_print.c (+1, -1)
		src/cups/dnpds40_print.c (+113, -25)
		src/cups/kodak1400_print.c (+1, -1)
		src/cups/kodak605_print.c (+1, -1)
		src/cups/kodak6800_print.c (+2, -2)
		src/cups/shinko_s2145_print.c (+7, -7)

	Fix long-standing problems in command line parsing.

===============================================================================
Name: gutenprint-5_2_11-pre1

2015-06-26  <rlk>	d49a422560f361e1d4b6b7f690f50c7b767c297f

	Lines: +6, -5
	Files:	NEWS (+5, -4)
		README (+1, -1)

	Note that OS X 10.6 is now needed

2015-06-26  <rlk>	7a27448ce0adc85eb2d391f2282d08c709915229

	Lines: +0, -0
	Files:	po/ca.po (+4937, -3536)
		po/cs.po (+5006, -3623)
		po/da.po (+4937, -3536)
		po/de.po (+4938, -3539)
		po/el.po (+4766, -3386)
		po/en_GB.po (+4299, -2914)
		po/es.po (+5006, -3623)
		po/fi.po (+4300, -2906)
		po/fr.po (+6189, -4489)
		po/gl.po (+4301, -2905)
		po/hu.po (+6095, -4449)
		po/it.po (+4937, -3536)
		po/ja.po (+4230, -2846)
		po/nb.po (+4620, -3245)
		po/nl.po (+6142, -4469)
		po/pl.po (+4606, -3230)
		po/pt.po (+5006, -3623)
		po/ru.po (+4298, -2910)
		po/sk.po (+5005, -3623)
		po/sl.po (+4295, -2899)
		po/sv.po (+4290, -2907)
		po/tr.po (+5042, -3646)
		po/uk.po (+4937, -3536)
		po/vi.po (+4932, -3535)
		po/zh_CN.po (+3889, -2779)
		po/zh_TW.po (+4228, -2845)

	Gutenprint 5.2.11-pre1 release

2015-06-26  <rlk>	0d5e1346c99ebc328c44accc3541aaad0ae2045a

	Lines: +27, -11
	Files:	src/cups/test-rastertogutenprint.in (+27, -11)

	Summary: Use PDF input rather than PostScript where possible.

2015-06-26  <rlk>	42411f32cef4acd5050b1b04684c2be791005099

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	Summary: Fix comment syntax

2015-06-26  <speachy>	2ae5795b5c09e74577943371d0ba2d39a478d2ff

	Lines: +3, -1
	Files:	src/main/print-olympus.c (+3, -1)

	Fix a multicut type in the DS620 code that wasn't properly wrapped in an #ifdef

2015-06-26  <speachy>	5f03925c9bdd4dd18fedddd8f643bc4cd93bb8a5

	Lines: +2, -0
	Files:	configure.ac (+2, -0)

	Enable silent builds (default on, can be disabled) and put m4 stuff in
	its own directory.

2015-06-25  <speachy>	e52709cc7e314c4ff58e67410a71a6a638054a6a

	Lines: +2, -0
	Files:	src/cups/genppd.c (+2, -0)

	Fix compilation without libz

2015-06-25  <rlk>	19563b5118fad96c0fbfb575617c6dfd07d9595f

	Lines: +23, -21
	Files:	NEWS (+20, -18)
		README (+3, -3)

	Minor cleanup

2015-06-24  <speachy>	8e39ec4b01a4d2c55dd2faff04e19947437c4307

	Lines: +0, -4
	Files:	src/main/Makefile.am (+0, -4)

	Revert an accidental build patch

2015-06-24  <speachy>	a9aea2787a229b27742c9ca6b8b56e51444e8e4a

	Lines: +12, -8
	Files:	src/main/Makefile.am (+4, -0)
		src/main/print-olympus.c (+8, -8)

	Fix 5x7" and 5x3.5" margins on DNP printers.

2015-06-24  <gernot2270>	598d03fb47679877ca1e4350718cd4936ac62815

	Lines: +26, -1
	Files:	NEWS (+1, -0)
		src/main/canon-modes.h (+24, -0)
		src/main/canon-printers.h (+1, -1)

	Fixed resolution modes for Canon MG5400 series

2015-06-24  <gernot2270>	e2c93fa8953b00ee6f5bbd37d14f1696ef2ec105

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Added deviceid to Canon MG5400 series. Thanks to Tim Waugh (email).

2015-06-24  <gernot2270>	b97481b9161e5bcfe39ec401fa98aa7fd4f83400

	Lines: +4, -4
	Files:	NEWS (+4, -4)

	NEWS: corrected Canon MG2400 additions

2015-06-24  <speachy>	5de0322d451e24f4781e778d5a97e0eb852364c8

	Lines: +782, -235
	Files:	src/cups/dnpds40_print.c (+782, -235)

	Upstream resync.  Add support for DNP DS620, significant improvements in
	robustness, and many, many, many bugfixes.

2015-06-24  <speachy>	2c3e7d1463c4f983180d94a9dd3bb397e300fe5f

	Lines: +122, -156
	Files:	src/cups/shinko_s2145_print.c (+122, -156)

	Upstream sync.  All known error codes handled now.

2015-06-24  <speachy>	9235b57586ac67d58a2a23e559ed7a154d310b04

	Lines: +85, -44
	Files:	src/cups/backend_common.c (+22, -1)
		src/cups/citizencw01_print.c (+8, -2)
		src/cups/kodak1400_print.c (+10, -3)
		src/cups/kodak605_print.c (+4, -2)
		src/cups/kodak6800_print.c (+13, -2)
		src/cups/mitsu70x_print.c (+4, -22)
		src/cups/mitsu9550_print.c (+6, -4)
		src/cups/selphy_print.c (+9, -2)
		src/cups/sony_updr150_print.c (+9, -6)

	Backend upstream resync.  Mostly ensuring malloc() failures are handled.

2015-06-23  <speachy>	993676d907d5bbaf3f4af67f7ae481466829f013

	Lines: +15, -17
	Files:	src/cups/citizencw01_print.c (+15, -17)

	Upstream resync for citizen cw-01 code.

2015-06-23  <speachy>	2e9caf8c17948c51890d3cdbe0cea3b8e295455a

	Lines: +12, -3
	Files:	src/cups/blacklist (+12, -3)

	Update dyesub backend USB blacklist

2015-06-22  <speachy>	69e387fdf480a0b520416fc71f2a1183ff4250c4

	Lines: +21, -1
	Files:	src/main/print-olympus.c (+15, -1)
		src/xml/papers.xml (+6, -0)

	DNP620:  Add support for 6x4.5 prints and their doubled-up variant.

2015-06-21  <speachy>	77b367cc0839b58e4a399e0628df99c812be1cc8

	Lines: +2, -2
	Files:	src/xml/printers.xml (+2, -2)

	Add IEEE1284 ID for DNP DS620

2015-06-21  <speachy>	d5e736de398fed267f621a1ef274cb4ad7925e83

	Lines: +13, -9
	Files:	src/main/print-olympus.c (+13, -9)

	Bugfixes for DNP620.

2015-06-20  <speachy>	aaa6e900cdd2789478c14b1b11a443e8fdb2840b

	Lines: +10, -2
	Files:	src/main/print-olympus.c (+10, -2)

	Bugfixes for DNP RX1 and 620, relating to 2x6*2 and 2x6*4 prints.

2015-06-20  <speachy>	61a8ceb13a3fe1f8212d32619cb7d0f4bf2d400f

	Lines: +2, -2
	Files:	src/xml/printers.xml (+2, -2)

	Add IEEE1284 ID for DNP DS-RX1

2015-06-19  <speachy>	e602c8fea4f828f7b26adfad517ae97be0ab3953

	Lines: +159, -37
	Files:	NEWS (+1, -0)
		src/main/print-olympus.c (+157, -37)
		src/xml/printers.xml (+1, -0)

	Initial support for DNP DS620.

	Plus some code cleanups and bug fixes for other DNP models.

	The backend work will follow shortly.

2015-06-18  <speachy>	daf4089204e7c474ddc945765ab7ef85a3dcf378

	Lines: +2, -0
	Files:	src/cups/backend_common.h (+2, -0)

	Add a couple more printer types to the backend.  Changes pending.

2015-06-18  <speachy>	6d06a4cb17e8b66dac617f233f5c276b326d6882

	Lines: +8, -5
	Files:	src/cups/citizencw01_print.c (+8, -5)

	Don't error out for non-fatal errors (like the printer being busy)

2015-06-18  <speachy>	a35c9affe990228820ef8365c3d3a6f273bb713e

	Lines: +4, -1
	Files:	scripts/.cvsignore (+1, -0)
		src/ghost/.cvsignore (+1, -1)
		src/gimp2/.cvsignore (+1, -0)
		test/.cvsignore (+1, -0)

	Update .cvsignore files to cover some stragglers

2015-06-10  <gernot2270>	3df0a6a228287dd7edf50e908030fad9b2952c73

	Lines: +34, -0
	Files:	src/main/canon-printers.h (+34, -0)

	Added partial defintion for Canon MP5/MP10 and MP55 to canon-printers.h

2015-06-09  <gernot2270>	8390861aa37f1113c83d6ff491ffbb4bf83847b3

	Lines: +61, -0
	Files:	src/main/canon-modes.h (+61, -0)

	Added resolution modes for Canon MP5, MP10, MP55 to canon-modes.h

2015-06-09  <gernot2270>	8a584a53c95c2604908329c2e5c5ed595eb7f266

	Lines: +0, -24
	Files:	src/main/canon-inks.h (+0, -24)

	Removed to unused ink definitions from canon-inks.h

2015-05-31  <speachy>	dbd7983a0fcd2b4ed9ae012d5aa9fd274ebec086

	Lines: +53, -35
	Files:	src/cups/dnpds40_print.c (+53, -35)

	Update DS40 backend to have saner free buffer handling.

2015-05-29  <gernot2270>	223d86546f9e74a2030d5182b5eb99ed9291964f

	Lines: +77, -44
	Files:	NEWS (+57, -24)
		src/xml/printers.xml (+20, -20)

	Added prefix PIXUS to Japanese i/R/PD models. Completed listing in NEWS file.

2015-05-29  <gernot2270>	b09572e7c0bb4c3f4beae35e584d62abaec7577f

	Lines: +4, -0
	Files:	NEWS (+3, -0)
		src/xml/printers.xml (+1, -0)

	Added a Canon model found on Japan Canon site to existing series (MG7530F).

2015-05-29  <gernot2270>	b4336af53da6e3b728d588c6c8d26119e5e29b96

	Lines: +102, -76
	Files:	NEWS (+95, -76)
		src/xml/printers.xml (+7, -0)

	Added some Canon models found on US Canon site to existing series.

2015-05-28  <gernot2270>	b732477d72e3ce4b2cb03096a1a50f3b7ad5a8c1

	Lines: +23, -7
	Files:	NEWS (+11, -3)
		src/xml/printers.xml (+12, -4)

	Added generic series model for some Canon models where multiple instances exist.

2015-05-28  <gernot2270>	cf8198a93d93db8061136adf36f9ad92a21e1445

	Lines: +18, -3
	Files:	NEWS (+12, -3)
		src/xml/printers.xml (+6, -0)

	Added several existing Canon PIXMA models also as their corresponding PIXUS models.

2015-05-27  <sletter1>	4d46169277e0cabf11de161c23b7819996baf39b

	Lines: +341, -466
	Files:	macosx/README (+23, -63)
		macosx/gutenprint-version (+1, -1)
		macosx/make-build (+86, -104)
		macosx/make-mpkg (+1, -1)
		macosx/make-pkg (+1, -1)
		macosx/src/gutenprint.dmg.src/Contents/Documentation/SourceCode.webloc (+1, -1)
		macosx/src/gutenprint.pkg.src/Info.plist (+3, -3)
		macosx/src/gutenprint.pkg.src/Resources/ReadMe.html (+141, -13)
		macosx/src/gutenprint.pkg.src/Resources/Welcome.rtfd/TXT.rtf (+3, -3)
		macosx/src/gutenprint.pkg.src/Resources/postinstall (+21, -112)
		macosx/src/gutenprint.pkg.src/Resources/postupgrade (+21, -112)
		macosx/src/gutenprint.pkg.src/Resources/preflight (+30, -28)
		macosx/src/gutenprint.pkg.src/make-contents (+9, -23)
		macosx/subversion (+0, -1)

	Documentation changes for tag 5.2.11-pre1, remove developer documentation as db2pdf and db2html are not available on the Macintosh

2015-05-26  <gernot2270>	dbde43c46d858633b5e72d8aac7f510390e3277f

	Lines: +145, -7
	Files:	NEWS (+3, -0)
		src/main/canon-media-mode.h (+67, -0)
		src/main/canon-media.h (+19, -0)
		src/main/canon-modes.h (+27, -0)
		src/main/canon-printers.h (+20, -0)
		src/main/print-canon.c (+7, -7)
		src/xml/printers.xml (+2, -0)

	Added experimental support for Canon iP110.

2015-05-24  <gernot2270>	eace1ea35ffa18cbc33d23c88285261e10aa4aec

	Lines: +99, -7
	Files:	NEWS (+9, -0)
		src/main/canon-media-mode.h (+60, -1)
		src/main/canon-modes.h (+4, -6)
		src/main/canon-printers.h (+17, -0)
		src/xml/printers.xml (+9, -0)

	Added experimental support for Canon MX530 series.

2015-05-24  <gernot2270>	0c1b42b3018fe24178559d7dadc0d4424ebb3807

	Lines: +36, -1
	Files:	NEWS (+9, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+9, -0)

	Added experimental support for Canon MX490 series.

2015-05-24  <gernot2270>	1384e0641e6dda25197e66137be2b02e511b3e45

	Lines: +115, -2
	Files:	NEWS (+10, -0)
		src/main/canon-media-mode.h (+60, -1)
		src/main/canon-modes.h (+17, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+10, -0)

	Added experimental support for Canon MX470 series. Correct canon-media-modes.h for E480.

2015-05-24  <gernot2270>	bc62f8db87fa7bc1bd3178ca62b5ac96defa9ca7

	Lines: +240, -5
	Files:	NEWS (+7, -0)
		src/main/canon-inks.h (+50, -0)
		src/main/canon-media-mode.h (+100, -0)
		src/main/canon-media.h (+38, -0)
		src/main/canon-modes.h (+16, -0)
		src/main/canon-printers.h (+21, -4)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+7, -0)

	Added experimental support for Canon E480 series. Corrected media types for E400, E460 series.

2015-05-23  <gernot2270>	217f4e53cc0598279a3413ce9a60812ba12d5b4d

	Lines: +30, -1
	Files:	NEWS (+6, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+6, -0)

	Added experimental support for Canon E460 series.

2015-05-23  <gernot2270>	ca7984a4183862e9ca1e263c8df3c7a483e18391

	Lines: +34, -3
	Files:	NEWS (+7, -0)
		src/main/canon-modes.h (+2, -2)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+7, -0)

	Added experimental support for Canon E400 series.

2015-05-23  <gernot2270>	4b84031bdd1ad181a38358e704562cb78ac526b3

	Lines: +1, -1
	Files:	src/main/print-canon.c (+1, -1)

	Correct ESC (P command for Canon E560 series.

2015-05-23  <gernot2270>	7ccb9e49a16a032dd7ad8d503342af0e91ff78b3

	Lines: +101, -2
	Files:	NEWS (+5, -0)
		src/main/canon-media-mode.h (+58, -2)
		src/main/canon-modes.h (+16, -0)
		src/main/canon-printers.h (+17, -0)
		src/xml/printers.xml (+5, -0)

	Added experimental support for Canon E560 series. Removed unused modes in canon-media-mode.h for E510, E610.

2015-05-23  <gernot2270>	766d2abc669267122bd5992949739530a49278f4

	Lines: +8, -0
	Files:	NEWS (+4, -0)
		src/xml/printers.xml (+4, -0)

	Added experimental support for Canon iX6700 series

2015-05-23  <gernot2270>	853fb9563449bc9a58f92a96a53e94da87573ec9

	Lines: +1, -2
	Files:	src/main/canon-printers.h (+1, -2)

	Added Esc (v command to Canon iX6800 series.

2015-05-23  <gernot2270>	12e37e412dd538feb179a13ac2ac6bb97a9b9d60

	Lines: +38, -1
	Files:	NEWS (+10, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+10, -0)

	Added experimental support for Canon iP2800 series

2015-05-22  <gernot2270>	3488887a57d4f2c82897e2549565ae27fdd05182

	Lines: +125, -12
	Files:	NEWS (+10, -0)
		src/main/canon-media-mode.h (+57, -0)
		src/main/canon-media.h (+30, -11)
		src/main/canon-modes.h (+1, -1)
		src/main/canon-printers.h (+17, -0)
		src/xml/printers.xml (+10, -0)

	Added experimental support for Canon MG2900 series

2015-05-22  <gernot2270>	22c4c9924142e99b666ec3a096d4b9a36de10ca2

	Lines: +15, -4
	Files:	src/main/print-canon.c (+15, -4)

	Corrected Esc (P command for CD media for Canon MG6700 and MG7500 series, plus added support for MG2900 in print-canon.c

2015-05-21  <gernot2270>	8386e9fa6514104960bda4cbed5c3bb2e34e78e7

	Lines: +22, -0
	Files:	NEWS (+11, -0)
		src/xml/printers.xml (+11, -0)

	Added experimental support for Canon MG6600 series

2015-05-21  <gernot2270>	eb9ac6d94f4d9d8151c1aa9356114b96702979a2

	Lines: +50, -10
	Files:	NEWS (+11, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+11, -10)
		src/xml/printers.xml (+11, -0)

	Added experimental support for Canon MG7500 series

2015-05-21  <gernot2270>	e4822ad2a16c9b4c2bbc07acce9f0e717b813083

	Lines: +128, -10
	Files:	NEWS (+3, -0)
		src/main/canon-media-mode.h (+94, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+11, -10)
		src/xml/printers.xml (+3, -0)

	Added support for Canon MG6700 series (experimental)

2015-05-19  <gernot2270>	5cff4296962aaab2f815a0ea69417d4ad79efea6

	Lines: +125, -8
	Files:	NEWS (+22, -7)
		src/main/canon-media-mode.h (+66, -0)
		src/main/canon-printers.h (+24, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+12, -0)

	Added support for Canon MG5600 series (experimental).

2015-05-18  <gernot2270>	412acc086c4587eec768015712d67dd091b3004e

	Lines: +17, -6
	Files:	NEWS (+13, -6)
		src/xml/printers.xml (+4, -0)

	Added missing instances to Canon backend: MG2460, MG2490, MG2590, E540

2015-05-14  <gernot2270>	3a3a9444506812d6967c5cedc6f15b21857104ae

	Lines: +83, -7
	Files:	NEWS (+47, -7)
		src/xml/printers.xml (+36, -0)

	Added instances for Canon MAXIFY iB4000, MB2000, MB2300, MB5000, MB5300 series.

2015-05-13  <gernot2270>	b854cf42a1fa6649199b820f06631eec3911511d

	Lines: +147, -4
	Files:	NEWS (+8, -0)
		src/main/canon-inks.h (+14, -0)
		src/main/canon-media-mode.h (+41, -0)
		src/main/canon-media.h (+2, -2)
		src/main/canon-modes.h (+14, -0)
		src/main/canon-printers.h (+57, -1)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+10, -0)

	Added support for Canon MAXIFY iB4000, MB2000, MB2300, MB5000, MB5300 (instances to be added later)

2015-05-06  <gernot2270>	db87066bb8202d7dfdf13695c3a55b9732c90208

	Lines: +41, -13
	Files:	src/main/canon-media.h (+26, -0)
		src/main/print-canon.c (+15, -13)

	Added support for MAXIFY iB and MB model names, and media source and media type for iB4000.

2015-05-06  <gernot2270>	b86959a2554e0ee7d5d7fddbdec57f93a57a08dc

	Lines: +95, -0
	Files:	NEWS (+2, -0)
		src/main/canon-media-mode.h (+42, -0)
		src/main/canon-media.h (+19, -0)
		src/main/canon-modes.h (+12, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -0)
		src/xml/printers.xml (+2, -0)

	Added Canon PIXMA P200.

2015-05-06  <gernot2270>	e3a47ad8ffe274a2acefc888f6b044cc98994af8

	Lines: +127, -32
	Files:	NEWS (+10, -0)
		src/main/canon-inks.h (+0, -32)
		src/main/canon-media-mode.h (+70, -0)
		src/main/canon-modes.h (+19, -0)
		src/main/canon-printers.h (+18, -0)
		src/xml/printers.xml (+10, -0)

	Completed addition of Canon iX6800 series.

2015-05-06  <gernot2270>	e947afb542ec828968ef42a5dff124cb7a3ddfce

	Lines: +169, -7
	Files:	NEWS (+18, -0)
		src/main/canon-inks.h (+5, -5)
		src/main/canon-media-mode.h (+93, -0)
		src/main/canon-modes.h (+25, -1)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers.xml (+10, -0)

	Completed addition of Canon iP8700 series

2015-05-06  <gernot2270>	e043fa4601858838d533b4ae791f54b869e3a3f4

	Lines: +1, -0
	Files:	NEWS (+1, -0)

	Added support for upper/lower trays in cassette for some Canon models (MG6300).

2015-05-06  <gernot2270>	19dd2143639e37612a0bbbda2585a2660b8ab804

	Lines: +209, -0
	Files:	NEWS (+7, -0)
		src/main/canon-printers.h (+180, -0)
		src/main/print-canon.c (+22, -0)

	Added support for upper/lower trays in cassette for some Canon models (MG5400, MG6200, MG6500, MG7100).

2015-05-05  <gernot2270>	1a1df8b95a836dc4112472bd9f34a1d1f92e09ec

	Lines: +42, -8
	Files:	NEWS (+7, -1)
		src/main/canon-inks.h (+5, -5)
		src/main/canon-media-mode.h (+1, -1)
		src/main/canon-modes.h (+28, -0)
		src/main/canon-printers.h (+1, -1)

	Corrected modes for Canon MG6300 series

2015-05-05  <gernot2270>	4e13d67719410aa94f3382294f73961b80b04028

	Lines: +1273, -844
	Files:	NEWS (+60, -6)
		src/main/canon-media-mode.h (+805, -535)
		src/main/canon-media.h (+103, -21)
		src/main/canon-modes.h (+299, -276)
		src/main/canon-printers.h (+6, -6)

	Canon backend bugfix to revert the modes of some models to 5.2.7 modes, and remove modes using faulty compression.

2015-05-05  <rlk>	735fcb13d51013b46ed1d77aef344e052ca315f6

	Lines: +1, -1
	Files:	src/cups/test-ppds (+1, -1)

	Summary: Sort the names of the PPD files.

2015-05-05  <rlk>	dc92305fdbee240eb8d04122d283f3be0aa7db29

	Lines: +556, -9
	Files:	NEWS (+8, -0)
		src/main/print-pcl.c (+274, -8)
		src/testpattern/run-testpattern-2.in (+1, -1)
		src/xml/papers.xml (+266, -0)
		src/xml/printers.xml (+7, -0)

	Support Datamax-O'Neil printers.

	Support provided by Steve Letter <sletter1@yahoo.com>

2015-04-16  <rlk>	b995ed9d77bc0819d821731e2404a2af8fa660c7

	Lines: +0, -0
	Files:	po/fr.po (+2, -2)

	Update French translation

2015-04-14  <rlk>	0a4b6e28487c9e61d3cdacef0e779a7059f8b0b8

	Lines: +0, -0
	Files:	po/fr.po (+617, -677)

	Update French translation

2015-04-12  <rlk>	65d5a517a82d5e59736111c3b3a493943f7aa2f9

	Lines: +0, -0
	Files:	po/fr.po (+1291, -2381)

	Update French translation

2015-04-11  <rlk>	e6ed8c45f84de131a2152a20384310369e72984b

	Lines: +0, -0
	Files:	po/fr.po (+338, -1072)

	Update French translation (again)

2015-04-11  <rlk>	078f5a5193444c6b48cb13667f083259c75ccca9

	Lines: +1, -1
	Files:	src/testpattern/testpattern.c (+1, -1)

	Summary: Correct generation of black in RGB mode in testpattern generator.

2015-04-11  <rlk>	137f66265469b06ad90675efdd1efbf907aca254

	Lines: +1, -1
	Files:	NEWS (+1, -1)

	Summary: Correct the version in the NEWS file.

2015-04-11  <rlk>	93f5f6c0fb4c679b9e7a3dafff57ab3eb03290fb

	Lines: +2, -2
	Files:	src/main/print-util.c (+2, -2)

	Prevent potential infinite loop in printf

2015-04-11  <rlk>	83291dabb136dcee1d987eeafef4383489479baa

	Lines: +0, -0
	Files:	po/fr.po (+5546, -6008)

	Update French translation

2015-02-17  <gernot2270>	793ad7e31d0bdccebea46e9601ca72f11f4e914e

	Lines: +5, -1
	Files:	NEWS (+4, -0)
		src/main/canon-printers.h (+1, -1)

	Fixed bug #680: duplex option added to Canon MP750/MP760/MP770/MP780/MP790

2015-02-10  <speachy>	4a9be52fd285a959078c1039ea20f3cf9af001d7

	Lines: +51, -55
	Files:	src/cups/shinko_s2145_print.c (+51, -55)

	resync s2145 backend with upstream.

2015-02-10  <speachy>	f269531d84be2e8a53b081ff81cb906121517100

	Lines: +16, -12
	Files:	src/main/print-olympus.c (+16, -12)

	Fix a handful of compile warnings

2015-02-09  <rlk>	c288b808dc836b0876e694caa35e538d0aaa5d80

	Lines: +32, -32
	Files:	src/foomatic/foomatic-generator.in (+32, -32)

	Generate foomatic database in reproducible order (from Reiner Herrmann, reiner@reiner-h.de)

2015-02-08  <speachy>	151cb8f1ad309b297c24ba35de6e5f07015974d2

	Lines: +38, -6
	Files:	src/main/print-olympus.c (+38, -6)

	Print size corrections to the shinko s1245 (and add multicut sizes)

2015-02-08  <speachy>	d32a0c385a3e3fbe53457f36717e9862cbdaaf79

	Lines: +20, -3
	Files:	src/main/print-olympus.c (+20, -3)

	Add lamination control to the Shinko S1245

2015-02-01  <speachy>	3c9c9b084c82ee47c7b0342027fb12ae1c489676

	Lines: +6, -6
	Files:	src/cups/shinko_s2145_print.c (+6, -6)

	Upstream resync ; Fix several bugs in the s2145 backend.

2015-01-22  <speachy>	6fb82d2658bfaada3b8cc21791044357caf19508

	Lines: +111, -2
	Files:	NEWS (+1, -0)
		src/main/print-olympus.c (+109, -2)
		src/xml/printers.xml (+1, -0)

	Add initial support for the CIAAT Brava 21.

	It will almost certainly require a backend, but it is closely related to
	the Shinko S6145

2015-01-21  <speachy>	c0db4974698b0443202262661407c2e72ba1bda1

	Lines: +2, -2
	Files:	src/main/print-olympus.c (+2, -2)

	Fix regressions on the Sony UP-DR150/DR200 printers.

2015-01-17  <speachy>	5623511e0ad408b2378614d5043e883cf722b6b9

	Lines: +0, -8
	Files:	src/main/print-olympus.c (+0, -8)

	Delete "custom" sizes from the Mitsu 9550, Kodak 8810 and 305.

	These are newly-added models that should have never had a custom size
	listed to begin with; it won't break things for anyone was using a prior
	released version.

2015-01-17  <speachy>	a6f416a224197136fc8e1b542c215a67c54711c9

	Lines: +38, -5
	Files:	src/cups/mitsu9550_print.c (+38, -5)

	mitsu9550: Validate all known print sizes against all known media types.

2015-01-16  <speachy>	644edaaa43b4ce8106d0052b56c414dd8fb0e1e9

	Lines: +3, -3
	Files:	src/cups/mitsu9550_print.c (+3, -3)

	Add a missing newline to the "incorrect media" message.

2015-01-12  <speachy>	edfc7fda7f7028bf798a3248f2b2032c97b71470

	Lines: +55, -22
	Files:	NEWS (+27, -2)
		README (+28, -20)

	Update with all the dyesub changes since 5.2.10

	I expect this text/formatting to change, but I wanted this info captured
	for now.

2015-01-12  <speachy>	392d5e5a4af05a3b80087b3d0eba25f0e757ae4f

	Lines: +14, -10
	Files:	src/main/print-olympus.c (+14, -10)

	Another fix for UP-DR200 2x6 prints.

2015-01-11  <speachy>	b2f62f227c397a5d88c9e729c7f49b870f826f28

	Lines: +125, -37
	Files:	src/main/print-olympus.c (+125, -37)

	Sony UP-DR200: Add 2x6 support, and general code cleanups.

	UP-DR200 printing on mis-matched media may be more complicated, needing
	backend support and the ability to figure out what's installed.

2015-01-10  <speachy>	82b4da58d57d519e1f97da1051ade222d53fdc66

	Lines: +43, -41
	Files:	src/main/print-olympus.c (+43, -41)

	Rename DNPX2 --> MULTICUT

	As this affects multiple, non-DNP, models as well.

	Still defaults to off, since in its current incarnation requires
	uncommitted changes to papers.xml too.

2015-01-10  <speachy>	298599e5b5f5417151223ca87cffe672d7cab701

	Lines: +0, -2
	Files:	src/xml/printers.xml (+0, -2)

	We support the Mitsubishi 9550DW-S model too!

2015-01-10  <speachy>	15c56c96e39ec412d19c2af116248a78bf1b1bc8

	Lines: +980, -2
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+1, -1)
		src/cups/mitsu9550_print.c (added +978)

	Add in a backend for the Mitsubishi CP-9550D family (inclduding -S model!)

2015-01-10  <speachy>	cecc0a03f0e5d89939a95d4939d8df741f570135

	Lines: +13, -1
	Files:	src/cups/blacklist (+13, -1)

	Update blacklist with all known printers the backend handles.

2015-01-10  <speachy>	4fca1a44390c9c22aceaf00b943ed819f65df012

	Lines: +171, -120
	Files:	src/cups/mitsu70x_print.c (+171, -120)

	Resync Mitsu70x backend, picking up many minor improvements

2015-01-10  <speachy>	0259053bc71fc13ce0077cd79d6a6f40d7322844

	Lines: +38, -13
	Files:	src/cups/backend_common.c (+31, -12)
		src/cups/backend_common.h (+7, -1)

	Update dyesub backend library code.  Better debug dumps, primarily.

2015-01-10  <speachy>	fa5accc3f26b1fac267a915d89d586019502c5cc

	Lines: +29, -7
	Files:	src/cups/kodak6800_print.c (+29, -7)

	Update kodak6x80 backend with better error detection/handling

2015-01-10  <speachy>	cc29ac1f393f8ec29be037c151fd5076521dfb05

	Lines: +28, -8
	Files:	src/cups/selphy_print.c (+28, -8)

	Update Selphy backend with some fixes for the CP900.

2015-01-10  <speachy>	696be0a6698c0845b7badb154f95d150d04b6f44

	Lines: +134, -31
	Files:	src/cups/shinko_s2145_print.c (+134, -31)

	Update to latest shinko backend.  Preliminary support for other models.

2015-01-10  <speachy>	dd208bd087ae410d9485dad347e172fdace6944b

	Lines: +39, -11
	Files:	src/cups/sony_updr150_print.c (+39, -11)

	Update Sony dyesub backend to upstream.

2014-12-28  <speachy>	5726ddffaf6a1c48b7b97d711a1e0c9b0cb60ecd

	Lines: +38, -10
	Files:	src/main/print-olympus.c (+37, -9)
		src/xml/printers.xml (+1, -1)

	The Kodak 305 needs its own printer id, oops.

2014-12-25  <speachy>	e29848ce9afe6534e9250b3f91c2611cce999a7f

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Add IEEE1284 ID for the Kodak 305

2014-12-20  <speachy>	074386158ad32d94562259fe546e77b6829088e6

	Lines: +5, -1
	Files:	src/xml/printers.xml (+5, -1)

	Add IEEE1284 ID for Mitsubishi CP-9550D.

	Also add commented-out entries for the CP-9550DZ and DW-S; they are WIP
	right now.

2014-12-06  <speachy>	7bcf7b54aeb483135362eb75b97a9fc855de42e3

	Lines: +2, -2
	Files:	src/xml/printers.xml (+2, -2)

	Mitsubishi CP-D9550D/DW are no longer experimental.  They work with
	current code and do not require a spooler.  (The -S variant likely will)

2014-12-06  <speachy>	10229733e33eadcd329c88f1aa05cef85563d003

	Lines: +1, -1
	Files:	src/main/print-olympus.c (+1, -1)

	Mitsubishi CP-9550 family uses BGR data, not RGB.

2014-12-03  <speachy>	c0b228ff96652cb032e45c565d47a6441882cf88

	Lines: +63, -9
	Files:	src/main/print-olympus.c (+61, -8)
		src/xml/printers.xml (+2, -1)

	Add initial support for the Mitsubishi CP-D80DW

	Also:
	 * Fix incorrect 5x7 print dimensions on the CP-D70x
	 * Remove "custom" sizes from Mitsubishi CP-D70/D707/K60/D80

2014-11-08  <speachy>	063e4013ce1a75bfb6769a4ca43104366a95d7c0

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Add IEEE1284 deviceid for the Canon SELPHY CP900

2014-10-30  <speachy>	db17add6347d1e3bd1a382a16bbc5f87d6166db5

	Lines: +14, -8
	Files:	src/cups/dnpds40_print.c (+14, -8)

	Only error out when we get a non-idle/printing/cooling status code.

	Appears to fix multipage print jobs that don't need both printer buffers.

2014-10-23  <speachy>	823e3b7cd1ee86841c321919444a0c421e41b1fa

	Lines: +76, -0
	Files:	src/main/print-olympus.c (+74, -0)
		src/xml/printers.xml (+2, -0)

	Add initial support for the Sony UP-CR10L / DNP SL-10

	The existing UPDR150 backend should work, though we need a USB ID.

2014-10-20  <speachy>	06801e2c4bd9a77a385769e7fe2307ccbf0a6e69

	Lines: +1, -1
	Files:	src/xml/printers.xml (+1, -1)

	Fix a typo in the Sinfonia CE1 name.

2014-10-20  <speachy>	1ebabf071dd1d969958bf35767213d7010aaa503

	Lines: +147, -1
	Files:	src/main/print-olympus.c (+139, -1)
		src/xml/papers.xml (+6, -0)
		src/xml/printers.xml (+2, -0)

	Initial support for the Shinko S6145/Sinfonia CS2.  Required adding a
	'5x5' paper size.

2014-10-19  <speachy>	094e2d3022cd8c91a773d55dd5e81396787653dd

	Lines: +118, -14
	Files:	src/main/print-olympus.c (+116, -14)
